2004-01-06 22:34  peter <peter@freepascal.org>

	* rtl/inc/genmath.inc:
	
	  * abs(double) added
	  * abs() alias

2004-01-06 22:33  peter <peter@freepascal.org>

	* rtl/sparc/math.inc:
	
	  * remove generic functions

2004-01-06 22:32  peter <peter@freepascal.org>

	* rtl/linux/i386/syscall.inc:
	
	  * use relocate_proc

2004-01-06 16:42  marco <marcov@stack.nl>

	* rtl/bsd/osmain.inc:
	
	 * o_creat added when o_append

2004-01-06 01:58  florian <florian@freepascal.org>

	* rtl/: go32v2/dos.pp, win32/dos.pp:
	
	  * fixed fsearch

2004-01-06 00:34  marco <marcov@stack.nl>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, netware/Makefile, os2/Makefile, watcom/Makefile,
	win32/Makefile:
	
	 * regenerating the makefiles with some netbsd fixes + version
	upgrades

2004-01-06 00:29  marco <marcov@stack.nl>

	* rtl/Makefile.fpc:
	
	 * fixed a few makefiles version numbers

2004-01-05 23:56  florian <florian@freepascal.org>

	* rtl/win32/sysutils.pp:
	
	  * changed sysutils.exec to ExecuteProcess

2004-01-05 23:42  florian <florian@freepascal.org>

	* rtl/unix/sysutils.pp:
	
	  * compilation error fixed

2004-01-05 23:37  florian <florian@freepascal.org>

	* rtl/: unix/sysutils.pp, objpas/sysutils/osutilsh.inc,
	objpas/sysutils/sysutilh.inc:
	
	  * changed sysutils.exec to ExecuteProcess

2004-01-05 18:25  marco <marcov@stack.nl>

	* rtl/: Makefile, netbsd/Makefile:
	
	 * regened

2004-01-05 18:22  peter <peter@freepascal.org>

	* rtl/linux/sparc/syscall.inc:
	
	  * removed asmmode direct

2004-01-05 13:54  jonas <jonas.maebe@rug.ac.be>

	* rtl/: Makefile, Makefile.fpc, darwin/Makefile,
	darwin/Makefile.fpc:
	
	  + Darwin support in Makefiles

2004-01-04 22:06  jonas <jonas.maebe@rug.ac.be>

	* rtl/macos/system.pp:
	
	  * make the C-main public

2004-01-04 22:05  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/: oscdeclh.inc, unix.pp, unxdeclh.inc:
	
	  * declare C-library routines as external in libc so we generate
	proper
	    import entries for Darwin

2004-01-04 22:04  jonas <jonas.maebe@rug.ac.be>

	* rtl/: bsd/baseunix.pp, linux/baseunix.pp, unix/bunxovl.inc:
	
	  * declare C-library routines as external in libc for Darwin (so
	we
	    generate proper import entries)

2004-01-04 21:53  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/unix.pp:
	
	  * don't use systypes if FPC_USE_LIBC is defined

2004-01-04 21:36  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/initc.pp:
	
	  + geterrnolocation for Darwin

2004-01-04 21:32  jonas <jonas.maebe@rug.ac.be>

	* rtl/bsd/system.pp:
	
	  + geterrnolocation for Darwin
	  + C-style main for Darwin (generic, can be used for anything)

2004-01-04 21:09  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/sysutilp.inc:
	
	  * renamed "r0" usages as base register to 0

2004-01-04 21:08  jonas <jonas.maebe@rug.ac.be>

	* rtl/: bsd/bunxtype.inc, freebsd/ptypes.inc, netbsd/ptypes.inc,
	openbsd/ptypes.inc:
	
	  * moved SIG_MAXSIG and wordsinsigset constants from bunxtype.inc
	to
	    ptypes.inc (already there for Darwin)

2004-01-04 21:05  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/: Makefile, Makefile.fpc, classes.pp, console.pp,
	pthread.inc, ptypes.inc, signal.inc, sysctlh.inc, termio.pp,
	termios.inc, termiosproc.inc, tthread.inc, unixsysc.inc,
	powerpc/sig_cpu.inc, powerpc/sighnd.inc:
	
	  * first working version of the Darwin/Mac OS X (for PowerPC) RTL
	    Several non-essential units are still missing, but make cycle
	works

2004-01-04 20:57  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/systypes.inc:
	
	  - removed

2004-01-04 20:51  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/sysnr.inc:
	
	  - removed

2004-01-04 20:45  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/syscalls.inc:
	
	  - removed, Darwin uses libc

2004-01-04 20:39  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/getcwd.inc:
	
	  - removed

2004-01-04 20:28  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/machnr.inc:
	
	  - removed (we use libc instead of syscalls)

2004-01-04 20:27  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/powerpc/signal.inc:
	
	  - removed (replaced by sig_cpu.inc to avoid name clashes)

2004-01-04 20:12  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/powerpc/: cprt0.as, crt0.o, prt0.as:
	
	  - removed (use the ones on the system)

2004-01-04 18:28  florian <florian@freepascal.org>

	* rtl/linux/powerpc/cprt0.as:
	
	  * clean up

2004-01-04 18:23  florian <florian@freepascal.org>

	* rtl/linux/powerpc/prt0.as:
	
	  + haeder added

2004-01-04 18:12  florian <florian@freepascal.org>

	* rtl/linux/powerpc/cprt0.as:
	
	  * arg* and envp handling fixed

2004-01-04 17:41  marco <marcov@stack.nl>

	* rtl/netbsd/powerpc/sighnd.inc:
	
	 * powerpc version

2004-01-04 17:24  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/unix.pp:
	
	  * fixed WaitProcess in case of SysEintr

2004-01-04 16:55  marco <marcov@stack.nl>

	* rtl/netbsd/: signal.inc, sysofft.inc, unixsysc.inc:
	
	 * additions

2004-01-04 16:44  marco <marcov@stack.nl>

	* rtl/netbsd/Makefile:
	
	 * regened

2004-01-04 16:42  marco <marcov@stack.nl>

	* rtl/netbsd/Makefile.fpc:
	
	 * fix

2004-01-04 16:30  marco <marcov@stack.nl>

	* rtl/netbsd/i386/sighnd.inc:
	
	 * working version

2004-01-04 02:13  marco <marcov@stack.nl>

	* rtl/netbsd/: termio.pp, termiosproc.inc, i386/cprt0.as,
	i386/prt0.as, i386/prt0_10.as:
	
	 * first 1.1 netbsd rtl, basically freebsd copy and paste with
	1.0.10 netbsd structures

2004-01-04 02:11  marco <marcov@stack.nl>

	* rtl/netbsd/: Makefile, Makefile.fpc, classes.pp, ptypes.inc,
	signal.inc, syscalls.inc, sysconst.inc, systypes.inc, termios.inc,
	tthread.inc, unixsock.inc, unixsysc.inc:
	
	 * a new qod port of the freebsd rtl. To be refined in the coming
	days.

2004-01-04 00:56  marco <marcov@stack.nl>

	* rtl/bsd/baseunix.pp:
	
	 * fix for 1.0 compability issue

2004-01-03 20:46  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed syntax error caught by Mac OS X' as :)

2004-01-03 15:56  marco <marcov@stack.nl>

	* rtl/bsd/osmain.inc:
	
	 * typo fix

2004-01-03 15:55  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * rtl/freebsd/cpu now also searched

2004-01-03 13:35  marco <marcov@stack.nl>

	* rtl/bsd/osmain.inc:
	
	 * sighnd to separate file, like linux. Some comments removed

2004-01-03 13:29  marco <marcov@stack.nl>

	* rtl/freebsd/i386/sighnd.inc:
	
	 * now separately.

2004-01-03 13:18  marco <marcov@stack.nl>

	* rtl/freebsd/: classes.pp, console.pp, termios.inc,
	termiosproc.inc, tthread.inc, unixsock.inc, i386/x86.inc,
	i386/x86h.inc:
	
	 * a lot of copyright notices and CVS logs added and fixed

2004-01-03 10:09  marco <marcov@stack.nl>

	* rtl/unix/sysutils.pp:
	
	 * Unix exec(ansistring)

2004-01-03 09:55  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/osutilsh.inc:
	
	 * Exec(ansistring) function

2004-01-02 23:51  marco <marcov@stack.nl>

	* rtl/netbsd/unixsysc.inc:
	
	 * simple bugfix for tpipe

2004-01-02 23:46  marco <marcov@stack.nl>

	* rtl/linux/unixsysc.inc:
	
	 * fix from Marc W.

2004-01-02 18:57  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/powerpc/sighnd.inc:
	
	  * re-enable fpu exceptions in signal handler, they're turned off
	by the
	    kernel

2004-01-02 18:21  jonas <jonas.maebe@rug.ac.be>

	* rtl/: inc/system.inc, powerpc/powerpc.inc, i386/i386.inc,
	m68k/m68k.inc, sparc/sparc.inc:
	
	  + fpc_cpuinit procedure to allow cpu/fpu initialisation before
	any unit
	    initialises
	  + fpu exceptions for invalid operations and division by zero
	enabled for
	    ppc

2004-01-02 18:19  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/: genmath.inc, mathh.inc:
	
	  * if currency = int64, FPC_CURRENCY_IS_INT64 is defined
	  + round and trunc for currency and comp if FPC_CURRENCY_IS_INT64
	is
	    defined
	  * if currency = orddef, prefer currency -> int64/qword conversion
	over
	    currency -> float conversions
	  * optimized currency/currency if currency = orddef
	  * TODO: write FPC_DIV_CURRENCY and FPC_MUL_CURRENCY routines to
	prevent
	      precision loss if currency=int64 and bestreal = double

2004-01-01 18:58  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/: compproc.inc, system.inc:
	
	  + integer division-by-zero detection support for ppc
	  + compilerproc FPC_DIVBYZERO

2004-01-01 18:07  marco <marcov@stack.nl>

	* rtl/: bsd/unxsysc.inc, bsd/unxsysch.inc, freebsd/unixsysc.inc:
	
	 * few small freebsd fixes backported from debugging linux

2004-01-01 17:28  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/: signal.inc, powerpc/sighnd.inc:
	
	  * fixed signal handling

2004-01-01 17:10  marco <marcov@stack.nl>

	* rtl/: linux/unxsysc.inc, linux/unxsysch.inc, unix/oscdeclh.inc,
	unix/unxovl.inc, unix/unxovlh.inc:
	
	 * fpreadlink(pathstr) moved to unxovl (since not platform
	specific),
		small fixes for "make all OPT='-dFPC_USE_LIBC'

2004-01-01 16:30  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/objects.pp:
	
	  * fixed PreviousFramePointer() for ppc

2004-01-01 15:20  marco <marcov@stack.nl>

	* rtl/linux/i386/stat.inc:
	
	 * libc stat record under ifdef added

2004-01-01 15:19  marco <marcov@stack.nl>

	* rtl/linux/osmain.inc:
	
	 * use_getcwd updates because FPC_USE_LIBC uses that

2004-01-01 15:16  marco <marcov@stack.nl>

	* rtl/linux/system.pp:
	
	 * getcwd missed cdecl

2004-01-01 15:09  marco <marcov@stack.nl>

	* rtl/unix/: oscdeclh.inc, unxdeclh.inc:
	
	 * FPC_USE_LIBC fixes

2004-01-01 15:07  marco <marcov@stack.nl>

	* rtl/unix/genfuncs.inc:
	
	 * FPC_USE_LIBC fixes to fpgetenv. No more appending of '=', and
	making a proper nullterminated string)

2003-12-31 21:24  marco <marcov@stack.nl>

	* rtl/unix/unix.pp:
	
	 * export statfs(pchar)

2003-12-31 21:23  marco <marcov@stack.nl>

	* rtl/linux/unixsysc.inc:
	
	 * small fixes for exporting statfs(pchar,..)

2003-12-31 21:20  marco <marcov@stack.nl>

	* rtl/linux/system.pp:
	
	 * small additions for getcwd what we need for FPC_USE_LIBC

2003-12-31 21:17  marco <marcov@stack.nl>

	* rtl/linux/bunxtype.inc:
	
	 * sigset size adaption for FPC_USE_LIBC

2003-12-31 21:01  marco <marcov@stack.nl>

	* rtl/linux/baseunix.pp:
	
	 * workaround for buggy 1.0 building

2003-12-30 18:50  marco <marcov@stack.nl>

	* rtl/linux/oscdeclh.inc:
	
	 * moved to unix/

2003-12-30 17:26  marco <marcov@stack.nl>

	* rtl/linux/: osmain.inc, ossysc.inc, system.pp:
	
	 * some more fixes. Testing on idefix

2003-12-30 16:43  marco <marcov@stack.nl>

	* rtl/: linux/bunxfunc.inc, linux/bunxmain.inc, linux/ossysc.inc,
	linux/system.pp, linux/unixsysc.inc, unix/oscdeclh.inc,
	unix/unix.pp:
	
	 * linux now compiles with FPC_USE_LIBC

2003-12-30 13:46  marco <marcov@stack.nl>

	* rtl/linux/ptypes.inc:
	
	 * ptime_t

2003-12-30 13:36  marco <marcov@stack.nl>

	* rtl/linux/: baseunix.pp, system.pp, unixsysc.inc:
	
	 * FPC_USE_LIBC

2003-12-30 13:27  marco <marcov@stack.nl>

	* rtl/unix/: unxovl.inc, unxovlh.inc, unxdeclh.inc:
	
	 * FPC_USE_LIBC

2003-12-30 13:24  marco <marcov@stack.nl>

	* rtl/: unix/bunxh.inc, unix/bunxovl.inc, unix/bunxovlh.inc,
	unix/genfuncs.inc, unix/gensigset.inc, unix/linuxnew.inc,
	unix/oscdeclh.inc, unix/syscall.pp, unix/unix.pp, bsd/baseunix.pp,
	bsd/bunxfunc.inc, bsd/bunxmain.inc, bsd/osmain.inc, bsd/ossysc.inc,
	bsd/ossysch.inc, bsd/sysctl.pp, bsd/system.pp, bsd/unxsysch.inc,
	bsd/i386/syscall.inc, bsd/i386/syscallh.inc:
	
	 * FPC_USE_LIBC

2003-12-29 22:15  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/dos.pp:
	
	  * fixed setftime (sorry Marco :)

2003-12-29 20:24  florian <florian@freepascal.org>

	* rtl/: inc/stringsi.inc, inc/systemh.inc, linux/arm/syscall.inc:
	
	  + introduced PtrInt and PtrUInt
	  * made strscan 64 bit safe

2003-12-29 20:19  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/real2str.inc:
	
	  * fixed NaN/Inf detection for single/double

2003-12-28 23:33  florian <florian@freepascal.org>

	* rtl/powerpc/strings.inc:
	
	  * strscan fix from Jonas

2003-12-28 22:06  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed fillchar for SYSV abi

2003-12-28 21:55  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/sysutilp.inc:
	
	  * fixed *locked* routines

2003-12-28 21:55  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/powerpc/syscall.inc:
	
	  * fixed result of failed syscalls (no extra neg is needed)
	  + support multi-threaded programs

2003-12-28 21:08  florian <florian@freepascal.org>

	* rtl/linux/powerpc/cprt0.as:
	
	  * initial code

2003-12-26 23:20  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/: dos.pas, ports.pas, system.pas:
	
	  * regcall fixes

2003-12-25 00:07  peter <peter@freepascal.org>

	* rtl/i386/i386.inc:
	
	  * fixed indexbyte for regcall

2003-12-24 23:38  peter <peter@freepascal.org>

	* rtl/i386/set.inc:
	
	  * fix set_set_range

2003-12-24 23:27  peter <peter@freepascal.org>

	* rtl/: arm/typinfo.inc, i386/typinfo.inc, objpas/typinfo.pp,
	powerpc/typinfo.inc, sparc/typinfo.inc:
	
	  * removed assembler
	  * cleanup

2003-12-24 00:09  peter <peter@freepascal.org>

	* rtl/i386/int64p.inc:
	
	  * fix call to handleerror for regcall

2003-12-23 23:23  peter <peter@freepascal.org>

	* rtl/i386/sysutilp.inc:
	
	  * increment should use ofcourse use 1 instead of -1

2003-12-23 00:07  peter <peter@freepascal.org>

	* rtl/inc/varianth.inc:
	
	  * fixed type of verror

2003-12-22 17:16  marco <marcov@stack.nl>

	* rtl/freebsd/classes.pp:
	
	 * small 1.0 compat fix

2003-12-22 12:32  marco <marcov@stack.nl>

	* rtl/objpas/typinfo.pp:
	
	 * splitted up tintfflags into several components

2003-12-21 22:23  florian <florian@freepascal.org>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed compilation with sysv calling conventions

2003-12-21 21:31  peter <peter@freepascal.org>

	* rtl/bsd/osmain.inc:
	
	  * fix getdir when directory contains files that give EACCESS

2003-12-21 21:30  peter <peter@freepascal.org>

	* rtl/linux/osmain.inc:
	
	  * don't exit in getdir when fpstat gives a failure

2003-12-19 10:28  michael <michael.vancanneyt@wisa.be>

	* rtl/i386/strings.inc:
	
	+ Patch from Peter to fix strlcomp

2003-12-17 23:52  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/system.pas:
	
	  * fix for stackbottom change to pointer

2003-12-17 23:50  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/Makefile, emx/Makefile.fpc, os2/Makefile,
	os2/Makefile.fpc:
	
	  * fixed incorrect dependency for sysutils (not valid any more)

2003-12-17 22:56  peter <peter@freepascal.org>

	* rtl/: i386/strings.inc, win32/system.pp:
	
	  * win32 regcall patches

2003-12-17 21:58  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/Makefile, os2/Makefile:
	
	  * fix of previous wrong commit

2003-12-17 21:40  hajny <xhajt03@mbox.vol.cz>

	* rtl/go32v2/system.pp:
	
	  * 'conservative' version of the do_open patch by Joe da Silva

2003-12-16 20:43  marco <marcov@stack.nl>

	* rtl/: freebsd/termiosproc.inc, bsd/ossysc.inc:
	
	 * nil <-> 0 changes

2003-12-16 10:43  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/: inc/generic.inc, linux/ossysc.inc, unix/cthreads.pp:
	
	  * Use of 0 instead of nil fixed

2003-12-15 22:39  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/inc/heap.inc:
	
	  * Small microoptimization

2003-12-15 16:57  peter <peter@freepascal.org>

	* rtl/watcom/: system.pp, sysutils.pp:
	
	  * patches from wiktor

2003-12-15 09:55  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/: classes.inc, reader.inc:
	
	Patch from Darek Mazur for reading idents from property stream

2003-12-14 15:47  marco <marcov@stack.nl>

	* rtl/bsd/osmain.inc:
	
	 * fix for repeating 'x' bug

2003-12-14 15:28  peter <peter@freepascal.org>

	* rtl/linux/osmain.inc:
	
	  * only check errno if the syscall failed

2003-12-11 19:20  florian <florian@freepascal.org>

	* rtl/: linux/baseunix.pp, unix/initc.pp:
	
	  * replaced VER1_0 by HASGLOBALPROPERTY

2003-12-11 10:21  marco <marcov@stack.nl>

	* rtl/win32/initc.pp:
	
	 * patch from peter

2003-12-10 18:13  marco <marcov@stack.nl>

	* rtl/: bsd/baseunix.pp, linux/baseunix.pp, unix/initc.pp:
	
	 * property support under ifndef ver1_0

2003-12-10 18:08  marco <marcov@stack.nl>

	* rtl/: linux/baseunix.pp, bsd/baseunix.pp:
	
	 * property errno defined

2003-12-10 18:06  marco <marcov@stack.nl>

	* rtl/unix/initc.pp:
	
	 * property support used.

2003-12-10 15:59  marco <marcov@stack.nl>

	* rtl/unix/initc.pp:
	
	 * NetBSD supported added based on Sparc and define name changed to
	something more sensible

2003-12-10 12:24  marco <marcov@stack.nl>

	* rtl/unix/initc.pp:
	
	 * get/setcerrno added

2003-12-10 10:36  mazen <mazen@freepascal.org>

	* rtl/unix/linuxold.inc:
	
	+ added explicit ATT mode request for assembler  input

2003-12-10 02:36  florian <florian@freepascal.org>

	* rtl/inc/: variant.inc, varianth.inc:
	
	  * real functions ifdef'ed depending on the supported types

2003-12-09 21:08  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed buffer overflow bug in fpc_shortstr_append_shortstr in
	case
	    the result was already 255 characters long

2003-12-08 22:23  peter <peter@freepascal.org>

	* rtl/win32/wininc/base.inc:
	
	  * hmodule added

2003-12-08 21:19  peter <peter@freepascal.org>

	* rtl/inc/variants.pp:
	
	  * remove duplicate uses

2003-12-08 20:44  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/genmath.inc:
	
	  * use HandleError instead of RunError so exception catching works

2003-12-08 18:45  peter <peter@freepascal.org>

	* rtl/inc/real2str.inc:
	
	  * currency support
	  * dropped fixed16/32 support

2003-12-08 18:16  peter <peter@freepascal.org>

	* rtl/unix/unix.pp:
	
	  * fsearch should only find files

2003-12-08 18:13  peter <peter@freepascal.org>

	* rtl/win32/: Makefile, Makefile.fpc:
	
	  * regenerated

2003-12-07 22:30  florian <florian@freepascal.org>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	  + classes compiles on ppc now as well

2003-12-07 20:55  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/math.inc:
	
	  - reverted previous patch, solved with the new assembler reader
	    (which didn't understand the new syntax)

2003-12-07 18:54  olle

	* rtl/powerpc/math.inc:
	
	  * changed in temp+4 to 4+temp, to be compatible with PPCAsm

2003-12-07 15:27  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed buffer overrun error in fillchar

2003-12-07 14:29  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  + added FPC_MOVE alias to move for open array support

2003-12-06 19:03  hajny <xhajt03@mbox.vol.cz>

	* rtl/: objpas/dateutil.inc, objpas/dateutil.pp,
	objpas/dateutils.pp, os2/Makefile, os2/Makefile.fpc,
	win32/Makefile, win32/Makefile.fpc:
	
	  * include file for dateutil(s)

2003-12-06 16:56  marco <marcov@stack.nl>

	* rtl/win32/wininc/messages.inc:
	
	 * typo fix

2003-12-06 16:53  marco <marcov@stack.nl>

	* rtl/win32/wininc/messages.inc:
	
	 * mouse_last fixes for bug 2784

2003-12-06 14:25  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/generic.inc:
	
	  * fixed longint/cardinal comparison in int_str

2003-12-06 01:02  florian <florian@freepascal.org>

	* rtl/inc/objpash.inc:
	
	  * widechars in tvarrec fixed for big endian machines as well

2003-12-06 00:54  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/objpash.inc:
	
	  * changed tvarrec so chars and booleans work on big endian
	machines

2003-12-05 12:53  marco <marcov@stack.nl>

	* rtl/win32/wininc/base.inc:
	
	 * ttokeninformationclass alias for delphi compat

2003-12-05 10:13  marco <marcov@stack.nl>

	* rtl/win32/wininc/defines.inc:
	
	 * small fix

2003-12-04 22:44  peter <peter@freepascal.org>

	* rtl/i386/i386.inc:
	
	  * fix warning in gas

2003-12-04 22:42  peter <peter@freepascal.org>

	* rtl/: go32v2/graph.pp, go32v2/ports.pp, go32v2/system.pp,
	i386/set.inc, i386/setjump.inc, objpas/sysutils/sysutils.inc,
	sparc/sparc.inc:
	
	  * register calling updates

2003-12-04 22:22  peter <peter@freepascal.org>

	* rtl/os2/: Makefile, doscalls.pas, ports.pas, system.pas:
	
	  * regcall updates (untested)

2003-12-04 21:52  peter <peter@freepascal.org>

	* rtl/win32/system.pp:
	
	  * stdcall for CreateFile

2003-12-04 13:34  marco <marcov@stack.nl>

	* rtl/win32/wininc/struct.inc:
	
	 * twin32fileattributedata

2003-12-04 00:06  peter <peter@freepascal.org>

	* rtl/i386/set.inc:
	
	  * more fixes

2003-12-03 23:46  peter <peter@freepascal.org>

	* rtl/i386/set.inc:
	
	  * typo in sub_set

2003-12-03 21:53  olle

	* rtl/beos/dos.pp:
	
	  * files are not pretended to have attr ARCHIVE anymore
	  * files with attr READONLY and ARCHIVE are always returned by
	FindFirst etc
	  * made code more conformant with unix/dos.pp

2003-12-03 21:17  olle

	* rtl/unix/dos.pp:
	
	  * files are not pretended to have attr ARCHIVED anymore
	  + FindFirst etc now also filters on attr HIDDEN
	  * files with attr READONLY and ARCHIVE are always returned by
	FindFirst etc

2003-12-03 18:34  florian <florian@freepascal.org>

	* rtl/linux/arm/syscall.inc:
	
	  + started to implement arm syscalls

2003-12-02 01:04  sg <sg@freepascal.org>

	* rtl/linux/bunxtype.inc:
	
	* Fixed ln2bitmask

2003-11-30 20:48  florian <florian@freepascal.org>

	* rtl/: arm/sysutilp.inc, arm/typinfo.inc, inc/objects.pp,
	inc/objpash.inc:
	
	  * fixed some arm stuff

2003-11-30 16:04  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysconst.pp:
	
	+ Removed old strings

2003-11-30 13:40  marco <marcov@stack.nl>

	* rtl/bsd/bunxtype.inc:
	
	 * fix from sebastian

2003-11-29 23:54  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/powerpc/syscall.inc:
	
	  * more ppc fixes, hello world works again under linuxppc

2003-11-29 19:53  marco <marcov@stack.nl>

	* rtl/linux/Makefile:
	
	 * on fpk's request

2003-11-29 19:18  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/powerpc/syscall.inc:
	
	  * fixed syscacll for new assembler reader

2003-11-29 18:34  michael <michael.vancanneyt@wisa.be>

	* rtl/: unix/cthreads.pp, win32/systhrds.pp:
	
	+ Removed dummy variable from SetCthreadManager

2003-11-29 18:33  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/thread.inc:
	
	+ Removed dummy variable from SetNothreadManager

2003-11-29 18:29  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/: thread.inc, threadh.inc:
	
	+ Added overloaded version of SetThreadManager without old
	parameter

2003-11-29 18:27  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/: systemh.inc, wstrings.inc:
	
	+ Added overloaded version of SetWideStringManager without old
	parameter

2003-11-29 17:40  jonas <jonas.maebe@rug.ac.be>

	* rtl/i386/math.inc:
	
	  * fix power() for negative base

2003-11-29 17:27  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/: strings.inc, stringss.inc, sysutilp.inc:
	
	  * fixed several ppc assembler reader related problems
	  * local vars in assembler procedures now start at offset 4
	  * fixed second_int_to_bool (apparently an integer can be in 
	LOC_JUMP??)

2003-11-29 16:26  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/Makefile, emx/Makefile.fpc, go32v2/Makefile,
	go32v2/Makefile.fpc, os2/Makefile, os2/Makefile.fpc:
	
	  * short name version of dateutils for non-LFN platforms

2003-11-29 16:02  hajny <xhajt03@mbox.vol.cz>

	* rtl/objpas/dateutil.pp:
	
	  + short name version of dateutils for non-LFN platforms

2003-11-29 15:07  peter <peter@freepascal.org>

	* rtl/inc/file.inc:
	
	  * do not overwrite Inoutres in blockwrite with 101

2003-11-29 12:41  yuri

	* rtl/os2/Makefile.fpc:
	
	* rtlconst, dateutils & sysconst units rules added

2003-11-28 21:36  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/: systemh.inc, wstrings.inc:
	
	+ Added WideStringManager

2003-11-28 18:21  peter <peter@freepascal.org>

	* rtl/win32/wininc/messages.inc:
	
	  * TWMEraseBkgnd added

2003-11-28 16:55  peter <peter@freepascal.org>

	* rtl/go32v2/: Makefile, Makefile.fpc:
	
	  * fixed dependencies

2003-11-27 21:43  michael <michael.vancanneyt@wisa.be>

	* rtl/: freebsd/Makefile, freebsd/Makefile.fpc, win32/Makefile,
	win32/Makefile.fpc:
	
	+ Fixes for sysconst and removed runerrors.pp

2003-11-27 21:39  michael <michael.vancanneyt@wisa.be>

	* rtl/: objpas/sysconst.pp, inc/runerrors.pp:
	
	+ Added runerrors functionality to sysconst

2003-11-27 21:39  michael <michael.vancanneyt@wisa.be>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	+ Some fixes and runerrors removed

2003-11-27 21:24  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/cthreads.pp:
	
	+ Compiles on BSD too now

2003-11-27 21:24  michael <michael.vancanneyt@wisa.be>

	* rtl/freebsd/pthread.inc:
	
	+ Redefined ppthread_mutex_t

2003-11-27 21:16  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/cthreads.pp:
	
	+ Make works with 1.0.10 too

2003-11-27 17:16  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * fixed incorrect addition of sysconst

2003-11-27 11:28  michael <michael.vancanneyt@wisa.be>

	* rtl/: inc/runerrors.pp, inc/threadh.inc, win32/Makefile,
	win32/Makefile.fpc, win32/systhrds.pp:
	
	+ Patch from peter to fix make cycle

2003-11-26 23:17  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/: sysansi.inc, sysstr.inc, sysstrh.inc,
	sysutilh.inc, sysutils.inc:
	
	+ Merged fixbranch fixes, missing in main branch

2003-11-26 21:55  michael <michael.vancanneyt@wisa.be>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	+ Fixed dependencies so cycle works again

2003-11-26 21:50  michael <michael.vancanneyt@wisa.be>

	* rtl/: linux/Makefile, linux/Makefile.fpc, win32/Makefile,
	win32/Makefile.fpc:
	
	+ Fixed dependencies so cycle works again

2003-11-26 21:34  michael <michael.vancanneyt@wisa.be>

	* rtl/: objpas/sysconst.pp, linux/Makefile, linux/Makefile.fpc,
	inc/variants.pp, unix/sysutils.pp:
	
	+ Some fixes to have everything compile again

2003-11-26 21:21  michael <michael.vancanneyt@wisa.be>

	* rtl/: freebsd/Makefile, freebsd/Makefile.fpc, go32v2/Makefile,
	go32v2/Makefile.fpc:
	
	+ Added runerrors and cthreads unit

2003-11-26 21:17  michael <michael.vancanneyt@wisa.be>

	* rtl/: win32/Makefile, win32/Makefile.fpc, freebsd/Makefile,
	freebsd/Makefile.fpc:
	
	+ Added runerrors unit

2003-11-26 21:15  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/datih.inc:
	
	TwoDigitYearCenturyWindow is 50

2003-11-26 21:12  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/runerrors.pp:
	
	+ Initial implementation of runerrors string support

2003-11-26 21:12  michael <michael.vancanneyt@wisa.be>

	* rtl/: inc/except.inc, objpas/sysutils/stre.inc,
	objpas/sysutils/sysutilh.inc, objpas/sysutils/sysutils.inc:
	
	+ New runerror 231 (exception stack error) and 232 (nothread
	support)

2003-11-26 21:10  michael <michael.vancanneyt@wisa.be>

	* rtl/: inc/thread.inc, inc/threadh.inc, inc/threadvr.inc,
	linux/pthread.inc, unix/cthreads.pp, unix/systhrds.pp,
	win32/systhrds.pp:
	
	+ New threadmanager implementation

2003-11-26 21:00  florian <florian@freepascal.org>

	* rtl/: beos/Makefile.fpc, beos/sysutils.pp, darwin/Makefile.fpc,
	emx/Makefile.fpc, emx/sysutils.pp, freebsd/Makefile.fpc,
	go32v2/Makefile.fpc, go32v2/sysutils.pp, inc/variants.pp,
	linux/Makefile.fpc, macos/Makefile.fpc, netbsd/Makefile.fpc,
	netware/Makefile.fpc, netware/sysutils.pp, objpas/sysconst.pp,
	objpas/varutilh.inc, objpas/sysutils/sysutilh.inc,
	objpas/sysutils/sysutils.inc, os2/Makefile.fpc, os2/sysutils.pp,
	posix/sysutils.pp, watcom/Makefile.fpc, watcom/sysutils.pp,
	win32/Makefile.fpc, win32/sysutils.pp:
	
	  * error handling for Variants improved

2003-11-25 17:29  florian <florian@freepascal.org>

	* rtl/beos/sysutils.pp:
	
	no message

2003-11-25 16:13  marco <marcov@stack.nl>

	* rtl/unix/sockets.pp:
	
	 * somebody added fields to socketsh.inc that were already under
	ifdef bsd

2003-11-25 00:08  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/system.pp:
	
	+ Redefined Fileopen so it corresponds to ascdef.inc definition

2003-11-25 00:00  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/dati.inc:
	
	+ Fix for bug 2476

2003-11-24 23:27  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/crt.pp:
	
	+ Bugfix for bug 2741

2003-11-24 22:57  michael <michael.vancanneyt@wisa.be>

	* rtl/i386/math.inc:
	
	+ Patch from Johannes Berg for bug 2759

2003-11-23 18:34  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/: powerpc.inc, strlen.inc:
	
	  * fixed some label names

2003-11-23 17:50  peter <peter@freepascal.org>

	* rtl/i386/: set.inc, strings.inc, strpas.inc:
	
	  * register calling updates

2003-11-23 16:50  yuri

	* rtl/os2/sysutils.pp:
	
	* Now native

2003-11-23 12:00  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/socketsh.inc:
	
	+ Added IPV6 patch from Johannes Berg

2003-11-23 11:57  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/sockets.inc:
	
	+ Changed mode to output for file sockets

2003-11-23 08:21  yuri

	* rtl/os2/system.pas:
	
	* native heap

2003-11-22 22:58  marco <marcov@stack.nl>

	* rtl/inc/sockets.inc:
	
	 * johill changed his mind

2003-11-22 18:18  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/sysstr.inc:
	
	 * johill patch applied

2003-11-22 18:15  marco <marcov@stack.nl>

	* rtl/freebsd/Makefile.fpc:
	
	 * .rst for dateutils fixed

2003-11-22 17:28  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/socketsh.inc:
	
	+ Added several constants

2003-11-22 17:17  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/sysstr.inc:
	
	+ Small optimization in comparemem

2003-11-22 16:46  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/sysstr.inc:
	
	+ Patched CompareMem for case when length is 0

2003-11-22 12:04  marco <marcov@stack.nl>

	* rtl/: freebsd/tthread.inc, linux/tthread.inc:
	
	 * Johill: suspend fix

2003-11-22 11:59  marco <marcov@stack.nl>

	* rtl/inc/sockets.inc:
	
	 fix for last one

2003-11-22 11:33  marco <marcov@stack.nl>

	* rtl/inc/sockets.inc:
	
	 fix from johill for 2801

2003-11-22 11:32  marco <marcov@stack.nl>

	* rtl/inc/sockets.inc:
	
	 fix from johill

2003-11-21 01:40  florian <florian@freepascal.org>

	* rtl/: arm/arm.inc, arm/strings.inc, arm/stringss.inc,
	linux/signal.inc, linux/arm/sighnd.inc, linux/powerpc/sighnd.inc:
	
	  * some arm issues fixed

2003-11-20 23:12  marco <marcov@stack.nl>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	 * dateutils added

2003-11-20 23:09  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * dateutils added

2003-11-20 10:09  marco <marcov@stack.nl>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	 * termio moved to better spot

2003-11-20 10:06  marco <marcov@stack.nl>

	* rtl/linux/: termio.pp, termiosproc.inc:
	
	 * forgot to commit with rest. now added.

2003-11-19 19:21  yuri

	* rtl/os2/system.pas:
	
	* Memory allocation bug fixed

2003-11-19 18:35  marco <marcov@stack.nl>

	* rtl/: linux/Makefile.fpc, linux/termios.inc, unix/ggigraph.pp,
	unix/graph.pp:
	
	 * Linux part of termio unit

2003-11-19 18:15  marco <marcov@stack.nl>

	* rtl/freebsd/: termio.pp, termiosproc.inc:
	
	 * termio new includefile

2003-11-19 18:13  marco <marcov@stack.nl>

	* rtl/unix/: termiosh.inc, ttyname.inc:
	
	 * new termio units

2003-11-19 18:11  marco <marcov@stack.nl>

	* rtl/: bsd/bunxtype.inc, bsd/sysctl.pp, freebsd/Makefile,
	freebsd/Makefile.fpc, freebsd/console.pp, freebsd/unixsysc.inc,
	unix/crt.pp, unix/keyboard.pp, unix/serial.pp, unix/unix.pp,
	unix/video.pp:
	
	 * termio unit

2003-11-19 17:58  peter <peter@freepascal.org>

	* rtl/i386/: i386.inc, stringss.inc, strpas.inc:
	
	  * make strpas assembler function

2003-11-19 17:50  yuri

	* rtl/os2/: prt1.as, system.pas:
	
	* Environment and arguments initialization now native

2003-11-19 16:51  peter <peter@freepascal.org>

	* rtl/: linux/classes.pp, linux/tthread.inc,
	objpas/classes/classes.inc, objpas/classes/classesh.inc:
	
	  * tthread disabled for 1.0.x

2003-11-19 15:04  marco <marcov@stack.nl>

	* rtl/linux/bunxfunc.inc:
	
	 * fix for sleep from johill

2003-11-19 12:46  marco <marcov@stack.nl>

	* rtl/linux/: ossysch.inc, unixsysc.inc, unxsysch.inc:
	
	 * changes due to the previous *BSD changes. Mainly moving
	constants from
	   unix to systypes.inc (which acts as unxtypes.inc)

2003-11-19 11:56  marco <marcov@stack.nl>

	* rtl/linux/: bunxtype.inc, sysconst.inc:
	
	 * some constants moved from System

2003-11-19 11:54  marco <marcov@stack.nl>

	* rtl/unix/: serial.pp, systhrds.pp, unix.pp:
	
	 * some simple restructures

2003-11-19 11:17  marco <marcov@stack.nl>

	* rtl/sunos/systypes.inc:
	
	 * some constants mvoed from unit unix

2003-11-19 11:12  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc, sysconst.inc, tthread.inc,
	unixsysc.inc:
	
	 * more cleanups

2003-11-18 23:35  marco <marcov@stack.nl>

	* rtl/unix/: systhrds.pp, systhrds.pp:
	
	 * Last patch was ok, problem was somewhere else. Moved *BSD part
	of pthreads to freebsd/pthreads.inc

2003-11-18 23:33  marco <marcov@stack.nl>

	* rtl/freebsd/pthread.inc:
	
	 * moved from systhrds.pp

2003-11-18 22:47  marco <marcov@stack.nl>

	* rtl/freebsd/bsdport.txt:
	
	 * minor updates

2003-11-18 13:12  marco <marcov@stack.nl>

	* rtl/linux/i386/: signal.inc, syscallo.inc, syscalls.inc:
	
	 * several 1.0.x files removed

2003-11-18 11:43  marco <marcov@stack.nl>

	* rtl/unix/sysunix.inc:
	
	 * no longer necessary

2003-11-18 11:12  marco <marcov@stack.nl>

	* rtl/bsd/: bunxfunc.inc, osmain.inc:
	
	 * Small fixes for EAGAIN. bunxfunc only has comments added.

2003-11-17 20:56  hajny <xhajt03@mbox.vol.cz>

	* rtl/watcom/objpas.pp:
	
	  * Wiktor Sywula: dummy objpas removed (not needed any more)

2003-11-17 20:55  hajny <xhajt03@mbox.vol.cz>

	* rtl/watcom/: Makefile, Makefile.fpc, classes.pp, system.pp,
	sysutils.pp, varutils.pp:
	
	  * Wiktor Sywula: LFN detection uncommented in system, new units
	added

2003-11-17 17:56  marco <marcov@stack.nl>

	* rtl/freebsd/sysconst.inc:
	
	 * tiocgeta fixed

2003-11-17 12:28  marco <marcov@stack.nl>

	* rtl/: linux/sysc11.inc, linux/sysconst.inc, unix/linuxnew.inc,
	unix/unix.pp:
	
	 * Clone moved to linux, + few small unit unix changes

2003-11-17 11:21  marco <marcov@stack.nl>

	* rtl/linux/unixsysc.inc:
	
	 * small fixes for changing unit unix again

2003-11-17 11:05  marco <marcov@stack.nl>

	* rtl/: freebsd/Makefile, freebsd/Makefile.fpc, freebsd/classes.pp,
	freebsd/console.pp, freebsd/tthread.inc, freebsd/unixsysc.inc,
	linux/unixsysc.inc, unix/crt.pp, unix/dos.pp, unix/keyboard.pp,
	unix/systhrds.pp, unix/sysutils.pp, unix/unix.pp, unix/video.pp:
	
	 * threads for FreeBSD. Not working tho

2003-11-17 09:27  marco <marcov@stack.nl>

	* rtl/: linux/tthread.inc, objpas/classes/classesh.inc,
	unix/systhrds.pp:
	
	 * pthreads based ttread from Johannes Berg

2003-11-16 15:09  marco <marcov@stack.nl>

	* rtl/unix/ipc.pp:
	
	 * few things renamed

2003-11-15 20:01  florian <florian@freepascal.org>

	* rtl/: inc/systemh.inc, linux/powerpc/syscall.inc,
	powerpc/math.inc, powerpc/powerpc.inc, powerpc/set.inc,
	powerpc/strlen.inc, powerpc/strpas.inc:
	
	  * fixed rtl to work with the integrated fpc ppc assembler reader

2003-11-14 18:30  marco <marcov@stack.nl>

	* rtl/unix/unix.pp:
	
	 * weeehoo linuxerror is no more :-)

2003-11-14 17:44  marco <marcov@stack.nl>

	* rtl/unix/unix.pp:
	
	 * stream functions converted to work without linuxerror

2003-11-14 17:30  marco <marcov@stack.nl>

	* rtl/freebsd/i386/x86.inc:
	
	 * ioperm is linuxerror free and returns syscall result directly

2003-11-14 17:21  marco <marcov@stack.nl>

	* rtl/freebsd/unixsysc.inc:
	
	 * linuxerror elimination

2003-11-13 19:44  marco <marcov@stack.nl>

	* rtl/unix/unix.pp:
	
	 * small fi

2003-11-13 18:49  marco <marcov@stack.nl>

	* rtl/bsd/unxsysc.inc:
	
	 * fixed some linuxerror probs

2003-11-13 18:40  marco <marcov@stack.nl>

	* rtl/linux/unixsysc.inc:
	
	 * small fixes

2003-11-13 14:36  marco <marcov@stack.nl>

	* rtl/linux/unixsysc.inc:
	
	 * Linuxerror removed

2003-11-13 14:11  marco <marcov@stack.nl>

	* rtl/linux/unxsysc.inc:
	
	 * Linuxerror remove + hdr+log added

2003-11-12 23:19  marco <marcov@stack.nl>

	* rtl/unix/unix.pp:
	
	 * more linuxeror fixes

2003-11-12 13:34  marco <marcov@stack.nl>

	* rtl/unix/liunsysc.inc:
	
	 * replaced by linuxold in one file

2003-11-11 22:08  peter <peter@freepascal.org>

	* rtl/i386/: i386.inc, math.inc, set.inc, setjump.inc, strings.inc,
	stringss.inc, strlen.inc, strpas.inc, sysutilp.inc:
	
	  * REGCALL define added

2003-11-10 17:54  marco <marcov@stack.nl>

	* rtl/: linux/classes.pp, linux/tthread.inc, unix/linuxold.inc:
	
	 * new oldlinux unit. 1_0 defines killed in some former FCL parts.

2003-11-09 22:52  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/math.pp:
	
	+ Added missing sign functions

2003-11-09 22:43  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/socketsh.inc:
	
	+ Added some missing socket options and the shut_* constants

2003-11-09 14:49  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/wininc/messages.inc:
	
	+ TMessage result member is a longint, not a cardinal (from Micha
	Nelissen, verified in D6).

2003-11-09 14:48  marco <marcov@stack.nl>

	* rtl/linux/unixsysc.inc:
	
	 * small fix

2003-11-09 14:37  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/sysstr.inc:
	
	+ Position specifier in format string affects all later specifiers

2003-11-09 13:00  marco <marcov@stack.nl>

	* rtl/freebsd/unixsysc.inc:
	
	 * pipe fix

2003-11-09 00:47  florian <florian@freepascal.org>

	* rtl/beos/: Makefile, Makefile.fpc:
	
	  * fixed Makefile for new objpas dir structure

2003-11-07 00:21  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/system.pas:
	
	  * cardinal2pointer changes

2003-11-06 23:25  marco <marcov@stack.nl>

	* rtl/win32/sysutils.pp:
	
	 * added some more of win32* delphi pseudo constants

2003-11-06 23:05  marco <marcov@stack.nl>

	* rtl/win32/wininc/redef.inc:
	
	 * fixed

2003-11-06 18:20  yuri

	* rtl/os2/system.pas:
	
	* Unused constants removed

2003-11-06 17:28  peter <peter@freepascal.org>

	* rtl/linux/sparc/sighnd.inc:
	
	  * compile fix

2003-11-06 17:22  peter <peter@freepascal.org>

	* rtl/linux/sparc/sighnd.inc:
	
	  * sparc

2003-11-05 16:33  florian <florian@freepascal.org>

	* rtl/inc/wstrings.inc:
	
	  * made Index* usage consistent with astrings.inc

2003-11-05 16:26  florian <florian@freepascal.org>

	* rtl/inc/: variant.inc, varianth.inc:
	
	  + currency type can be assigned to variants now

2003-11-05 12:42  florian <florian@freepascal.org>

	* rtl/go32v2/sysutils.pp:
	
	  * applied patch from Joe da Silva to fix OpenFile on older DOS
	versions

2003-11-05 10:13  yuri

	* rtl/os2/: classes.pp, dos.pas, moncalls.pas, sysutils.pp:
	
	* exec fix * unused units removed

2003-11-05 00:15  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/cvarutil.inc:
	
	Support for ansistring and better debug outpu

2003-11-05 00:15  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/variants.pp:
	
	+ Some fix in sysvarfromlstr

2003-11-04 23:53  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/cvarutil.inc:
	
	+ Removed debug statements

2003-11-04 23:27  michael <michael.vancanneyt@wisa.be>

	* rtl/: inc/variants.pp, objpas/cvarutil.inc:
	
	+ Some fixes for string support

2003-11-03 18:46  peter <peter@freepascal.org>

	* rtl/inc/objects.pp:
	
	  * fixed crash in bufstream.write

2003-11-03 18:28  florian <florian@freepascal.org>

	* rtl/arm/int64p.inc:
	
	  * initial revision

2003-11-03 10:42  marco <marcov@stack.nl>

	* rtl/: freebsd/tthread.inc, go32v2/system.pp, i386/i386.inc,
	inc/filerec.inc, inc/keyboard.inc, inc/keybrdh.inc, inc/objects.pp,
	inc/objpash.inc, inc/system.inc, inc/systemh.inc, inc/textrec.inc,
	linux/tthread.inc, objpas/classes/classesh.inc,
	objpas/sysutils/sysstr.inc, os2/system.pas, unix/unix.pp,
	unix/unixutil.pp, win32/crt.pp, win32/initc.pp, win32/system.pp:
	
	 * Peter's Cardinal<->Longint fixes patch

2003-11-02 17:30  marco <marcov@stack.nl>

	* rtl/unix/dl.pp:
	
	 *  more fixes

2003-11-02 16:41  marco <marcov@stack.nl>

	* rtl/unix/dl.pp:
	
	 bsd support

2003-11-02 16:39  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * unit dl added

2003-11-02 15:53  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/: signal.inc, powerpc/sighnd.inc:
	
	  + sighand and associated record definitions for ppc. Untested.

2003-11-02 10:45  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dos.pas:
	
	SetFTime fix

2003-11-02 01:51  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  * corrections for do_open and os_mode back

2003-11-02 01:25  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/doscalls.pas:
	
	  * TFileFindBuf3 corrected

2003-11-02 00:02  marco <marcov@stack.nl>

	* rtl/Makefile.fpc:
	
	 * package version update

2003-11-01 21:41  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/doscalls.pas:
	
	  * TFileStatus3 corrected

2003-11-01 20:25  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/system.pas:
	
	  * fix of previous mistyping

2003-11-01 19:35  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dos.pas:
	
	  * GetFTime correction for case of no previous write access

2003-11-01 18:10  marco <marcov@stack.nl>

	* rtl/unix/timezone.inc:
	
	 * Show stopping bug. Had to comment out lines around 279 to get
	1.9
	 to build

2003-11-01 02:58  marco <marcov@stack.nl>

	* rtl/linux/: osmain.inc, i386/sighnd.inc:
	
	 * more small fixes.

2003-11-01 02:27  marco <marcov@stack.nl>

	* rtl/linux/i386/sighnd.inc:
	
	 * initial version from 1.0.x branch

2003-10-31 21:36  marco <marcov@stack.nl>

	* rtl/linux/osmain.inc:
	
	 * i386 specific fixes that hopefully fix texception4.
		Only the "generic" signal handler was ported to the unix
	rtl.

2003-10-31 10:20  mazen <mazen@freepascal.org>

	* rtl/: i386/mathu.inc, linux/i386/syscallo.inc:
	
	+ assembler mode forced to ATT style for x86 cpu

2003-10-31 09:55  mazen <mazen@freepascal.org>

	* rtl/: linux/sysc11.inc, unix/x86.pp:
	
	+ assembler mode forced to ATT style for x86 cpu

2003-10-31 08:53  marco <marcov@stack.nl>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	 * makefile gotcha resulting from moving syscalls.inc fixed

2003-10-30 19:12  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * gprt readded

2003-10-30 19:10  marco <marcov@stack.nl>

	* rtl/freebsd/i386/gprt0.as:
	
	 jaja

2003-10-30 18:21  marco <marcov@stack.nl>

	* rtl/freebsd/Makefile:
	
	 *

2003-10-30 18:21  marco <marcov@stack.nl>

	* rtl/freebsd/Makefile.fpc:
	
	 * -dNOMOUSE also for .1.1

2003-10-30 17:48  marco <marcov@stack.nl>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	 * more makefiles

2003-10-30 17:43  marco <marcov@stack.nl>

	* rtl/linux/: i386/syscalls.inc, syscalls.inc:
	
	 * i386 specific due to clone and old syscall conv

2003-10-30 17:42  marco <marcov@stack.nl>

	* rtl/unix/unix.pp:
	
	 * fixes for old syscall() convention removing

2003-10-30 17:42  marco <marcov@stack.nl>

	* rtl/linux/: sysc11.inc, unixsysc.inc:
	
	 * Killing off old syscall convention anywhere except for oldlinux

2003-10-30 17:30  peter <peter@freepascal.org>

	* rtl/objpas/classes/streams.inc:
	
	  * merged copyfrom with 0

2003-10-30 17:25  peter <peter@freepascal.org>

	* rtl/objpas/classes/: bits.inc, classesh.inc:
	
	  * tbits.create is now supported

2003-10-30 17:17  marco <marcov@stack.nl>

	* rtl/linux/syscallo.inc:
	
	 * moved to i386/

2003-10-30 17:16  marco <marcov@stack.nl>

	* rtl/linux/i386/syscallo.inc:
	
	 * moved legacy syscall to i386/

2003-10-29 23:34  olle

	* rtl/macos/system.pp:
	
	  + handles program parameters for MPW
	  + program start stub
	  * improved working directory handling
	  * minor changes
	  + some documentation

2003-10-29 22:00  peter <peter@freepascal.org>

	* rtl/inc/dynarr.inc:
	
	  * fixed a:=copy(b)

2003-10-29 20:45  peter <peter@freepascal.org>

	* rtl/linux/syscallo.inc:
	
	  * use oldfpccall because all registers are destroyed

2003-10-29 20:10  jonas <jonas.maebe@rug.ac.be>

	* rtl/objpas/math.pp:
	
	  * fixed arctan2

2003-10-29 19:23  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/system.inc:
	
	  * hack to allow repeatable random sequences using the new random
	number
	    generator
	  * fixed range warning/error

2003-10-28 17:44  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, netbsd/Makefile, netware/Makefile, os2/Makefile,
	win32/Makefile:
	
	  * regenerated

2003-10-28 15:57  yuri

	* rtl/os2/system.pas:
	
	* do_* functions now native

2003-10-27 18:12  marco <marcov@stack.nl>

	* rtl/: bsd/osmain.inc, freebsd/signal.inc, freebsd/tthread.inc,
	unix/bunxovl.inc:
	
	 * fixes for signal handling.

2003-10-27 16:58  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, netbsd/Makefile, netware/Makefile, os2/Makefile,
	win32/Makefile:
	
	  * regenerated

2003-10-27 16:28  peter <peter@freepascal.org>

	* rtl/win32/keyboard.pp:
	
	  * set inited boolean to prevent crashes

2003-10-27 16:27  peter <peter@freepascal.org>

	* rtl/win32/dos.pp:
	
	  * fixed setfattr with volumeid

2003-10-27 13:19  yuri

	* rtl/os2/sysutils.pp:
	
	* GetLocatTime now also native

2003-10-27 12:43  yuri

	* rtl/os2/sysutils.pp:
	
	* New set of native functions

2003-10-27 10:16  marco <marcov@stack.nl>

	* rtl/i386/i386.inc:
	
	 * fix from peter i386.inc to circumvent ebx destroying

2003-10-27 05:33  yuri

	* rtl/os2/system.pas:
	
	* os_mode removed (not required anymore)

2003-10-26 22:15  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/system.inc:
	
	  * minor fix for new Random

2003-10-26 19:46  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/system.inc:
	
	  * replaced random generator with the Mersenne twister, which is
	about
	    3.5 times faster

2003-10-26 18:01  marco <marcov@stack.nl>

	* rtl/unix/sysdeclh.inc:
	
	 * moved sigprocmask to system for BSD. (needed for reenablesig)

2003-10-26 18:01  marco <marcov@stack.nl>

	* rtl/bsd/: bunxfunc.inc, osmain.inc, ossysc.inc, system.pp:
	
	 * moved sigprocmask to system

2003-10-26 17:56  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/real2str.inc:
	
	  * fixed web bug 2643

2003-10-26 17:42  marco <marcov@stack.nl>

	* rtl/bsd/system.pp:
	
	 * texception4 fix merge

2003-10-26 17:31  florian <florian@freepascal.org>

	* rtl/win32/wininc/defines.inc:
	
	  + added some missing exception numbers

2003-10-26 16:58  florian <florian@freepascal.org>

	* rtl/: i386/mathu.inc, objpas/math.pp:
	
	  * fixed arctan2 to handle x=0 correctly as well

2003-10-26 16:32  marco <marcov@stack.nl>

	* rtl/unix/video.pp:
	
	 * partial fix for bug 2212.

2003-10-26 01:55  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dos.pas:
	
	  * Exec fix

2003-10-26 01:42  hajny <xhajt03@mbox.vol.cz>

	* rtl/: amiga/system.pas, atari/system.pas, beos/system.pp,
	go32v2/sysutils.pp, netware/sysutils.pp, netware/winsock.pp,
	inc/objects.pp, netware/system.pp, objpas/sysutils/sysutilh.inc,
	posix/sysutils.pp, unix/sysutils.pp, win32/sysutils.pp:
	
	  * THandle in sysutils common using System.THandle

2003-10-26 00:52  florian <florian@freepascal.org>

	* rtl/inc/: compproc.inc, dynarr.inc:
	
	  * fixed copy(<dynarray>, ...)

2003-10-26 00:48  marco <marcov@stack.nl>

	* rtl/unix/video.pp:
	
	 * small after merge fixes

2003-10-26 00:45  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/dos.pas, emx/system.pas, os2/dos.pas, os2/system.pas:
	
	  * file handling related fixes

2003-10-24 20:09  marco <marcov@stack.nl>

	* rtl/unix/mouse.pp:
	
	 * 1.0.x fixes merged

2003-10-24 19:51  marco <marcov@stack.nl>

	* rtl/unix/video.pp:
	
	 * merged some fixes from 1.0.x

2003-10-24 10:37  marco <marcov@stack.nl>

	* rtl/objpas/typinfo.pp:
	
	 * Fix from Peter

2003-10-23 19:01  peter <peter@freepascal.org>

	* rtl/i386/i386.inc:
	
	  * save edi,ebx,esi in int_str

2003-10-23 14:06  marco <marcov@stack.nl>

	* rtl/unix/genfdset.inc:
	
	 * fd's now walk from 0..maxset again. IDE/unit kbd works again.

2003-10-23 13:04  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * nomouse

2003-10-23 11:39  marco <marcov@stack.nl>

	* rtl/win32/wininc/defines.inc:
	
	 * fix for 2672

2003-10-19 14:13  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/system.pas, os2/system.pas:
	
	  * UnusedHandle value made the same as with other targets

2003-10-19 11:37  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  * minor fix in non-default sbrk code

2003-10-19 11:35  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/: crt.pas, system.pas, systhrds.pp, sysutils.pp:
	
	  * fixes from OS/2 merged to EMX

2003-10-19 11:06  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  * fix for terrible long-time bug in do_open

2003-10-18 18:58  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: ports.pas, system.pas, sysutils.pp:
	
	  * stdcall fixes again

2003-10-18 18:53  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/crt.pas:
	
	  * longint2cardinal

2003-10-18 11:31  hajny <xhajt03@mbox.vol.cz>

	* rtl/watcom/: prt0.asm, system.pp:
	
	  * Wiktor Sywula: environment and arguments support added

2003-10-18 11:18  hajny <xhajt03@mbox.vol.cz>

	* rtl/watcom/dos.pp:
	
	  * Wiktor Sywula: transfer_buffer changed to tb

2003-10-18 01:44  olle

	* rtl/macos/system.pp:
	
	  + working direcory emulated
	  + implemented directory handling procs
	  + all proc which take a path param, now resolve it relative wd

2003-10-18 01:41  olle

	* rtl/macos/macostp.inc:
	
	  + new include file containing portions of MacOS api, written in
	turbo dialect

2003-10-18 00:13  olle

	* rtl/: unix/dos.pp, unix/linuxold.inc, unix/liunsysc.inc,
	unix/video.pp, win32/system.pp:
	
	  * changed i386 to cpui386

2003-10-18 00:10  olle

	* rtl/: bsd/ossysc.inc, linux/unixsysc.inc, netware/system.pp:
	
	  * changed i386 to cpui386

2003-10-17 22:56  olle

	* rtl/: linux/ossysc.inc, linux/syscalls.inc, netbsd/syscalls.inc,
	objpas/typinfo.pp:
	
	  * Changed m68k to cpum68k, i386 to cpui386

2003-10-17 22:52  olle

	* rtl/inc/: lineinfo.pp, systemh.inc:
	
	  * Changed m68k to cpum68k, i386 to cpui386

2003-10-17 22:49  olle

	* rtl/unix/sysunixh.inc:
	
	  * Changed m68k to cpum68k

2003-10-17 22:45  olle

	* rtl/unix/sysunix.inc:
	
	  * Changed mapping of Sys_ETXTBSY to 5
	  * Changed m68k to cpum68k, i386 to cpui386

2003-10-17 19:49  florian <florian@freepascal.org>

	* rtl/emx/: Makefile.fpc, Makefile:
	
	  * classes unit will be shared with os2 target for now

2003-10-17 19:34  florian <florian@freepascal.org>

	* rtl/emx/: Makefile, Makefile.fpc:
	
	  * updated for new objpas directory structure

2003-10-17 09:51  florian <florian@freepascal.org>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	  * classes unit moved temporarily to i386 dependend section

2003-10-16 23:28  peter <peter@freepascal.org>

	* rtl/i386/i386.inc:
	
	  * use __HIGH()

2003-10-16 21:24  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/tthread.inc:
	
	  * another longint2cardinal fix

2003-10-16 17:43  peter <peter@freepascal.org>

	* rtl/: emx/system.pas, go32v2/system.pp, inc/systemh.inc,
	macos/system.pp, os2/system.pas, unix/sysunixh.inc,
	watcom/system.pp, win32/system.pp:
	
	  * THandle is platform dependent

2003-10-14 23:19  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/tthread.inc:
	
	  * another longint2cardinal fix

2003-10-14 23:15  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/sysutils.pp:
	
	  * longint2cardinal fixes merged

2003-10-14 23:10  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  * another longint2cardinal fix

2003-10-14 02:57  florian <florian@freepascal.org>

	* rtl/i386/i386.inc:
	
	  + some code for PIC support added

2003-10-13 23:24  hajny <xhajt03@mbox.vol.cz>

	* rtl/unix/sysunix.inc:
	
	  * sbrk error handling corrected

2003-10-13 23:17  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: system.pas, systhrds.pp, sysutils.pp, thread.inc,
	tthread.inc:
	
	  * longint to cardinal corrections

2003-10-13 13:37  marco <marcov@stack.nl>

	* rtl/unix/bunxovl.inc:
	
	 * more small fixes

2003-10-12 21:40  marco <marcov@stack.nl>

	* rtl/unix/unix.pp:
	
	 * ioctl fixes. IDE now starts, but

2003-10-12 20:07  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/system.pas, os2/system.pas:
	
	  * wrong use of Intel syntax

2003-10-12 19:59  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/system.pas, os2/system.pas:
	
	  * wrong use of Intel syntax

2003-10-12 19:52  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/system.pas, os2/system.pas:
	
	  * wrong use of Intel syntax

2003-10-12 18:24  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/variants.pp:
	
	  + CVS log added

2003-10-12 16:37  marco <marcov@stack.nl>

	* rtl/unix/bunxovl.inc:
	
	 * small bug fixed in opendir that core dumped the IDE. Now the IDE
	SIGFPE's in FV.

2003-10-12 12:45  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/system.pas, os2/system.pas:
	
	  * sbrk error handling corrected

2003-10-09 22:13  florian <florian@freepascal.org>

	* rtl/: objpas/classes/classesh.inc, posix/sysutils.pp:
	
	  * more type alias updates as suggested by DarekM

2003-10-09 17:52  peter <peter@freepascal.org>

	* rtl/objpas/classes/felog.inc:
	
	  * part of eventlog

2003-10-09 16:35  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, netbsd/Makefile, netware/Makefile, os2/Makefile,
	win32/Makefile:
	
	  * regenerated

2003-10-09 12:55  marco <marcov@stack.nl>

	* rtl/freebsd/: classes.pp, tthread.inc:
	
	 * fix for moving classes to rtl while cycling with 1.0 start

2003-10-08 18:24  florian <florian@freepascal.org>

	* rtl/: inc/systemh.inc, inc/varianth.inc, inc/variants.pp,
	win32/Makefile, win32/Makefile.fpc, win32/wininc/messages.inc:
	
	  * fixed some variant issues
	  * improved type declarations

2003-10-08 11:21  yuri

	* rtl/os2/: thread.inc, todo-os2.txt:
	
	* EMX code removed. Most probably, MT broken. (EMX notification
	removed)

2003-10-08 07:22  yuri

	* rtl/os2/: sysutils.pp, thread.inc:
	
	* Some emx code removed

2003-10-07 23:33  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/: dos.pas, ports.pas, system.pas, sysutils.pp:
	
	  * stdcall fixes and asm routines cleanup

2003-10-07 23:26  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: sysutils.pp, ports.pas, system.pas, thread.inc,
	video.pp:
	
	  * stdcall fixes and asm routines cleanup

2003-10-07 18:20  florian <florian@freepascal.org>

	* rtl/: objpas/classes/classesh.inc, win32/classes.pp:
	
	  * win32 now uses aliases from the windows unit for types like
	trect

2003-10-07 14:02  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/: sysstr.inc, sysstrh.inc:
	
	 * sametext and ansisametext added. (simple (ansi)comparetext
	wrappers)

2003-10-07 13:52  marco <marcov@stack.nl>

	* rtl/objpas/classes/: classesh.inc, lists.inc:
	
	 tlist.assign support

2003-10-07 10:28  marco <marcov@stack.nl>

	* rtl/unix/sysutils.pp:
	
	 * fix from Vincent to casetables

2003-10-07 01:52  florian <florian@freepascal.org>

	* rtl/: inc/systemh.inc, win32/system.pp, win32/win32.inc,
	win32/wininc/base.inc, win32/wininc/messages.inc:
	
	  * some data types cleaned up

2003-10-06 23:01  peter <peter@freepascal.org>

	* rtl/: freebsd/Makefile, freebsd/Makefile.fpc, freebsd/classes.pp,
	freebsd/tthread.inc, go32v2/Makefile, go32v2/Makefile.fpc,
	go32v2/classes.pp, go32v2/tthread.inc, linux/Makefile,
	linux/Makefile.fpc, linux/classes.pp, linux/tthread.inc,
	netbsd/Makefile, netbsd/Makefile.fpc, netbsd/classes.pp,
	netbsd/tthread.inc, netware/Makefile, netware/Makefile.fpc,
	netware/classes.pp, netware/tthread.inc, objpas/README,
	objpas/dati.inc, objpas/datih.inc, objpas/diskh.inc,
	objpas/filutilh.inc, objpas/fina.inc, objpas/finah.inc,
	objpas/intf.inc, objpas/intfh.inc, objpas/makefile.op,
	objpas/osutilsh.inc, objpas/stre.inc, objpas/strg.inc,
	objpas/sysansi.inc, objpas/sysansih.inc, objpas/sysinth.inc,
	objpas/syspch.inc, objpas/syspchh.inc, objpas/sysstr.inc,
	objpas/sysstrh.inc, objpas/systhrdh.inc, objpas/sysutilh.inc,
	objpas/sysutils.inc, objpas/classes/action.inc,
	objpas/classes/bits.inc, objpas/classes/classes.inc,
	objpas/classes/classesh.inc, objpas/classes/collect.inc,
	objpas/classes/compon.inc, objpas/classes/constse.inc,
	objpas/classes/constsg.inc, objpas/classes/constss.inc,
	objpas/classes/cregist.inc, objpas/classes/dm.inc,
	objpas/classes/felog.inc, objpas/classes/filer.inc,
	objpas/classes/filerec.inc, objpas/classes/intf.inc,
	objpas/classes/lists.inc, objpas/classes/parser.inc,
	objpas/classes/persist.inc, objpas/classes/reader.inc,
	objpas/classes/streams.inc, objpas/classes/stringl.inc,
	objpas/classes/twriter.inc, objpas/classes/util.inc,
	objpas/classes/writer.inc, objpas/sysutils/dati.inc,
	objpas/sysutils/datih.inc, objpas/sysutils/diskh.inc,
	objpas/sysutils/filutilh.inc, objpas/sysutils/fina.inc,
	objpas/sysutils/finah.inc, objpas/sysutils/intf.inc,
	objpas/sysutils/intfh.inc, objpas/sysutils/osutilsh.inc,
	objpas/sysutils/stre.inc, objpas/sysutils/strg.inc,
	objpas/sysutils/sysansi.inc, objpas/sysutils/sysansih.inc,
	objpas/sysutils/sysinth.inc, objpas/sysutils/syspch.inc,
	objpas/sysutils/syspchh.inc, objpas/sysutils/sysstr.inc,
	objpas/sysutils/sysstrh.inc, objpas/sysutils/systhrdh.inc,
	objpas/sysutils/sysutilh.inc, objpas/sysutils/sysutils.inc,
	openbsd/classes.pp, openbsd/tthread.inc, os2/Makefile,
	os2/Makefile.fpc, os2/classes.pp, os2/tthread.inc, win32/Makefile,
	win32/Makefile.fpc, win32/classes.pp, win32/tthread.inc:
	
	  * moved classes unit to rtl

2003-10-06 18:58  yuri

	* rtl/os2/system.pas:
	
	* Another set of native functions.

2003-10-06 18:54  florian <florian@freepascal.org>

	* rtl/win32/messages.pp:
	
	  * fixed wrong define which caused the unit to be empty

2003-10-06 17:59  florian <florian@freepascal.org>

	* rtl/inc/: except.inc, objpash.inc:
	
	  + applied patch for ref. counted exceptions by Johannes Berg

2003-10-06 16:22  yuri

	* rtl/os2/system.pas:
	
	* Some emx code removed. Now withous so stupid error as with dos ;)

2003-10-06 00:06  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dos.pas:
	
	  * result buffers must be allocated

2003-10-05 22:30  florian <florian@freepascal.org>

	* rtl/win32/: activex.pp, comobj.pp:
	
	  + necessary declarations for dx8 headers added

2003-10-05 22:03  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmwsock.pas:
	
	  * two calling conventions specified (stdcall and cdecl)

2003-10-05 21:10  florian <florian@freepascal.org>

	* rtl/win32/: Makefile, Makefile.fpc, activex.pp:
	
	  * fixed some delphi compatibilty issues
	  * improved makefile dependencies

2003-10-05 21:10  florian <florian@freepascal.org>

	* rtl/objpas/types.pp:
	
	  * fixed some delphi compatibilty issues

2003-10-05 13:16  peter <peter@freepascal.org>

	* rtl/watcom/watcom.pp:
	
	  * rename transfer_buffer to tb

2003-10-05 01:40  florian <florian@freepascal.org>

	* rtl/inc/: compproc.inc, variant.inc, varianth.inc:
	
	  * write helper comproc for variants fixed

2003-10-04 19:53  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/: dos.pas, system.pas, sysutils.pp:
	
	  * stdcall changes merged to EMX

2003-10-04 15:48  marco <marcov@stack.nl>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, netbsd/Makefile, netware/Makefile, os2/Makefile,
	win32/Makefile:
	
	 * cross compiling fixes to makefile and fpcmake

2003-10-04 10:30  yuri

	* rtl/os2/system.pas:
	
	* at&t syntax instead of intel syntax was used

2003-10-03 23:56  peter <peter@freepascal.org>

	* rtl/: go32v2/crt.pp, watcom/crt.pp, watcom/dos.pp,
	watcom/system.pp, watcom/watcom.pp:
	
	  * stdcall fixes

2003-10-03 23:46  peter <peter@freepascal.org>

	* rtl/: go32v2/dos.pp, go32v2/dpmiexcp.pp, go32v2/go32.pp,
	go32v2/graph.pp, go32v2/mouse.pp, go32v2/msmouse.pp,
	go32v2/system.pp, go32v2/video.pp, os2/dos.pas, os2/system.pas,
	os2/sysutils.pp, os2/video.pp:
	
	  * stdcall fixes

2003-10-03 23:40  marco <marcov@stack.nl>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, netbsd/Makefile, netware/Makefile, os2/Makefile,
	win32/Makefile:
	
	 * CROSSCOMPILING stage 2

2003-10-03 22:55  florian <florian@freepascal.org>

	* rtl/win32/wininc/: defines.inc, redef.inc:
	
	  + added some language related stuff

2003-10-02 16:03  marco <marcov@stack.nl>

	* rtl/inc/: heap.inc, heaph.inc:
	
	 * *memORY overloads

2003-10-02 10:50  marco <marcov@stack.nl>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, netbsd/Makefile, netware/Makefile, os2/Makefile,
	win32/Makefile:
	
	 * remake with new fpc param

2003-10-01 23:00  peter <peter@freepascal.org>

	* rtl/: inc/threadh.inc, netware/systhrds.pp, unix/systhrds.pp,
	win32/systhrds.pp:
	
	  * GetCurrentThreadHandle renamed to GetCurrentThreadId

2003-10-01 22:53  peter <peter@freepascal.org>

	* rtl/unix/systhrds.pp:
	
	  * GetCurrentThreadId implemented

2003-10-01 20:42  yuri

	* rtl/os2/system.pas:
	
	* Unclosed comment

2003-09-30 10:42  michael <michael.vancanneyt@wisa.be>

	* rtl/watcom/: mc.bat, mdos.bat, mo.bat, mp.bat, ms.bat:
	
	+ Can be removed

2003-09-30 10:41  michael <michael.vancanneyt@wisa.be>

	* rtl/watcom/prt0.asm:
	
	+ Patch from Wiktor Sywula for watcom support

2003-09-29 20:52  hajny <xhajt03@mbox.vol.cz>

	* rtl/: amiga/system.pas, atari/system.pas, watcom/system.pp:
	
	  * append fix applied to Amiga, Atari, EMX, GO32v2, OS/2 and
	Watcom

2003-09-29 20:39  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/system.pas, go32v2/system.pp, os2/system.pas:
	
	  * append fix applied to GO32v2, OS/2 and EMX

2003-09-29 16:36  peter <peter@freepascal.org>

	* rtl/unix/: linuxold.inc, unix.pp:
	
	  * fixed for stricter compiler

2003-09-28 15:23  yuri

	* rtl/os2/todo-os2.txt:
	
	Updated

2003-09-28 14:43  peter <peter@freepascal.org>

	* rtl/inc/heap.inc:
	
	  * fixed wrong check when allocation of a block > 1mb failed

2003-09-27 15:49  peter <peter@freepascal.org>

	* rtl/unix/: bunxh.inc, linuxold.inc:
	
	  * fpnanosleep exported

2003-09-27 15:45  peter <peter@freepascal.org>

	* rtl/: bsd/bunxfunc.inc, bsd/ossysc.inc, bsd/ossysch.inc,
	bsd/ostypes.inc, freebsd/ptypes.inc, linux/bunxfunc.inc,
	linux/ossysc.inc, linux/ossysch.inc, linux/ostypes.inc,
	linux/ptypes.inc:
	
	  * fpnanosleep exported in baseunix
	  * fpnanosleep has pointer arguments to be C compliant

2003-09-27 15:04  peter <peter@freepascal.org>

	* rtl/bsd/: bunxmacr.inc, osmain.inc, ossysc.inc, unxsysc.inc,
	unxsysch.inc:
	
	  * fpISxxx renamed

2003-09-27 14:58  peter <peter@freepascal.org>

	* rtl/linux/ossysc.inc:
	
	  * mmap returns -1 on error

2003-09-27 14:51  peter <peter@freepascal.org>

	* rtl/: linux/bunxmacr.inc, linux/osmain.inc, unix/bunxh.inc,
	unix/dos.pp, unix/sysutils.pp, unix/unix.pp:
	
	  * fpISxxx macros renamed to C compliant fpS_ISxxx

2003-09-27 14:51  peter <peter@freepascal.org>

	* rtl/linux/: unxsysc.inc, unxsysch.inc:
	
	  * fpReadlink(pathstr) overload added

2003-09-27 13:52  peter <peter@freepascal.org>

	* rtl/: amiga/system.pas, atari/system.pas, beos/system.pp,
	emx/system.pas, go32v2/system.pp, go32v2/v2prt0.as, inc/heap.inc,
	linux/ossysc.inc, macos/system.pp, netware/system.pp,
	os2/system.pas, template/system.pp, unix/sysunix.inc,
	watcom/prt0.asm, watcom/system.pp, win32/system.pp:
	
	  * sbrk returns pointer

2003-09-26 09:30  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/system.pp:
	
	+ Win32 Do_open crahs on append

2003-09-24 14:30  yuri

	* rtl/os2/: crt.pas, doscalls.imp:
	
	* Removed emx code from crt.pas - Removed doscalls.imp (not full
	and obsolete)

2003-09-24 13:13  yuri

	* rtl/emx/: Makefile, Makefile.fpc, emx.pas, sysemx.pas,
	sysos2.pas, system.pas:
	
	* Cosmetic changes * Slightly improved emx.pas

2003-09-24 11:21  yuri

	* rtl/os2/: emx.imp, emx.pas, todo-os2.txt, wrap.imp:
	
	- Moved out emx files to emx target * Updated todo-list

2003-09-24 11:19  yuri

	* rtl/emx/: emx.imp, emx.pas, emxwrap.imp:
	
	* Moved from OS/2 target

2003-09-24 10:59  yuri

	* rtl/os2/dos.pas:
	
	* Prepared for native target (emx code replaced)

2003-09-22 21:43  peter <peter@freepascal.org>

	* rtl/unix/genfdset.inc:
	
	  * Fix range check error for Not 0
	  * Fix loop in fdfillfdset

2003-09-20 20:10  marco <marcov@stack.nl>

	* rtl/: linux/Makefile, linux/Makefile.fpc, unix/ports.pp:
	
	 * More fixes

2003-09-20 19:54  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * Oldlinux now compiled

2003-09-20 19:50  marco <marcov@stack.nl>

	* rtl/unix/oldlinux.pp:
	
	 * old linux. See msg about this unit.

2003-09-20 19:27  marco <marcov@stack.nl>

	* rtl/unix/liunsysc.inc:
	
	 * mmap fix.

2003-09-20 18:08  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * makefiles fixed

2003-09-20 18:07  marco <marcov@stack.nl>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	 * new units fixed

2003-09-20 17:10  marco <marcov@stack.nl>

	* rtl/linux/: ossysch.inc, unxsysch.inc:
	
	 * small fixes. fcl now compiles

2003-09-20 14:45  marco <marcov@stack.nl>

	* rtl/linux/unixsysc.inc:
	
	 * Small fix. Cycle works

2003-09-20 14:38  marco <marcov@stack.nl>

	* rtl/: bsd/ossysc.inc, bsd/ossysch.inc, bsd/unxsysch.inc,
	freebsd/unixsysc.inc, unix/bunxh.inc, unix/printer.pp,
	unix/sysdeclh.inc, unix/systhrds.pp, unix/unix.pp:
	
	 * FCL now compiles for FreeBSD with new 1.1. Now Linux.

2003-09-17 21:07  marco <marcov@stack.nl>

	* rtl/unix/: sysutils.pp, unix.pp, unixutil.pp:
	
	 * more fixes for Unix<->unixutil

2003-09-17 20:49  marco <marcov@stack.nl>

	* rtl/unix/timezone.inc:
	
	 * small *BSD fix

2003-09-17 19:30  marco <marcov@stack.nl>

	* rtl/unix/: dos.pp, unix.pp:
	
	 * Introduction of unixutil

2003-09-17 19:24  marco <marcov@stack.nl>

	* rtl/unix/unixutil.pp:
	
	 * Initial version. Plain vanilla copy and paste from unix.pp

2003-09-17 18:02  marco <marcov@stack.nl>

	* rtl/bsd/ossysc.inc:
	
	 * ostype include moved to top

2003-09-17 17:06  peter <peter@freepascal.org>

	* rtl/win32/: activex.pp, dos.pp, objinc.inc, shellapi.pp,
	signals.pp, sockets.pp, system.pp, systhrds.pp, sysutils.pp,
	video.pp, windows.pp:
	
	  * stdcall patch

2003-09-17 14:41  marco <marcov@stack.nl>

	* rtl/unix/sysutils.pp:
	
	 * Uses more baseunix, less unix now

2003-09-17 13:52  marco <marcov@stack.nl>

	* rtl/bsd/: bunxmacr.inc, ostypes.inc:
	
	 * stat macro fixes voor BSD

2003-09-17 13:24  marco <marcov@stack.nl>

	* rtl/: linux/bunxfunc.inc, linux/bunxmacr.inc, linux/ostypes.inc,
	unix/bunxh.inc:
	
	 * fixes for new macro's

2003-09-17 13:14  marco <marcov@stack.nl>

	* rtl/unix/bunxh.inc:
	
	 * two extra FPIS added

2003-09-16 23:46  marco <marcov@stack.nl>

	* rtl/: linux/unixsysc.inc, unix/unix.pp:
	
	 * small fixes, checking things on linux

2003-09-16 23:20  marco <marcov@stack.nl>

	* rtl/: bsd/ctypes.inc, linux/ctypes.inc:
	
	 * pointer's of some basetypes

2003-09-16 22:52  marco <marcov@stack.nl>

	* rtl/unix/: crt.pp, liunsysc.inc, unix.pp:
	
	 * small cleanups. Mostly killing of already commented code in unix
	etc

2003-09-16 18:13  marco <marcov@stack.nl>

	* rtl/unix/: bunxh.inc, bunxovl.inc, crt.pp, genfdset.inc,
	keyboard.pp, mouse.pp, unix.pp:
	
	 * fdset functions renamed to fp<posix name>

2003-09-16 18:06  peter <peter@freepascal.org>

	* rtl/unix/: linuxold.inc, liunsysc.inc, timezone.inc:
	
	  * add typecasts for oldlinuxstat

2003-09-16 17:57  peter <peter@freepascal.org>

	* rtl/inc/objects.pp:
	
	  * sparc register typo

2003-09-16 17:40  marco <marcov@stack.nl>

	* rtl/unix/linuxold.inc:
	
	 * voodoo is now linux only

2003-09-16 17:39  marco <marcov@stack.nl>

	* rtl/unix/linuxold.inc:
	
	 * voodoo....

2003-09-16 15:17  marco <marcov@stack.nl>

	* rtl/unix/systhrds.pp:
	
	 * Wat cleanup, ouwe syscalls nu via baseunix e.d.

2003-09-16 15:00  marco <marcov@stack.nl>

	* rtl/unix/systhrds.pp:
	
	 * small BSD gotcha removed (typing mmap params)

2003-09-16 14:58  marco <marcov@stack.nl>

	* rtl/freebsd/syscalls.inc:
	
	 * fixje voor mmap parameter typering veranderingen

2003-09-16 14:45  marco <marcov@stack.nl>

	* rtl/bsd/: ossysc.inc, ossysch.inc:
	
	 * mmap typing fixes

2003-09-15 23:07  marco <marcov@stack.nl>

	* rtl/: linux/unixsysc.inc, unix/linuxold.inc, unix/liunsysc.inc:
	
	 * second round of linux fixes. oldlinux now works

2003-09-15 22:30  marco <marcov@stack.nl>

	* rtl/unix/liunsysc.inc:
	
	 * syscalls

2003-09-15 22:29  marco <marcov@stack.nl>

	* rtl/linux/: ossysc.inc, ossysch.inc:
	
	 * small fix

2003-09-15 22:08  marco <marcov@stack.nl>

	* rtl/: bsd/ossysc.inc, bsd/ossysch.inc, bsd/i386/syscall.inc,
	bsd/i386/syscallh.inc, freebsd/unixsysc.inc, unix/linuxnew.inc,
	unix/linuxold.inc, unix/systhrds.pp, unix/unix.pp:
	
	 * small fixes. FreeBSD now cycles

2003-09-15 16:12  marco <marcov@stack.nl>

	* rtl/unix/: linux.pp, linuxnew.inc, linuxold.inc:
	
	 * moved linux.pp contents to linuxold etc

2003-09-15 09:55  marco <marcov@stack.nl>

	* rtl/inc/sockets.inc:
	
	 * fixed typo

2003-09-15 09:51  marco <marcov@stack.nl>

	* rtl/inc/sockets.inc:
	
	 * fix

2003-09-15 09:23  marco <marcov@stack.nl>

	* rtl/bsd/ostypes.inc:
	
	 * fix

2003-09-15 09:09  marco <marcov@stack.nl>

	* rtl/freebsd/: console.pp, unixsock.inc, unixsysc.inc:
	
	 * small fixes, round 1

2003-09-14 22:33  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * renamed sp to r1, gnu as doesn't understand sp

2003-09-14 22:23  marco <marcov@stack.nl>

	* rtl/linux/: unxsysc.inc, unxsysch.inc:
	
	 * unix reform

2003-09-14 22:16  marco <marcov@stack.nl>

	* rtl/unix/genfdset.inc:
	
	 * new files unixreform

2003-09-14 22:16  marco <marcov@stack.nl>

	* rtl/unix/: syscall.pp, x86.pp:
	
	 * more unix reform

2003-09-14 22:15  marco <marcov@stack.nl>

	* rtl/: bsd/baseunix.pp, bsd/bunxfunc.inc, bsd/bunxfunch.inc,
	bsd/bunxmacr.inc, bsd/bunxtype.inc, bsd/ossysc.inc,
	bsd/ossysch.inc, bsd/ostypes.inc, bsd/unxsysc.inc,
	bsd/unxsysch.inc, bsd/i386/syscallh.inc, freebsd/ptypes.inc,
	freebsd/syscalls.inc, freebsd/systypes.inc, freebsd/unixsysc.inc,
	freebsd/i386/x86.inc, freebsd/i386/x86h.inc, inc/sockets.inc,
	linux/Makefile, linux/baseunix.pp, linux/bunxfunc.inc,
	linux/bunxtype.inc, linux/ossysc.inc, linux/ossysch.inc,
	linux/ostypes.inc, linux/pthread.inc, linux/ptypes.inc,
	linux/signal.inc, linux/syscallo.inc, linux/syscalls.inc,
	linux/system.pp, linux/systypes.inc, linux/unixsock.inc,
	linux/unixsysc.inc, linux/i386/syscall.inc,
	linux/i386/syscallh.inc, unix/bunxh.inc, unix/bunxovl.inc,
	unix/bunxovlh.inc, unix/crt.pp, unix/dos.pp, unix/genfuncs.inc,
	unix/gpm.pp, unix/graph.pp, unix/ipc.pp, unix/keyboard.pp,
	unix/linux.pp, unix/mouse.pp, unix/printer.pp, unix/serial.pp,
	unix/sockets.pp, unix/systhrds.pp, unix/sysutils.pp,
	unix/terminfo.pp, unix/timezone.inc, unix/unix.pp, unix/video.pp:
	
	 * Unix reform stage two. Remove all calls from Unix that exist in
	Baseunix.

2003-09-14 17:02  peter <peter@freepascal.org>

	* rtl/sparc/math.inc:
	
	  * remove int64 to double helpers

2003-09-14 13:34  peter <peter@freepascal.org>

	* rtl/: i386/i386.inc, i386/int64p.inc, inc/int64.inc,
	inc/system.inc, linux/i386/syscall.inc, linux/i386/syscallh.inc,
	powerpc/int64p.inc, sparc/int64p.inc:
	
	  * moved int64 asm code to int64p.inc
	  * save ebx,esi

2003-09-12 14:45  olle

	* rtl/macos/system.pp:
	
	  + filehandling complete
	  + heaphandling complete
	  + support for random
	  * filehandling now uses filedecriptors in StdCLib
	  * other minor changes
	  - removed DEFINE MAC_SYS_RUNNABLE

2003-09-12 14:33  olle

	* rtl/win32/system.pp:
	
	  * nice-ified

2003-09-11 17:54  peter <peter@freepascal.org>

	* rtl/inc/heaptrc.pp:
	
	  * when retrieving stackdump check if bp is smaller than the
	previous
	    bp

2003-09-08 20:25  peter <peter@freepascal.org>

	* rtl/win32/initc.pp:
	
	  * popstack to cdecl

2003-09-08 20:21  peter <peter@freepascal.org>

	* rtl/i386/: i386.inc, math.inc, set.inc, strings.inc,
	stringss.inc, strlen.inc, typinfo.inc:
	
	  * save edi,esi,ebx

2003-09-08 00:29  hajny <xhajt03@mbox.vol.cz>

	* rtl/watcom/: crt.pp, dos.pp, ms.bat, system.pp, watcom.pp:
	
	  * syswat renamed to system, CVS log added

2003-09-07 00:23  marco <marcov@stack.nl>

	* rtl/win32/sysutils.pp:
	
	 * VP fixes.

2003-09-06 23:56  marco <marcov@stack.nl>

	* rtl/inc/except.inc:
	
	 * one VIRTUALPASCAL

2003-09-06 23:52  marco <marcov@stack.nl>

	* rtl/objpas/: dati.inc, fina.inc, syspch.inc:
	
	 * commited.

2003-09-06 23:22  marco <marcov@stack.nl>

	* rtl/objpas/: sysstr.inc, sysstrh.inc:
	
	 * More objpas fixes

2003-09-06 22:49  marco <marcov@stack.nl>

	* rtl/objpas/sysutilh.inc:
	
	 * Two minimal VP fixes

2003-09-06 22:46  marco <marcov@stack.nl>

	* rtl/objpas/sysutils.inc:
	
	 * 3 small VP fixes from Noah Silva. One (OutOfMemory error)
	failed.

2003-09-06 19:06  florian <florian@freepascal.org>

	* rtl/inc/real2str.inc:
	
	  * fixed Nan and +Inf string

2003-09-06 18:48  florian <florian@freepascal.org>

	* rtl/inc/real2str.inc:
	
	  * fixed real2str for -Inf and Inf

2003-09-06 12:44  olle

	* rtl/powerpc/powerpc.inc:
	
	  + Used macros ABI_AIX and ABI_SYSV exchanged to FPC_ABI_AIX and
	FPC_ABI_SYSV.

2003-09-05 20:09  florian <florian@freepascal.org>

	* rtl/watcom/: crt.pp, dos.pp, mc.bat, mdos.bat, mo.bat, mp.bat,
	ms.bat, objpas.pp, prt0.asm, system.pp, watcom.pp:
	
	  * added initial watcom extender files; they need to be cleaned up

2003-09-04 18:07  florian <florian@freepascal.org>

	* rtl/: inc/systemh.inc, powerpc/math.inc:
	
	  * fixed qword_to_double conversion on powerpc

2003-09-03 16:09  florian <florian@freepascal.org>

	* rtl/: arm/arm.inc, arm/math.inc, arm/setjump.inc,
	inc/generic.inc, inc/genmath.inc, inc/int64.inc, inc/system.inc,
	inc/systemh.inc, inc/variant.inc, linux/signal.inc,
	objpas/rtlconst.pp, objpas/sysconst.pp, powerpc/math.inc,
	unix/sysunix.inc, win32/Makefile.fpc:
	
	  * arm fixes to the common rtl code
	  * some generic math code fixed
	  * ...

2003-09-02 19:41  peter <peter@freepascal.org>

	* rtl/sparc/math.inc:
	
	  * updated for int64 to double

2003-09-02 15:04  florian <florian@freepascal.org>

	* rtl/inc/compproc.inc:
	
	  * ifdef'd some helpers

2003-09-01 22:47  peter <peter@freepascal.org>

	* rtl/inc/: compproc.inc, systemh.inc:
	
	  * pcomp added for sparc

2003-09-01 22:46  peter <peter@freepascal.org>

	* rtl/objpas/: math.pp, syspch.inc:
	
	  * small fixes for sparc

2003-09-01 22:46  peter <peter@freepascal.org>

	* rtl/sparc/: math.inc, mathu.inc, mathuh.inc, sysutilp.inc,
	typinfo.inc:
	
	  * new dummies

2003-08-28 02:08  florian <florian@freepascal.org>

	* rtl/linux/arm/: syscall.inc, syscallh.inc, sysnr.inc:
	
	  * syscall skeleton

2003-08-27 15:07  florian <florian@freepascal.org>

	* rtl/linux/arm/: cprt0.as, cprt21.as, crt0.as, dllprt0.as,
	gprt0.as, prt0.as:
	
	  * initial revision of arm startup code

2003-08-27 14:58  florian <florian@freepascal.org>

	* rtl/linux/arm/stat.inc:
	
	  * initial revision, derived from linux kernel sources

2003-08-24 22:51  olle

	* rtl/powerpc/strings.inc:
	
	  + added MacOS compatible constant loading

2003-08-24 22:50  olle

	* rtl/powerpc/sysutilp.inc:
	
	  * changed used scratchreg from r0 to r10

2003-08-24 22:47  olle

	* rtl/powerpc/powerpc.inc:
	
	  + added support for ABI_AIX in get_caller_addr

2003-08-22 00:24  olle

	* rtl/: linux/signal.inc, linux/syscallo.inc, linux/systypes.inc,
	darwin/signal.inc, darwin/syscalls.inc:
	
	  - removed parameter from fpc_iocheck

2003-08-22 00:21  olle

	* rtl/: unix/sysunix.inc, netbsd/syscalls.inc, bsd/bunxtype.inc,
	bsd/ossysc.inc:
	
	  - removed parameter from fpc_iocheck

2003-08-22 00:17  olle

	* rtl/inc/objects.pp:
	
	  - removed parameter from fpc_iocheck

2003-08-22 00:10  olle

	* rtl/inc/system.inc:
	
	  - removed parameter from fpc_iocheck
	  * changed processor compiler directive * to cpu*

2003-08-22 00:07  olle

	* rtl/inc/compproc.inc:
	
	  - removed parameter from fpc_iocheck

2003-08-21 18:41  florian <florian@freepascal.org>

	* rtl/arm/: arm.inc, math.inc, set.inc, setjump.inc, setjumph.inc:
	
	  * empty dummy files
	  + [long|set]jmp implemented

2003-08-21 05:24  florian <florian@freepascal.org>

	* rtl/arm/makefile.cpu:
	
	  + basic makefile.cpu added

2003-08-21 01:12  marco <marcov@stack.nl>

	* rtl/win32/wininc/base.inc:
	
	 * HSTR fix

2003-08-18 03:03  yuri

	* rtl/os2/: Makefile, Makefile.fpc:
	
	+ Winsock added. + pmbidi added

2003-08-15 12:53  yuri

	* rtl/os2/: pmwsock.pas, winsock.pas:
	
	+ Winsock unit added * PMWSock unit updated (to be less or more
	compitilbe with win32 winsock)

2003-08-11 15:19  mazen <mazen@freepascal.org>

	* rtl/linux/sparc/syscall.inc:
	
	+ added assembler mode directive to use direct assembler reader

2003-08-11 12:43  yuri

	* rtl/os2/pmwin.pas:
	
	+ WinSetErrorInfo constants and function added

2003-08-09 00:02  olle

	* rtl/powerpc/math.inc:
	
	  * small bugfix macos

2003-07-19 13:19  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/objpas.inc:
	
	+ fix from Ivan Shikhalev for QueryInterface to return ancestor
	methods

2003-07-08 23:23  peter <peter@freepascal.org>

	* rtl/: linux/systypes.inc, linux/unixsysc.inc, unix/unix.pp:
	
	  * sparc fixes

2003-07-08 23:21  peter <peter@freepascal.org>

	* rtl/inc/objects.pp:
	
	  * 1.1 does not need to load esi

2003-07-08 16:18  peter <peter@freepascal.org>

	* rtl/linux/systypes.inc:
	
	  * fdset changed to 1024 bits

2003-07-07 22:23  peter <peter@freepascal.org>

	* rtl/powerpc/: strings.inc, stringss.inc:
	
	  * added defines to override generic implementations

2003-07-07 22:22  peter <peter@freepascal.org>

	* rtl/: i386/stringss.inc, inc/genstr.inc, inc/genstrs.inc,
	inc/strings.pp, sparc/strings.inc, sparc/stringss.inc:
	
	  * generic string routines added

2003-07-07 00:08  peter <peter@freepascal.org>

	* rtl/linux/sparc/syscall.inc:
	
	  * fix setting return value

2003-07-06 23:43  marco <marcov@stack.nl>

	* rtl/linux/Makefile:
	
	 * regen makefile

2003-07-06 23:40  marco <marcov@stack.nl>

	* rtl/linux/Makefile.fpc:
	
	 * Fix for Peter's moving sysnr.inc to processor dependant dirs

2003-07-06 23:26  peter <peter@freepascal.org>

	* rtl/linux/: i386/syscallh.inc, sparc/syscallh.inc:
	
	  * syscall6 alias fixed

2003-07-06 23:12  peter <peter@freepascal.org>

	* rtl/linux/: sysnr.inc, i386/sysnr.inc, powerpc/sysnr.inc,
	sparc/sysnr.inc, x86_64/sysnr.inc:
	
	  * Syscall number is architecture dependent

2003-07-06 22:40  peter <peter@freepascal.org>

	* rtl/linux/sparc/syscall.inc:
	
	  * wrong return reg

2003-07-03 23:03  peter <peter@freepascal.org>

	* rtl/linux/sparc/syscall.inc:
	
	  * syscalls implemented

2003-06-26 19:20  yuri

	* rtl/os2/pmbidi.pas:
	
	* Misstyping fixed

2003-06-26 19:12  yuri

	* rtl/emx/: Makefile, Makefile.fpc, dos.pas, system.pas,
	sysutils.pp:
	
	* pmbidi added * some cosmetic changes

2003-06-26 19:11  yuri

	* rtl/os2/: Makefile, Makefile.fpc, pmbidi.pas, todo-os2.txt:
	
	* Initial import

2003-06-17 21:24  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/: astrings.inc, compproc.inc, wstrings.inc:
	
	  * fixed conversion of fpc_*str_unique to compilerproc

2003-06-17 18:39  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/: syscallo.inc, powerpc/syscall.inc:
	
	  * fixed old syscall handling for ppc

2003-06-17 18:38  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/: astrings.inc, compproc.inc, wstrings.inc:
	
	  * fpc_{ansistr|widestr}_unique is now a function so it can be
	used as
	    compilerproc

2003-06-15 16:34  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/wininc/defines.inc:
	
	+ forgot to comment INVALID_HANDLE_VALUE function

2003-06-15 16:33  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/wininc/defines.inc:
	
	+ INVALID_HANDLE_VALUE is a constant, not a function

2003-06-14 14:41  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/: math.inc, powerpc.inc, set.inc, strings.inc,
	stringss.inc, strlen.inc, strpas.inc:
	
	  * fixed compilation problems (removed unnecessary modified
	registers
	    lists from procedures)

2003-06-10 13:16  jonas <jonas.maebe@rug.ac.be>

	* rtl/win32/dos.pp:
	
	  * fix from Peter

2003-06-07 01:34  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/sysutils.pp, os2/sysutils.pp:
	
	  * better fix for bug 2518

2003-06-07 01:31  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/sysutils.pp:
	
	  * fix for bug 2518 applied to EMX as well

2003-06-07 01:31  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/sysutils.pp:
	
	  * fix for bug 2518 applied to OS/2 as well

2003-06-05 16:45  peter <peter@freepascal.org>

	* rtl/inc/objects.pp:
	
	  * use Windows THandle

2003-06-04 17:18  peter <peter@freepascal.org>

	* rtl/linux/syscallo.inc:
	
	  * compile fix for systhrds

2003-06-03 16:23  marco <marcov@stack.nl>

	* rtl/bsd/baseunix.pp:
	
	 * Moved prototypes outside of baseunix. And shared with linux for
	now

2003-06-03 09:54  michael <michael.vancanneyt@wisa.be>

	* rtl/go32v2/sysutils.pp:
	
	+ Patch from Peter for millisecond timing

2003-06-03 00:05  mazen <mazen@freepascal.org>

	* rtl/linux/sparc/syscall.inc:
	
	* fixing naming conflict in public clause of  FPC_SYSCALL?
	definition

2003-06-03 00:03  mazen <mazen@freepascal.org>

	* rtl/linux/sparc/prt0.as:
	
	*making init and fini symbols compatible FPC code by  changing 
	_init ==> fpc_initialize  and _fini ==> fpc_finalize

2003-06-01 18:35  marco <marcov@stack.nl>

	* rtl/: bsd/bunxmain.inc, bsd/bunxtype.inc,
	bsd/powerpc/syscall.inc, bsd/powerpc/syscallh.inc,
	freebsd/Makefile, freebsd/Makefile.fpc, freebsd/syscalls.inc,
	netbsd/Makefile, netbsd/Makefile.fpc, netbsd/errno.inc:
	
	 * Several small fixes to harmonize the *BSD rtls and Linux.

2003-06-01 18:28  marco <marcov@stack.nl>

	* rtl/linux/bunxmain.inc:
	
	 * small rearrangements

2003-06-01 18:28  marco <marcov@stack.nl>

	* rtl/unix/: bunxh.inc, bunxovl.inc, bunxovlh.inc, gensigset.inc:
	
	 * Enhancements to make the compiler baseunix using.

2003-06-01 17:25  marco <marcov@stack.nl>

	* rtl/unix/sysdeclh.inc:
	
	 * now generic

2003-06-01 17:23  marco <marcov@stack.nl>

	* rtl/unix/oscdeclh.inc:
	
	 * Shared for now

2003-06-01 16:50  jonas <jonas.maebe@rug.ac.be>

	* rtl/: i386/i386.inc, inc/generic.inc, powerpc/powerpc.inc:
	
	  * fpc_shortstr_append_shortstr has to use high(s1) instead of 255
	as
	    maxlen
	  + ppc version of fpc_shortstr_append_shortstr

2003-05-31 22:22  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/math.inc:
	
	  * fixed 64 bit results of trunc and round

2003-05-31 18:57  marco <marcov@stack.nl>

	* rtl/netbsd/unixsysc.inc:
	
	 * works via system unit call now, because of powerpc

2003-05-31 18:50  marco <marcov@stack.nl>

	* rtl/netbsd/sysofft.inc:
	
	 * First working version. CVS:
	-------------------------------------------------------------------
	---

2003-05-31 01:56  florian <florian@freepascal.org>

	* rtl/powerpc/math.inc:
	
	  * fixed parameter passing for int64

2003-05-30 21:58  marco <marcov@stack.nl>

	* rtl/: bsd/i386/syscallh.inc, netbsd/syscalls.inc, unix/linux.pp,
	unix/unix.pp:
	
	 * Getting NetBSD/i386 to compile.

2003-05-30 21:37  marco <marcov@stack.nl>

	* rtl/: netbsd/Makefile, netbsd/Makefile.fpc, netbsd/syscalls.inc,
	unix/linux.pp:
	
	 * small changes

2003-05-29 23:45  marco <marcov@stack.nl>

	* rtl/bsd/ossysc.inc:
	
	 * Some other workaround

2003-05-29 23:44  marco <marcov@stack.nl>

	* rtl/freebsd/Makefile.fpc:
	
	  * fix

2003-05-29 23:17  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * compile with -dppc603 to not use unaligned float loads in
	move() and
	    g_concatcopy, because the 603 and 604 take an exception for
	those
	    (and netbsd doesn't even handle those in the kernel). There are
	    still some of those left that could cause problems though (e.g.
	    in the set helpers)

2003-05-29 23:04  marco <marcov@stack.nl>

	* rtl/netbsd/Makefile.fpc:
	
	 * makefile.

2003-05-29 22:54  marco <marcov@stack.nl>

	* rtl/bsd/osmain.inc:
	
	 * progname fix.

2003-05-29 22:52  marco <marcov@stack.nl>

	* rtl/bsd/ossysc.inc:
	
	 * only moved around the off_t calls, and made an exception
	(includefile)
	for NetBSD/powerpc

2003-05-29 22:51  marco <marcov@stack.nl>

	* rtl/netbsd/sysofft.inc:
	
	 * Singled out the off_t calls, because on *BSD they will often be
	OS/Arch specific.

2003-05-29 21:16  marco <marcov@stack.nl>

	* rtl/unix/unix.pp:
	
	 * fixed a small *BSD gotcha

2003-05-29 16:32  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/: powerpc.inc, set.inc:
	
	  * changed dcbst to dcbtst (former means "flush cache block to
	memory,
	    the latter means "I will soon store something to that cache
	block")

2003-05-29 15:42  marco <marcov@stack.nl>

	* rtl/bsd/powerpc/syscall.inc:
	
	 * small fix

2003-05-29 15:14  marco <marcov@stack.nl>

	* rtl/bsd/powerpc/syscall.inc:
	
	 * 7 parameter syscall added. *BSD has calls with more params due
	to __syscall etc

2003-05-29 15:06  marco <marcov@stack.nl>

	* rtl/netbsd/powerpc/prt0.as:
	
	 * small fix

2003-05-29 14:14  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * move() now uses dcbz if possible

2003-05-29 10:43  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/objpas.pp:
	
	+ Paramstr(0) must return binary name

2003-05-28 21:18  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/strings.inc:
	
	  * fixed strcopy and strecopy if there are #1 chars right before
	the end
	    of the string to copied

2003-05-26 23:29  jonas <jonas.maebe@rug.ac.be>

	* rtl/: bsd/ossysc.inc, darwin/getcwd.inc:
	
	  - disabled nanosleep for darwin for now
	  + getcwd for darwin

2003-05-26 23:18  peter <peter@freepascal.org>

	* rtl/: i386/i386.inc, inc/generic.inc:
	
	  * FPC_SHORTSTR_APPEND_SHORTSTR public added

2003-05-26 21:36  peter <peter@freepascal.org>

	* rtl/: i386/i386.inc, i386/set.inc, inc/compproc.inc,
	inc/generic.inc:
	
	  * fpc_shortstr_concat is now the same for all targets
	  * fpc_shortstr_append_shortstr added for optimized code
	generation

2003-05-26 21:32  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/machnr.inc:
	
	  * added missing Const

2003-05-26 19:22  marco <marcov@stack.nl>

	* rtl/netbsd/powerpc/prt0.as:
	
	 * first untested version for NetBSD. Might need ELF ident section.

2003-05-26 19:11  marco <marcov@stack.nl>

	* rtl/netbsd/powerpc/cprt0.as:
	
	 * first try at init code.

2003-05-25 16:07  jonas <jonas.maebe@rug.ac.be>

	* rtl/bsd/powerpc/syscallh.inc:
	
	  + added from linux

2003-05-25 15:51  jonas <jonas.maebe@rug.ac.be>

	* rtl/bsd/powerpc/syscall.inc:
	
	  * several fixes, addition of Mach trap numbers (thye are simply
	syscalls
	    with a negative number)

2003-05-25 14:59  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/: errno.inc, machnr.inc, ptypes.inc, signal.inc,
	sysnr.inc:
	
	  * several fixes, addition of Mach trap numbers (thye are simply
	syscalls
	    with a negative number)

2003-05-24 22:39  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/unix.pp:
	
	  * fixed ExitCode translation in WaitProcess for Linux and Darwin
	(and
	    probably other BSD's as well)

2003-05-24 15:39  jonas <jonas.maebe@rug.ac.be>

	* rtl/: inc/genmath.inc, powerpc/math.inc:
	
	  * fsqrt is an optional instruction in the ppc architecture and
	isn't
	    implemented by any current ppc afaik, so use the generic sqrt
	routine
	    instead (adapted so it works with compilerproc)

2003-05-24 12:16  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/strings.inc:
	
	  * fixed strscan and strrscan

2003-05-24 00:58  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/genmath.inc:
	
	  * added longint typecase to odd(smallint_var) call to avoid
	overload
	    problem

2003-05-24 00:36  florian <florian@freepascal.org>

	* rtl/linux/sparc/: stat.inc, syscall.inc, syscallh.inc:
	
	  * fixed compilation of sparc system unit

2003-05-23 23:58  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/powerpc/syscall.inc:
	
	  * fixed storing to errno for single threaded programs

2003-05-23 23:09  florian <florian@freepascal.org>

	* rtl/linux/sparc/: cprt0.as, cprt21.as, dllprt0.as, gprt0.as:
	
	  + dummy implementation readded to satisfy makefile

2003-05-23 16:53  peter <peter@freepascal.org>

	* rtl/inc/heap.inc:
	
	  * check newpos < 0 instead of = -1

2003-05-21 01:56  florian <florian@freepascal.org>

	* rtl/darwin/: Makefile, Makefile.fpc, sysconst.inc,
	powerpc/cprt0.as, powerpc/prt0.as:
	
	  * basic setup; derived from FreeBSD and Linux

2003-05-17 15:07  marco <marcov@stack.nl>

	* rtl/unix/errno.inc:
	
	 * Movexd back to linux/

2003-05-17 15:06  marco <marcov@stack.nl>

	* rtl/linux/errno.inc:
	
	 * done.

2003-05-17 14:55  florian <florian@freepascal.org>

	* rtl/powerpc/strings.inc:
	
	  * fixed copy&paste bug in strecopy

2003-05-17 13:04  marco <marcov@stack.nl>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	 * errno from freebsd dir, not Unix dir.

2003-05-17 02:19  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed inclocked

2003-05-17 02:01  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/strings.inc:
	
	  * fixed strcopy

2003-05-17 01:22  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/real2str.inc:
	
	  * moved all loal variables to one block (necessary for ppc until
	nested
	    procedures are properly supported)

2003-05-17 00:40  florian <florian@freepascal.org>

	* rtl/: i386/i386.inc, inc/compproc.inc, inc/generic.inc:
	
	  * fixed generic shortstr_compare

2003-05-16 23:22  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/powerpc/stat.inc:
	
	  * fixed stat struct (previous one was a frankenversion of ppc and
	    i386 version)

2003-05-16 22:56  florian <florian@freepascal.org>

	* rtl/unix/dos.pp:
	
	no message

2003-05-16 18:04  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/math.inc:
	
	  * fixed round() (almost the same as trunc)

2003-05-16 00:50  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/: bunxtype.inc, systypes.inc, i386/stat.inc,
	m68k/stat.inc, powerpc/stat.inc:
	
	  * the stat type is processor-dependent
	  * the dev_t tpye is processor dependent. Don't use it in the stat
	type
	    however, as that one is also used at a time where dev_t is
	already
	    defined as qword

2003-05-14 21:47  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed stupid bug in filldword

2003-05-14 15:51  florian <florian@freepascal.org>

	* rtl/unix/dos.pp:
	
	  * ifdef'd code which i386 specific

2003-05-13 22:52  peter <peter@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * extra check for self and empty objects

2003-05-13 22:39  florian <florian@freepascal.org>

	* rtl/powerpc/powerpc.inc:
	
	  * uncommented shortstring compare, buggy

2003-05-13 21:18  peter <peter@freepascal.org>

	* rtl/inc/: compproc.inc, generic.inc:
	
	  * fpc_help_fail compilerproc
	  * fpc_new_class, fpc_dispose_class not needed by latest compiler

2003-05-13 00:36  florian <florian@freepascal.org>

	* rtl/linux/powerpc/prt0.as:
	
	  + added setup of argv, argc and envp

2003-05-12 21:39  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed final fillchar error (tfillchr passes now)

2003-05-12 21:00  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed bug in fillchar

2003-05-12 13:17  florian <florian@freepascal.org>

	* rtl/inc/int64.inc:
	
	  * fixed my commit, strange, it didn't give any conflicts with
	Jonas patch

2003-05-12 13:16  florian <florian@freepascal.org>

	* rtl/inc/int64.inc:
	
	  * qword division fixed (MSB/LSB problem)

2003-05-12 09:19  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/int64.inc:
	
	  * fixed for big endian systems (since Florian doesn't seem to
	want to
	    commit this fix :)

2003-05-11 23:39  peter <peter@freepascal.org>

	* rtl/inc/compproc.inc:
	
	  * constructor helper added

2003-05-11 20:09  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/math.inc:
	
	  * fixed qword and int64 to double conversion

2003-05-11 18:07  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/: ossysc.inc, powerpc/syscall.inc,
	powerpc/syscallh.inc:
	
	  * fixed mmap for non-i386 non-m68k architectures (not sure about
	    x86-64)

2003-05-11 13:06  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/set.inc:
	
	  * fixed fpc_set_set_byte and fpc_set_unset_byte

2003-05-10 23:38  armin

	* rtl/netware/aio.pp:
	
	* added declarations with var parameters

2003-05-10 22:33  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed get_caller_frame and get_caller_addr

2003-05-10 19:33  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * final (? :) fix to move, passes new tests/test/tmove test

2003-05-02 21:03  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed some bugs in move()

2003-05-02 17:12  jonas <jonas.maebe@rug.ac.be>

	* rtl/: inc/genmath.inc, powerpc/math.inc:
	
	  - removed empty ppc-specific frac()
	  + added correct generic frac() implementation for doubles
	(translated
	    from glibc code)

2003-05-02 17:10  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/set.inc:
	
	  * fixed fpc_set_set_range

2003-05-01 10:05  florian <florian@freepascal.org>

	* rtl/: inc/astrings.inc, inc/except.inc, inc/heap.inc,
	inc/objpas.inc, inc/systemh.inc, inc/wstrings.inc,
	linux/osmain.inc, linux/x86_64/syscallh.inc, x86_64/x86_64.inc:
	
	  * started to make the rtl 64 bit save by introducing SizeInt and
	SizeUInt (similar to size_t of C)

2003-05-01 00:11  florian <florian@freepascal.org>

	* rtl/: linux/system.pp, linux/x86_64/syscall.inc,
	linux/x86_64/syscallh.inc, x86_64/math.inc, x86_64/set.inc,
	x86_64/setjump.inc, x86_64/setjumph.inc, x86_64/strings.inc,
	x86_64/x86_64.inc:
	
	  + for a lot of x86-64 dependend files mostly dummies added

2003-04-30 18:36  florian <florian@freepascal.org>

	* rtl/: i386/strings.inc, inc/genstr.inc, inc/systemh.inc,
	x86_64/strings.inc, x86_64/strlen.inc:
	
	  + support for generic pchar routines added
	  + some basic rtl stuff for x86-64 added

2003-04-27 18:25  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/strpas.inc:
	
	  * support nil as parameter and some other fixes

2003-04-27 18:24  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  - disabled fpc_shortstr_concat because it's called differently
	than that
	    routine is declared

2003-04-26 22:37  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed and re-enabled routines commented out by Florian :)

2003-04-26 22:36  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/math.inc:
	
	  * trunc now also supports int64 (no NaN's etc though)

2003-04-26 22:00  florian <florian@freepascal.org>

	* rtl/powerpc/setjump.inc:
	
	  * fixed previous commit of setjmp

2003-04-26 21:52  florian <florian@freepascal.org>

	* rtl/powerpc/setjump.inc:
	
	  + implemented longjmp

2003-04-26 20:54  florian <florian@freepascal.org>

	* rtl/powerpc/: setjump.inc, setjumph.inc:
	
	  + implemented setjmp record and longjmp

2003-04-26 19:46  florian <florian@freepascal.org>

	* rtl/powerpc/powerpc.inc:
	
	  * commented out not working routines
	  * reactivated assembler fillchar

2003-04-26 19:35  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed FillChar

2003-04-26 19:20  florian <florian@freepascal.org>

	* rtl/powerpc/math.inc:
	
	  * fixed trunc, now it's working at least for longint range

2003-04-26 17:29  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/set.inc:
	
	  * fixed fpc_set_in_byte

2003-04-26 14:40  florian <florian@freepascal.org>

	* rtl/powerpc/set.inc:
	
	  + set_in_byte needed FPC_SET_IN_BYTE alias

2003-04-26 14:05  florian <florian@freepascal.org>

	* rtl/powerpc/powerpc.inc:
	
	  * removed object/class helpers, the compiler uses the generic
	ones

2003-04-26 13:55  florian <florian@freepascal.org>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed newlines

2003-04-25 23:15  peter <peter@freepascal.org>

	* rtl/inc/compproc.inc:
	
	  * fpc_big_array changed to 1k only. using maxlongint will crash
	gdb

2003-04-25 23:09  peter <peter@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * remove dos lf

2003-04-24 14:28  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/typinfo.inc:
	
	  * fixeed saving/restoring of return address
	  * synchronized with i386 version

2003-04-24 14:13  florian <florian@freepascal.org>

	* rtl/powerpc/sysutilp.inc:
	
	  * fixed assembler errors

2003-04-24 13:50  florian <florian@freepascal.org>

	* rtl/powerpc/typinfo.inc:
	
	  * fixed assembling

2003-04-24 13:46  florian <florian@freepascal.org>

	* rtl/: objpas/typinfo.pp, powerpc/typinfo.inc:
	
	  * fixed wrong newlines

2003-04-24 13:09  florian <florian@freepascal.org>

	* rtl/objpas/types.pp:
	
	  * check included, if the compiler supports interfaces

2003-04-24 11:38  florian <florian@freepascal.org>

	* rtl/objpas/math.pp:
	
	  * min/max must check the compiler capabilities

2003-04-24 11:21  florian <florian@freepascal.org>

	* rtl/objpas/math.pp:
	
	  + moved cpu dependend code to mathuh.inc and mathu.inc

2003-04-24 11:16  florian <florian@freepascal.org>

	* rtl/i386/: mathu.inc, mathuh.inc:
	
	  * initial implementation with code from math.pp

2003-04-24 11:14  florian <florian@freepascal.org>

	* rtl/powerpc/: mathu.inc, mathuh.inc:
	
	  * initial implementation

2003-04-24 00:47  florian <florian@freepascal.org>

	* rtl/powerpc/typinfo.inc:
	
	  * fixed compilation

2003-04-24 00:46  florian <florian@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  + powerpc defines now pcomp as well

2003-04-24 00:19  peter <peter@freepascal.org>

	* rtl/powerpc/typinfo.inc:
	
	  * sstringfunc para updated

2003-04-23 23:28  peter <peter@freepascal.org>

	* rtl/: i386/math.inc, inc/compproc.inc, inc/genmath.inc,
	powerpc/math.inc, sparc/math.inc:
	
	  * fpc_round added, needed for int64 currency

2003-04-23 23:04  florian <florian@freepascal.org>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed fpc_shortstr_to_shortstr

2003-04-23 15:10  peter <peter@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * remvoe objectsize loading from help_destructor
	  * implement fpc_check_object
	  * saveregistrers for check_object

2003-04-23 13:35  peter <peter@freepascal.org>

	* rtl/win32/: graph.pp, wincrt.pp, winmouse.pp, wininc/base.inc:
	
	  * wndproc definition fixed

2003-04-23 13:22  peter <peter@freepascal.org>

	* rtl/win32/: wincrt.pp, winmouse.pp:
	
	  * fixed msghandler declarations

2003-04-23 13:08  florian <florian@freepascal.org>

	* rtl/win32/graph.pp:
	
	  * fixed parameter types

2003-04-22 19:07  florian <florian@freepascal.org>

	* rtl/linux/: syscallo.inc, powerpc/syscall.inc:
	
	  * there where two SYSCALL1 procedures for the powerpc, fixed

2003-04-12 15:21  armin

	* rtl/netware/sysutils.pp:
	
	* added THandle

2003-04-10 17:48  yuri

	* rtl/os2/pmdev.pas:
	
	+ Dynamic jobs properties added

2003-04-07 20:28  armin

	* rtl/win32/wininc/redef.inc:
	
	* corrected BuildCommDCBAndTimeouts, the external is
	BuildCommDCBAndTimeoutsA not BuildCommDCBAndTimeouts

2003-04-06 13:06  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils.inc:
	
	+ Added exception classname to output of unhandled exception for
	better identification

2003-04-04 22:46  yuri

	* rtl/os2/os2def.pas:
	
	* ErrorID type added

2003-04-04 14:03  yuri

	* rtl/emx/: Makefile, Makefile.fpc:
	
	+ PMWSock, PMWP added

2003-04-04 14:02  yuri

	* rtl/os2/: Makefile, Makefile.fpc, pmwsock.pas:
	
	+ Initial import

2003-04-04 04:02  yuri

	* rtl/emx/sysutils.pp:
	
	* THandle added

2003-04-02 23:06  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/sysutils.pp:
	
	  * Yuri's fix merged from os2

2003-04-02 17:18  peter <peter@freepascal.org>

	* rtl/go32v2/sysutils.pp:
	
	  * fix argument names

2003-04-02 16:07  peter <peter@freepascal.org>

	* rtl/inc/compproc.inc:
	
	  * class helpers compilerprocs are not needed yet, changed
	    ifndef i386 to ifdef dummy

2003-04-02 16:05  peter <peter@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * undo previous commit

2003-04-01 23:12  mazen <mazen@freepascal.org>

	* rtl/inc/generic.inc:
	
	* making sparc compiling again by adapting compilerproc
	declarations after the	 last change of compilerproc by i386 team.

2003-04-01 18:09  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, emx/Makefile,
	freebsd/Makefile, go32v2/Makefile, linux/Makefile, macos/Makefile,
	netbsd/Makefile, netware/Makefile, os2/Makefile, win32/Makefile:
	
	  * regenerated

2003-04-01 17:57  peter <peter@freepascal.org>

	* rtl/: go32v2/sysutils.pp, objpas/filutilh.inc, os2/sysutils.pp,
	posix/sysutils.pp, unix/sysutils.pp, win32/sysutils.pp:
	
	  * made THandle platform dependent and unique type

2003-04-01 17:37  peter <peter@freepascal.org>

	* rtl/win32/wininc/base.inc:
	
	  * HResult is alias for System.HResult
	  * Handle is unique type of Cardinal

2003-04-01 17:36  peter <peter@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * make HResult unique type

2003-03-31 04:18  yuri

	* rtl/os2/sysutils.pp:
	
	FileClose bug fixed (again ;))

2003-03-30 14:35  armin

	* rtl/netware/: sysutils.pp, winsock.pp:
	
	* removed uses netware from winsock, DirectoryExists implemented

2003-03-30 12:38  armin

	* rtl/unix/sysutils.pp:
	
	* corrected typo in DirectoryExists

2003-03-30 11:20  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  * platform extension unification

2003-03-30 01:13  hajny <xhajt03@mbox.vol.cz>

	* rtl/: amiga/Makefile, beos/Makefile, emx/Makefile,
	freebsd/Makefile, go32v2/Makefile, linux/Makefile, Makefile,
	os2/Makefile, win32/Makefile:
	
	  * Makefiles regenerated with corrected fpcmake

2003-03-29 20:14  yuri

	* rtl/os2/sysutils.pp:
	
	  * Directoryexists function header changed back.

2003-03-29 19:53  yuri

	* rtl/os2/sysutils.pp:
	
	  * Fixed DirectoryExists function header

2003-03-29 19:21  hajny <xhajt03@mbox.vol.cz>

	* rtl/: objpas/filutilh.inc, go32v2/sysutils.pp, unix/sysutils.pp,
	win32/sysutils.pp:
	
	  * DirectoryExists declaration changed to that one from fixes
	branch

2003-03-29 17:55  michael <michael.vancanneyt@wisa.be>

	* rtl/: i386/typinfo.inc, linux/i386/signal.inc, objpas/typinfo.pp:
	
	+ Patch from Mattias Gaertner for single typeinfo

2003-03-29 16:36  hajny <xhajt03@mbox.vol.cz>

	* rtl/posix/sysutils.pp:
	
	  * DirectoryExists merged from the fixes branch

2003-03-29 16:16  hajny <xhajt03@mbox.vol.cz>

	* rtl/: beos/sysutils.pp, netware/sysutils.pp, posix/sysutils.pp,
	template/sysutils.pp:
	
	  * dummy DirectoryExists added

2003-03-29 16:01  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/sysutils.pp, os2/sysutils.pp:
	
	  + DirectoryExists added for main branch OS/2 too

2003-03-28 20:06  peter <peter@freepascal.org>

	* rtl/: go32v2/sysutils.pp, objpas/filutilh.inc, unix/sysutils.pp,
	win32/sysutils.pp:
	
	  * directoryexists added

2003-03-28 14:36  yuri

	* rtl/os2/pmwp.pas:
	
	  * Initial import

2003-03-28 14:27  yuri

	* rtl/os2/: Makefile, Makefile.fpc:
	
	  * pmwp added, some rst removing added, compilation under 1.0.6
	fixed

2003-03-28 14:25  yuri

	* rtl/os2/os2def.pas:
	
	  * Iconinfo type & constants added

2003-03-27 19:13  yuri

	* rtl/os2/pmord.pas:
	
	Now part of pmgpi.pas

2003-03-27 19:11  yuri

	* rtl/os2/pmgpi.pas:
	
	Orders added

2003-03-27 19:09  yuri

	* rtl/os2/pmwin.pas:
	
	MLE types and various constants added

2003-03-27 19:07  yuri

	* rtl/os2/Makefile:
	
	Makefile regenerated by old fpcmake

2003-03-27 18:14  armin

	* rtl/: inc/threadh.inc, netware/systhrds.pp, unix/systhrds.pp,
	win32/systhrds.pp:
	
	* more platform independent thread routines, needs to be
	implemented for unix

2003-03-27 13:52  armin

	* rtl/unix/keyboard.pp:
	
	* forgot to initialize RootTree to nil in FreeTree

2003-03-26 13:45  armin

	* rtl/unix/video.pp:
	
	* added wrapoff to avoid problems in the ide with some terminal
	emulators

2003-03-26 13:35  armin

	* rtl/unix/keyboard.pp:
	
	* Free the Tree in SysDoneKeyboard to avoid a lot of messages if
	heaptrace is enabled

2003-03-26 01:19  peter <peter@freepascal.org>

	* rtl/i386/i386.inc:
	
	  * ifdef HAS_GENERICCONSTRUCTOR

2003-03-26 01:17  peter <peter@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * generic constructor/destructor fixes

2003-03-25 20:27  peter <peter@freepascal.org>

	* rtl/inc/lineinfo.pp:
	
	  * fix ifdef to define elf32

2003-03-25 19:17  armin

	* rtl/netware/: Makefile, Makefile.fpc, compile.cmd, crt.pp,
	dos.pp, nwpre.as, nwsys.inc, prelude.as, sockets.pp, system.pp,
	winsock.pp, winsock2.pp:
	
	* support for fcl, support for linking without debug info * renamed
	winsock2 to winsock for win32 compatinility * new sockets unit for
	netware * changes for compiler warnings

2003-03-25 19:09  armin

	* rtl/netware/nwserv.pp:
	
	* removed cvars because of problems with nlmconv

2003-03-24 17:12  jonas <jonas.maebe@rug.ac.be>

	* rtl/win32/systhrds.pp:
	
	  * BeginThread() now returns the thread handle instead of the
	threadid
	    (needed because you have to free the handle after your thread
	is
	     finished, and the threadid is already returned via a
	var-parameter)

2003-03-24 01:13  hajny <xhajt03@mbox.vol.cz>

	* rtl/: netware/Makefile, os2/Makefile, win32/Makefile:
	
	  + platform extensions unified, emx target added

2003-03-24 01:10  hajny <xhajt03@mbox.vol.cz>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, emx/Makefile,
	freebsd/Makefile, go32v2/Makefile, linux/Makefile, macos/Makefile,
	netbsd/Makefile:
	
	  + platform extensions unified, emx target added

2003-03-24 00:16  hajny <xhajt03@mbox.vol.cz>

	* rtl/Makefile.fpc:
	
	  + emx target added

2003-03-24 00:14  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/Makefile.fpc:
	
	  * pmshl correction

2003-03-24 00:11  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/: Makefile.fpc, crt.pas, dos.pas, system.pas,
	systhrds.pp, sysutils.pp:
	
	  + emx target added

2003-03-23 18:47  armin

	* rtl/: freebsd/unixsock.inc, inc/socketsh.inc, linux/unixsock.inc,
	netbsd/unixsock.inc, netware/sockets.pp, win32/sockets.pp:
	
	* CloseSocket added

2003-03-21 13:28  armin

	* rtl/netware/nwimp/: aio.imp, audnlm32.imp, calnlm32.imp,
	ccs-os.imp, ccs.imp, clib.imp, clibaux.imp, clxnlm32.imp,
	dplsv386.imp, dsapi.imp, dsevent.imp, fpsm.imp, lib0.imp,
	locnlm32.imp, netnlm32.imp, nit.imp, nlmlib.imp, nwpsrv.imp,
	nwpsrv3x.imp, nwsnut.imp, requestr.imp, socklib.imp, threads.imp,
	tli.imp, ws2_32.imp, ws2nlm.imp:
	
	* updateed imp-files for netware

2003-03-20 15:25  armin

	* rtl/win32/wininc/redef.inc:
	
	+ reactivated delphi compatible versions of
	SetCommTimeouts,SetCommState,BuildCommDCB*

2003-03-19 16:57  peter <peter@freepascal.org>

	* rtl/go32v2/dpmiexcp.pp:
	
	  * fix compile with 1.0.x

2003-03-18 09:48  michael <michael.vancanneyt@wisa.be>

	* rtl/go32v2/dpmiexcp.pp:
	
	+ Patch from peter to correct frame trace

2003-03-18 09:28  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils.inc:
	
	Patch from peter for Abort routine

2003-03-17 21:55  peter <peter@freepascal.org>

	* rtl/inc/: objpas.inc, objpash.inc:
	
	  * ClassType changed to class method

2003-03-17 19:13  peter <peter@freepascal.org>

	* rtl/go32v2/crt.pp:
	
	  * exported ScreenHeight, ScreenWidth

2003-03-17 16:30  armin

	* rtl/inc/lineinfo.pp:
	
	+ netware support + opened was not initialized

2003-03-17 16:11  armin

	* rtl/objpas/sysutils.inc:
	
	+ someone AssertErrorHandler, BackTraceFunc and Dump_Stack so that
	pointer instead of longint is needed

2003-03-17 15:30  peter <peter@freepascal.org>

	* rtl/: i386/i386.inc, inc/compproc.inc, inc/heaptrc.pp,
	inc/lineinfo.pp, inc/system.inc, inc/systemh.inc,
	powerpc/powerpc.inc, sparc/sparc.inc:
	
	  * changed address parameter/return values to pointer instead
	    of longint

2003-03-12 20:21  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  + implemented get_frame()
	  * fixed bug in IndexDWord()

2003-03-11 09:26  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/: linux.pp, unix.pp:
	
	* stringtoppchar should use tabs instead of backspace as delimiter

2003-03-02 03:04  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: Makefile, Makefile.fpc, pmshl.pas, todo-os2.txt:
	
	  + PMShl added

2003-03-01 22:19  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/sysutils.pp:
	
	  * FileClose bug fixed

2003-02-26 21:04  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/sstrings.inc:
	
	  * fixed shortstring version of setstring

2003-02-26 20:16  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/astrings.inc:
	
	  * fixed setstring (+- like suggested by Dimitry Sibiryakov)

2003-02-23 19:41  armin

	* rtl/netware/: Makefile, Makefile.fpc, nwprot.pp:
	
	* added nwprot, contains types/imports for netware server protocol
	library

2003-02-22 23:58  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/doscalls.pas:
	
	  + logging facility API calls added

2003-02-22 19:23  armin

	* rtl/netware/: Makefile, Makefile.fpc, npackoff.inc, npackon.inc,
	nwconio.pp, nwnit.pp, nwserv.pp, nwthread.pp:
	
	* removed nwstdio and nwthread * added nwnit.pp and nwserv.pp
	containing nearly all netware server structures/function
	definitions available in the c sdk

2003-02-20 18:37  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dos.pas:
	
	  * correction for previous mistyping

2003-02-20 18:09  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: dos.pas, doscalls.pas, thread.inc:
	
	  * fixes for OS/2 v2.1 incompatibility

2003-02-20 15:07  armin

	* rtl/netware/crt.pp:
	
	* moved ScreenWidth and ScreenHeight to interface

2003-02-20 15:05  armin

	* rtl/netware/crt.pp:
	
	* added scrrenHeight and ScreenWidth

2003-02-19 17:07  marco <marcov@stack.nl>

	* rtl/freebsd/signalf.inc:
	
	file signalf.inc was initially added on branch FIXES_1_0_0.

2003-02-18 18:56  jonas <jonas.maebe@rug.ac.be>

	* rtl/: i386/i386.inc, inc/generic.inc:
	
	  - removed buggy i386-specific FPC_CHARARRAY_TO_SHORTSTR
	  * fixed generic FPC_CHARARRAY_TO_SHORTSTR (web bug 2382)
	  * fixed some potential range errors in indexchar/word/dword

2003-02-16 18:46  armin

	* rtl/netware/nwsys.inc:
	
	* typo fixed

2003-02-16 18:45  armin

	* rtl/netware/: Makefile, Makefile.fpc, README, nwconio.pp,
	nwsnut.pp, nwthread.pp:
	
	* added nwsnut, nwconio and nwthreads for netware

2003-02-16 18:12  armin

	* rtl/netware/systhrds.pp:
	
	* systhrds fir netware added

2003-02-15 20:12  armin

	* rtl/netware/: Makefile, Makefile.fpc, README, system.pp,
	sysutils.pp, thread.inc, winsock2.pp, tests/Makefile:
	
	* changes for new threadvar support

2003-02-15 12:25  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/todo-os2.txt:
	
	  * OS/2 todo list updated

2003-02-09 18:16  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: Makefile, Makefile.fpc:
	
	  - unit dive moved to packages

2003-02-09 16:49  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dive.pas:
	
	  - moved to /packages/extra/os2units/mmtk

2003-02-09 13:41  marco <marcov@stack.nl>

	* rtl/openbsd/signalf.inc:
	
	file signalf.inc was initially added on branch FIXES_1_0_0.

2003-02-07 21:55  marco <marcov@stack.nl>

	* rtl/inc/lineinfo.pp:
	
	 * fix from oco

2003-02-07 20:36  marco <marcov@stack.nl>

	* rtl/netbsd/i386/gprt0.as:
	
	file gprt0.as was initially added on branch FIXES_1_0_0.

2003-02-05 22:48  mazen <mazen@freepascal.org>

	* rtl/: inc/system.inc, sparc/sparc.inc:
	
	* fixing run time errors related to unimplemented abstract methods
	in CG + giving empty emplementations for some RTL functions

2003-02-05 20:53  carl <carl@freepascal.org>

	* rtl/i386/math.inc:
	
	  * round bugfix with -Or switch

2003-02-04 18:49  nils

	* rtl/amiga/: exec.inc, exec.pp:
	
	- not used in rtl anymore

2003-02-01 23:31  marco <marcov@stack.nl>

	* rtl/inc/lineinfo.pp:
	
	 * Last change broke beos. Fixed.

2003-02-01 22:57  marco <marcov@stack.nl>

	* rtl/beos/i386/: cprt0.as, prt0.as:
	
	 * Fix from "oco" to get 1.1 working

2003-02-01 17:39  marco <marcov@stack.nl>

	* rtl/freebsd/i386/gprt0.as:
	
	file gprt0.as was initially added on branch FIXES_1_0_0.

2003-01-31 23:02  pierre <muller@cerbere.u-strasbg.fr>

	* rtl/netbsd/signalf.inc:
	
	file signalf.inc was initially added on branch FIXES_1_0_0.

2003-01-27 18:57  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmwin.pas:
	
	  * additions by Yuri Prokushev (WC_* constants a.o.)

2003-01-22 21:45  mazen <mazen@freepascal.org>

	* rtl/sparc/math.inc:
	
	* making math code in RTL compiling.  *NB : This does NOT mean
	necessary that it will generate correct code!

2003-01-21 20:36  mazen <mazen@freepascal.org>

	* rtl/inc/mathh.inc:
	
	- fpc_int64_to_double removed as not supported by most cpu targets

2003-01-21 16:43  marco <marcov@stack.nl>

	* rtl/netbsd/Makefile:
	
	 * Initial makefiles

2003-01-21 16:39  marco <marcov@stack.nl>

	* rtl/netbsd/: signal.inc, syscalls.inc, sysconst.inc, sysctlh.inc,
	sysnr.inc, systypes.inc, termios.inc, unixsock.inc, unixsysc.inc:
	
	 * NetBSD first rtl. Still not 100%, but close

2003-01-21 16:34  marco <marcov@stack.nl>

	* rtl/bsd/bunxmacr.inc:
	
	 * fix octal that broke 1.0.x

2003-01-21 15:03  marco <marcov@stack.nl>

	* rtl/freebsd/errno.inc:
	
	 * Hmm, still was linux version in 1.1?

2003-01-20 23:21  mazen <mazen@freepascal.org>

	* rtl/: inc/generic.inc, inc/mathh.inc, sparc/math.inc:
	
	* many stuff related to RTL fixed

2003-01-19 15:37  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/dateutils.pp:
	
	+ Much more functions implemented

2003-01-19 01:01  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/dateutils.pp:
	
	+ initial checkin.

2003-01-19 00:45  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/: dati.inc, datih.inc:
	
	+ Fixed EncodeDate/Time so they use TryEncodeDate/Time

2003-01-17 23:13  marco <marcov@stack.nl>

	* rtl/netbsd/: Makefile, Makefile.fpc, ptypes.inc, syscalls.inc,
	sysconst.inc, systypes.inc:
	
	 * some updates

2003-01-16 12:29  olle

	* rtl/powerpc/math.inc:
	
	  * changed access of globals to be indirect via TOC

2003-01-15 23:16  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  * default sharing mode changed to DenyNone

2003-01-15 02:09  florian <florian@freepascal.org>

	* rtl/powerpc/math.inc:
	
	  * changed power(...) prototype to int64

2003-01-15 01:45  peter <peter@freepascal.org>

	* rtl/: i386/math.inc, inc/genmath.inc:
	
	  * use generic int64 power

2003-01-15 01:40  peter <peter@freepascal.org>

	* rtl/: i386/math.inc, inc/mathh.inc:
	
	  * power returns int64

2003-01-14 22:15  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, emx/Makefile,
	freebsd/Makefile, go32v2/Makefile, linux/Makefile, macos/Makefile,
	netware/Makefile, os2/Makefile, win32/Makefile:
	
	  * regenerated

2003-01-14 17:17  peter <peter@freepascal.org>

	* rtl/inc/lineinfo.pp:
	
	  * remove wrong hasunix, replaced with elf32 define which
	    is set for freebsd,netbsd,linux or sunos

2003-01-14 00:17  florian <florian@freepascal.org>

	* rtl/macos/Makefile:
	
	  * updated makefile

2003-01-13 21:37  peter <peter@freepascal.org>

	* rtl/palmos/Makefile.fpc:
	
	file Makefile.fpc was initially added on branch FIXES_1_0_0.

2003-01-13 18:19  olle

	* rtl/macos/README:
	
	no message

2003-01-13 18:18  olle

	* rtl/macos/system.pp:
	
	  + added support for rudimentary file handling

2003-01-13 16:13  florian <florian@freepascal.org>

	* rtl/macos/: Makefile, Makefile.fpc:
	
	  + added makefiles to make like easier

2003-01-13 15:37  florian <florian@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * cpu defines fixed
	  * ... = type ...; stuff reactived, should work now with 1.1

2003-01-11 01:17  florian <florian@freepascal.org>

	* rtl/inc/compproc.inc:
	
	  * uncommented the variant<->dyn. array stuff

2003-01-10 22:35  marco <marcov@stack.nl>

	* rtl/inc/lineinfo.pp:
	
	 * hasunix fix (my first commit from beos :-)

2003-01-10 22:02  marco <marcov@stack.nl>

	* rtl/objpas/fina.inc:
	
	 * hasunix fix for beos

2003-01-10 20:36  marco <marcov@stack.nl>

	* rtl/beos/i386/: cprt0.as, prt0.as:
	
	 * replaced sysbeos to system

2003-01-10 16:44  pierre <muller@cerbere.u-strasbg.fr>

	* rtl/palmos/gdbstub.o:
	
	file gdbstub.o was initially added on branch FIXES_1_0_0.

2003-01-09 21:14  florian <florian@freepascal.org>

	* rtl/: inc/compproc.inc, inc/generic.inc, powerpc/powerpc.inc:
	
	  * fixed helper declarations

2003-01-09 14:38  florian <florian@freepascal.org>

	* rtl/powerpc/powerpc.inc:
	
	  * dec/inclocked got defines

2003-01-09 14:38  florian <florian@freepascal.org>

	* rtl/linux/powerpc/syscall.inc:
	
	  * syscall stuff fixed

2003-01-08 23:32  marco <marcov@stack.nl>

	* rtl/beos/: Makefile, Makefile.fpc, beos.inc, dos.inc, dos.pp,
	errno.inc, osposix.inc, osposixh.inc, posix.pp, syscall.inc,
	system.pp, timezone.inc:
	
	 * Small fixes and quick merge with 1.0.x. At least the compiler
	builds now,
	    but it could crash hard, since there are lots of unimplemented
	funcs.

2003-01-08 22:56  marco <marcov@stack.nl>

	* rtl/beos/sysutils.pp:
	
	 * small fixes to prototypes to compile it

2003-01-07 23:04  mazen <mazen@freepascal.org>

	* rtl/inc/generic.inc:
	
	- space removed

2003-01-07 00:04  mazen <mazen@freepascal.org>

	* rtl/inc/: compproc.inc, generic.inc:
	
	* functions headers modified in generic.inc to make it possible
	compiling sparc   RTL based on generic code

2003-01-07 00:03  mazen <mazen@freepascal.org>

	* rtl/i386/i386.inc:
	
	+ defining FPC_SYSTEM_HAS_DECLOCKED and FPC_SYSTEM_HAS_INCLOCKED to
	avoid	compilation error on generic.inc

2003-01-06 20:40  florian <florian@freepascal.org>

	* rtl/x86_64/: makefile.cpu, x86_64.inc:
	
	  + initial revision

2003-01-06 20:39  florian <florian@freepascal.org>

	* rtl/linux/x86_64/: cprt0.as, cprt21.as, dllprt0.as, gprt0.as:
	
	  + dummy implementations

2003-01-06 20:33  florian <florian@freepascal.org>

	* rtl/linux/x86_64/prt0.as:
	
	  + initial revision

2003-01-06 09:25  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/compproc.inc:
	
	+ PAtch from peter fixing daily build

2003-01-05 22:32  mazen <mazen@freepascal.org>

	* rtl/: inc/compproc.inc, inc/generic.inc, linux/sparc/syscall.inc,
	linux/sparc/syscallh.inc, sparc/setjump.inc, sparc/setjumph.inc:
	
	* fixing several bugs compiling the RTL

2003-01-05 21:22  florian <florian@freepascal.org>

	* rtl/beos/system.pp:
	
	  - removed stack check, it's system independend in 1.1

2003-01-05 21:06  florian <florian@freepascal.org>

	* rtl/beos/system.pp:
	
	  + fixed missing SysInitStdIO

2003-01-05 20:18  marco <marcov@stack.nl>

	* rtl/bsd/: bsdfuncs.inc, bsdmacro.inc, bsdsysc.inc, bsdsysch.inc,
	bsdtypes.inc, osposix.inc, osposixh.inc:
	
	 * renamed after baseunix changes.

2003-01-05 20:16  marco <marcov@stack.nl>

	* rtl/linux/bunxfunc.inc:
	
	 * small fix

2003-01-05 20:11  marco <marcov@stack.nl>

	* rtl/unix/: bunxh.inc, linux.pp, systhrds.pp:
	
	 * small changes originating from introduction of Baseunix to
	FreeBSD

2003-01-05 20:10  marco <marcov@stack.nl>

	* rtl/bsd/bunxfunc.inc:
	
	 * Small sigprocmask fix

2003-01-05 20:02  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc, signal.inc, syscalls.inc,
	unixsysc.inc:
	
	 * Should now work with baseunx. (gmake all works)

2003-01-05 20:01  marco <marcov@stack.nl>

	* rtl/bsd/: baseunix.pp, bsdsysc.inc, bunxfunc.inc, bunxmacr.inc,
	bunxmain.inc, osmain.inc, ossysc.inc, ossysch.inc, ostypes.inc,
	sysctl.pp, system.pp, i386/syscall.inc, i386/syscallh.inc:
	
	 * FreeBSD compiles now with baseunix mods.

2003-01-05 17:37  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: Makefile, Makefile.fpc, doscalls.pas:
	
	  * DosCalls not using Objects any more

2003-01-05 17:27  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/objects.pp:
	
	  * PString inherited from System

2003-01-04 17:25  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/sysutils.pp:
	
	  * modified to make use of the common GetEnv code

2003-01-04 16:43  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dos.pas:
	
	  + GetEnvPChar added

2003-01-03 21:41  peter <peter@freepascal.org>

	* rtl/: go32v2/sysutils.pp, objpas/filutilh.inc, os2/sysutils.pp,
	unix/sysutils.pp, win32/sysutils.pp:
	
	  * FileCreate(string,mode) overload added

2003-01-03 21:34  peter <peter@freepascal.org>

	* rtl/: i386/math.inc, inc/mathh.inc, objpas/math.pp:
	
	  * i386 fpu controlword functions added

2003-01-03 18:14  peter <peter@freepascal.org>

	* rtl/i386/i386.inc:
	
	  * fix possible overflow when array len > 255 when converting to
	    shortstring

2003-01-03 16:45  marco <marcov@stack.nl>

	* rtl/bsd/bunxtype.inc:
	
	 * Renamed to bunxtype.inc (from osposixh.inc), some minor changes
	    (as introduced going from posix unit to baseunix)

2003-01-03 14:11  marco <marcov@stack.nl>

	* rtl/freebsd/ptypes.inc:
	
	 * split into ptypes and ctypes

2003-01-03 12:21  marco <marcov@stack.nl>

	* rtl/bsd/ctypes.inc:
	
	 * copied and checked from Linux.

2003-01-03 01:06  marco <marcov@stack.nl>

	* rtl/freebsd/errno.inc:
	
	 * Fixed

2003-01-03 00:57  marco <marcov@stack.nl>

	* rtl/unix/errno.inc:
	
	 * small patch

2003-01-03 00:34  marco <marcov@stack.nl>

	* rtl/linux/Makefile:
	
	 * Baseunix enabled by default

2003-01-03 00:10  marco <marcov@stack.nl>

	* rtl/linux/Makefile.fpc:
	
	 * Baseunix now compiled by default

2003-01-02 23:39  marco <marcov@stack.nl>

	* rtl/linux/posmacro.inc:
	
	 * renamed to bunxmacr.inc

2003-01-02 23:39  marco <marcov@stack.nl>

	* rtl/linux/bunxmain.inc:
	
	 * posmacro.inc was still include while it was already moved to
	bunxmacr.inc
	   fixed, will remove posmacro.inc shortly

2003-01-02 23:31  marco <marcov@stack.nl>

	* rtl/unix/posixunx.inc:
	
	 * Renamed to genfuncs.inc

2003-01-02 23:22  peter <peter@freepascal.org>

	* rtl/objpas/types.pp:
	
	  * reuse Windows types to fix incompatible parameters

2003-01-02 23:10  marco <marcov@stack.nl>

	* rtl/linux/linsysc.inc:
	
	 * renamed to ossysc.inc

2003-01-02 23:07  peter <peter@freepascal.org>

	* rtl/win32/wininc/: func.inc, messages.inc, redef.inc, struct.inc:
	
	  * missing items

2003-01-02 20:47  marco <marcov@stack.nl>

	* rtl/linux/posfuncs.inc:
	
	 * superceded by bunxfunc.inc

2003-01-01 21:56  florian <florian@freepascal.org>

	* rtl/: win32/system.pp, win32/sysutils.pp, objpas/stre.inc,
	objpas/sysutilh.inc, objpas/sysutils.inc:
	
	  + added invalid instruction exception

2003-01-01 19:24  mazen <mazen@freepascal.org>

	* rtl/sparc/setjumph.inc:
	
	* just put register pointers

2003-01-01 15:34  peter <peter@freepascal.org>

	* rtl/win32/: sockets.pp, winsock.pp:
	
	  * sendto overload

2002-12-29 17:59  peter <peter@freepascal.org>

	* rtl/inc/: compproc.inc, wstrings.inc:
	
	  * implemented some more conversions

2002-12-27 19:36  peter <peter@freepascal.org>

	* rtl/linux/system.pp:
	
	  * Setup ExecPathStr for ParamStr(0)

2002-12-27 19:13  peter <peter@freepascal.org>

	* rtl/win32/wininc/: func.inc, redef.inc:
	
	  * fix ChoosePixelFormat

2002-12-26 11:46  peter <peter@freepascal.org>

	* rtl/inc/heaptrc.pp:
	
	  * set p to nil when 0 is passed to reallocmem

2002-12-25 02:04  peter <peter@freepascal.org>

	* rtl/win32/winsock.pp:
	
	  * sendto overload added

2002-12-25 02:03  peter <peter@freepascal.org>

	* rtl/objpas/: dati.inc, datih.inc:
	
	  * some date constants added

2002-12-25 00:33  peter <peter@freepascal.org>

	* rtl/objpas/sysstrh.inc:
	
	  * export StrToFloatDef

2002-12-24 22:30  mazen <mazen@freepascal.org>

	* rtl/: linux/signal.inc, linux/sparc/syscall.inc,
	linux/sparc/syscallh.inc, sparc/math.inc, sparc/set.inc,
	sparc/setjump.inc:
	
	- some writeln(s) removed in compiler + many files added to RTL *
	some errors fixed in RTL

2002-12-24 20:45  peter <peter@freepascal.org>

	* rtl/linux/i386/syscall.inc:
	
	  * only set errno when syscall fails

2002-12-24 20:45  peter <peter@freepascal.org>

	* rtl/linux/osmain.inc:
	
	  * Fix do_erase which was wrong with inoutres setting

2002-12-24 16:35  peter <peter@freepascal.org>

	* rtl/win32/: dos.pp, system.pp:
	
	  * error code fixes

2002-12-24 00:26  florian <florian@freepascal.org>

	* rtl/objpas/sysstr.inc:
	
	  + addition to previous commit, forgot to save in the editor

2002-12-24 00:12  florian <florian@freepascal.org>

	* rtl/objpas/: sysstr.inc, sysstrh.inc:
	
	  + TextToFloat: D6 compatibility added

2002-12-23 23:23  peter <peter@freepascal.org>

	* rtl/linux/osmain.inc:
	
	  * fixed Getdir to not set Inoutres
	  * broken symlinks are now ignored in getdir instead of aborting
	    the search

2002-12-23 22:27  peter <peter@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * fix wrong var names for shortstr_compare

2002-12-23 22:17  peter <peter@freepascal.org>

	* rtl/linux/i386/syscall.inc:
	
	  * MT fix

2002-12-23 21:56  peter <peter@freepascal.org>

	* rtl/linux/i386/syscall.inc:
	
	  * Reset Errno to 0 if call is successfull
	  * Fix broken 1.0.x Errno which does not have threadvar

2002-12-22 17:00  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/powerpc/: syscall.inc, syscallh.inc:
	
	  + added syscallh.inc, adapted syscall.inc

2002-12-21 18:20  florian <florian@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  + some types for D6 compatibility added

2002-12-18 21:43  peter <peter@freepascal.org>

	* rtl/linux/osmain.inc:
	
	  * removed stackcheck, the generic stackcheck is used
	  * fixed return value for error conversion when no error was
	passed

2002-12-18 21:42  peter <peter@freepascal.org>

	* rtl/linux/system.pp:
	
	  * initial stacklen setup

2002-12-18 21:41  peter <peter@freepascal.org>

	* rtl/linux/i386/: syscall.inc, syscallh.inc:
	
	  * Threadvar support for Errno
	  * Fixed syscall error return check
	  * Uncommented Syscall with 6 parameters, only 5 were really set

2002-12-18 18:52  peter <peter@freepascal.org>

	* rtl/unix/linux.pp:
	
	  * replaced some Fp with Sys_ to get cycle working

2002-12-18 18:51  peter <peter@freepascal.org>

	* rtl/linux/linsysc.inc:
	
	  * add FPC_SYSC_CLOSE public name

2002-12-18 18:51  peter <peter@freepascal.org>

	* rtl/linux/system.pp:
	
	  * fixed ifdef ver1_0

2002-12-18 18:38  marco <marcov@stack.nl>

	* rtl/linux/ossysc.inc:
	
	 * small fix, new rtl now cycles

2002-12-18 18:36  marco <marcov@stack.nl>

	* rtl/linux/: osposix.inc, osposixh.inc:
	
	 * removed

2002-12-18 18:19  peter <peter@freepascal.org>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	  * add OS_TARGET to include dir

2002-12-18 17:50  marco <marcov@stack.nl>

	* rtl/unix/: errno.inc, genfuncs.inc, gensigset.inc, linux.pp,
	unix.pp:
	
	 * Unix RTL generic parts. Linux working, *BSD will follow shortly

2002-12-18 17:49  marco <marcov@stack.nl>

	* rtl/unix/: bunxh.inc, bunxovl.inc, bunxovlh.inc:
	
	 * New RTL. Linux system unit and baseunix operational.

2002-12-18 17:46  marco <marcov@stack.nl>

	* rtl/linux/i386/: syscall.inc, syscallh.inc:
	
	 * Some mods.

2002-12-18 17:44  marco <marcov@stack.nl>

	* rtl/linux/: baseunix.pp, system.pp:
	
	 * more new RTL

2002-12-18 17:43  marco <marcov@stack.nl>

	* rtl/linux/: bunxfunc.inc, bunxmacr.inc, bunxmain.inc,
	bunxtype.inc, ctypes.inc, oscdeclh.inc, osmain.inc, ossysc.inc,
	ossysch.inc, ostypes.inc, ptypes.inc, signal.inc, syscalls.inc,
	unixsysc.inc:
	
	 * new unix rtl, linux part.....

2002-12-15 23:50  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/dos.pas:
	
	  * GetEnv fix merged from os2 target

2002-12-15 23:46  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/system.pas:
	
	  * First_Meg fixed + Environment initialization under Dos

2002-12-15 23:41  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  * First_Meg fixed + Environment initialization under Dos

2002-12-15 23:33  peter <peter@freepascal.org>

	* rtl/inc/: systemh.inc, wstrings.inc:
	
	  * SetString(WideString,[PChar|PWideChar],Len) added

2002-12-15 23:32  peter <peter@freepascal.org>

	* rtl/i386/i386.inc:
	
	  * fixed return value when len=0 for indexchar,indexword

2002-12-15 21:24  peter <peter@freepascal.org>

	* rtl/win32/: sysutils.pp, wininc/func.inc, wininc/redef.inc,
	wininc/struct.inc:
	
	  * some more C style functions

2002-12-15 21:23  peter <peter@freepascal.org>

	* rtl/win32/dos.pp:
	
	  * map error 87 to 13 to be compatible with dos

2002-12-15 21:23  peter <peter@freepascal.org>

	* rtl/win32/crt.pp:
	
	  * fix empty string in readln when not at end of string
	  * fix alt-xyz in readkey

2002-12-15 21:22  peter <peter@freepascal.org>

	* rtl/win32/video.pp:
	
	  * fix updatescreen compare that was wrong when the last char was
	    different

2002-12-15 21:22  peter <peter@freepascal.org>

	* rtl/go32v2/crt.pp:
	
	  * fix making string empty in readln when cursor is not at the end

2002-12-14 20:16  sg <sg@freepascal.org>

	* rtl/inc/wstrings.inc:
	
	* Ported improvements from the AnsiString equivalents to
	NewWideString and   fpc_WideStr_SetLength

2002-12-12 18:52  peter <peter@freepascal.org>

	* rtl/win32/activex.pp:
	
	  * INT renamed to WINT

2002-12-12 18:34  peter <peter@freepascal.org>

	* rtl/win32/wininc/: ascdef.inc, ascfun.inc, base.inc, struct.inc,
	unidef.inc, unifun.inc:
	
	  * Renaming INT type to WINT

2002-12-12 18:33  peter <peter@freepascal.org>

	* rtl/win32/wininc/: ascdef.sed, unidef.sed:
	
	  * fix cvs name replacing

2002-12-09 09:33  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/astrings.inc:
	
	+ Fixed range check error and others in Delete

2002-12-08 17:39  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  - WriteLn in GUI mode support commented out until fixed

2002-12-08 17:05  peter <peter@freepascal.org>

	* rtl/unix/dos.pp:
	
	  * small error code fixes so tdos2 passes

2002-12-07 21:56  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmwin.pas:
	
	  * WinMessageBox2 commented out temporarily

2002-12-07 21:21  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmwin.pas:
	
	  * mistyping fixed

2002-12-07 20:46  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dos.pas:
	
	  * mistyping fixed

2002-12-07 20:17  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: dos.pas, system.pas:
	
	  * GetEnv correction, better PM support, ...

2002-12-07 18:50  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmwin.pas:
	
	  + (Commented) WinMessageBox2 added

2002-12-07 17:26  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/fexpand.inc:
	
	  * '//' behaviour for Amiga corrected

2002-12-07 15:34  carl <carl@freepascal.org>

	* rtl/inc/: astrings.inc, wstrings.inc, file.inc, system.inc,
	objects.pp:
	
	  - avoid warnings (add typecast)

2002-12-07 14:58  carl <carl@freepascal.org>

	* rtl/win32/system.pp:
	
	  * fix warnings

2002-12-05 22:10  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/todo-os2.txt:
	
	  * todo list updated

2002-12-04 22:36  carl <carl@freepascal.org>

	* rtl/win32/wdllprt0.as:
	
	  * libraries would no longer compile because of my profiling fix

2002-12-04 22:35  carl <carl@freepascal.org>

	* rtl/win32/dos.pp:
	
	  * bugfixes for dos.exec() : it would not be able to execute
	16-bit apps
	  * doserror was not reset to zero in dos.exec

2002-12-03 21:39  carl <carl@freepascal.org>

	* rtl/win32/dos.pp:
	
	   * fix for dos.exec with non-microsoft shells

2002-12-01 21:46  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/fexpand.inc:
	
	  * Amiga support hopefully finished

2002-12-01 00:34  carl <carl@freepascal.org>

	* rtl/inc/heaptrc.pp:
	
	  * nil should give an error!

2002-12-01 00:25  carl <carl@freepascal.org>

	* rtl/inc/softfpu.pp:
	
	  * forgot goto on switch in last commit

2002-11-30 22:34  carl <carl@freepascal.org>

	* rtl/inc/softfpu.pp:
	
	  + compilerproc for softfpu (first step for integration)
	  * several bugfixes for big-endian support

2002-11-30 19:46  carl <carl@freepascal.org>

	* rtl/win32/: Makefile, Makefile.fpc:
	
	  + profiling support for Win32

2002-11-30 19:43  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/tests/pmdemo1.h:
	
	  * fix for missing end of comment block

2002-11-30 19:17  carl <carl@freepascal.org>

	* rtl/win32/: gprt0.as, system.pp, wprt0.as, wprt0_10.as:
	
	  + profiling support

2002-11-29 17:49  sg <sg@freepascal.org>

	* rtl/win32/: Makefile, Makefile.fpc, opengl32.pp:
	
	* Removed opengl32 unit (all functions are now in the Windows unit)

2002-11-29 17:40  sg <sg@freepascal.org>

	* rtl/win32/wininc/func.inc:
	
	* Added wgl* functions (moved from opengl32 unit, to get more
	compatible   to Delphi)

2002-11-29 17:26  peter <peter@freepascal.org>

	* rtl/inc/text.inc:
	
	  * fixed ignorespaces which was broken by the previous commit
	    when a line started with spaces

2002-11-29 16:50  peter <peter@freepascal.org>

	* rtl/inc/text.inc:
	
	  * fix for tw1896

2002-11-29 01:06  florian <florian@freepascal.org>

	* rtl/i386/mmx.pp:
	
	  * AMD CPUs could have SSE as well

2002-11-28 23:26  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/: sysstr.inc, sysstrh.inc:
	
	+ Fixed float<>string conversion routines

2002-11-28 21:29  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/: sysstr.inc, sysstrh.inc:
	
	+ made it compile again

2002-11-28 21:15  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysstr.inc:
	
	+ Fixed comparestr (merge from fix)

2002-11-28 12:04  olle

	* rtl/powerpc/math.inc:
	
	  * macos: refs to globals in asm adapted to macos

2002-11-28 11:59  olle

	* rtl/macos/README:
	
	  + created this file

2002-11-28 11:58  olle

	* rtl/macos/system.pp:
	
	  + added support for rudimentary heap

2002-11-27 21:08  peter <peter@freepascal.org>

	* rtl/win32/wininc/base.inc:
	
	  * added PBOOL

2002-11-27 00:02  peter <peter@freepascal.org>

	* rtl/inc/: compproc.inc, dynarr.inc:
	
	  * fixed dynarray copy

2002-11-25 22:03  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/fexpand.inc:
	
	  * Amiga fixes (among others)

2002-11-24 19:19  mazen <mazen@freepascal.org>

	* rtl/sparc/: setjump.inc, setjumph.inc:
	
	+ setjmp and longjmp

2002-11-24 17:31  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, emx/Makefile,
	freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	netware/Makefile, os2/Makefile, win32/Makefile:
	
	  * regenarated

2002-11-24 16:49  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/fexpand.inc:
	
	  * make use of constants available in the system unit

2002-11-22 17:30  peter <peter@freepascal.org>

	* rtl/objpas/varutils.inc:
	
	  * Widestring->PWidechar requires a typecast

2002-11-20 15:31  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/getopts.pp:
	
	  * applied fix from Maxim Artemev (bert_raccoon@freemail.ru)

2002-11-18 20:51  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: dos.pas, sysutils.pp:
	
	  * another bunch of type corrections

2002-11-18 20:06  mazen <mazen@freepascal.org>

	* rtl/linux/sparc/: cprt0.as, dllprt0.as, gprt0.as, cprt21.as:
	
	* not yet useful

2002-11-18 20:03  mazen <mazen@freepascal.org>

	* rtl/linux/sparc/prt0.as:
	
	* start code of gcc adapted for FPC

2002-11-18 19:33  peter <peter@freepascal.org>

	* rtl/inc/: innr.inc, system.inc:
	
	  * Swap(QWord) constant support

2002-11-17 23:31  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/systhrds.pp:
	
	  + first (incomplete) version of systhrds

2002-11-17 23:31  hajny <xhajt03@mbox.vol.cz>

	* rtl/: os2/system.pas, emx/system.pas, emx/systhrds.pp:
	
	  * type corrections (longing x cardinal)

2002-11-17 22:30  mazen <mazen@freepascal.org>

	* rtl/linux/sparc/prt0.as:
	
	* inserted from gcc cvs

2002-11-17 17:45  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/: systhrds.pp, threads.pp:
	
	  * threads.pp renamed to systhrds.pp

2002-11-17 17:22  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/: dos.pas, Makefile, Makefile.fpc, ports.pas, prt0.as,
	prt1.as, sysos2.pas, system.pas, sysutils.pp, threads.pp:
	
	  + RTL for emx target

2002-11-16 21:12  florian <florian@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  + sparc types added
	  + UTF*/UCS* types added

2002-11-16 21:10  florian <florian@freepascal.org>

	* rtl/sparc/: makefile.cpu, setjump.inc, setjumph.inc, sparc.inc:
	
	  + sparc specific rtl skeleton added

2002-11-16 16:37  marco <marcov@stack.nl>

	* rtl/linux/i386/: syscall.inc, syscallh.inc:
	
	 * TSysParam + result moved to -h

2002-11-15 13:08  mazen <mazen@freepascal.org>

	* rtl/linux/sparc/: cprt0.as, cprt21.as, dllprt0.as, gprt0.as,
	prt0.as, syscall.inc:
	
	+ SPARC support added based on PowerPc sources

2002-11-14 22:16  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/doscalls.pas:
	
	  * corruption from the last commit corrected

2002-11-14 17:48  marco <marcov@stack.nl>

	* rtl/linux/posfuncs.inc:
	
	 * Initial version

2002-11-14 14:25  marco <marcov@stack.nl>

	* rtl/bsd/bsdfuncs.inc:
	
	 * Fix setitimer.

2002-11-14 13:40  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/thread.inc:
	
	  * the BeginThread() variant that allowed you to specify the
	stacksize
	    still passed DefaultStackSize to the OS-specific routines

2002-11-14 13:34  marco <marcov@stack.nl>

	* rtl/bsd/bsdfuncs.inc:
	
	 * took out the generic sethandling.

2002-11-14 13:20  marco <marcov@stack.nl>

	* rtl/unix/gensigset.inc:
	
	 * initial version, taken from bsdfunc.inc, since both linux and
	bsd use it

2002-11-14 13:18  marco <marcov@stack.nl>

	* rtl/posix/sysposix.inc:
	
	 * fixed sys_time call to (NIL)

2002-11-14 13:17  marco <marcov@stack.nl>

	* rtl/posix/posix.pp:
	
	 * for now.

2002-11-13 23:54  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/todo-os2.txt:
	
	  * loaders for native target added

2002-11-13 21:33  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/todo-os2.txt:
	
	  * slight correction

2002-11-13 19:15  marco <marcov@stack.nl>

	* rtl/bsd/: bsdfuncs.inc, bsdsysc.inc:
	
	 * sigset functions more flexible, small changes to sys_time

2002-11-13 19:14  marco <marcov@stack.nl>

	* rtl/freebsd/ptypes.inc:
	
	 * ptime_t

2002-11-12 16:31  marco <marcov@stack.nl>

	* rtl/linux/posmacro.inc:
	
	 * Killed octal codes for 1.0.x compilability.

2002-11-12 15:57  marco <marcov@stack.nl>

	* rtl/bsd/system.pp:
	
	 * Ugly hack to temporarily be able to use system.pp for Linux too

2002-11-12 15:52  marco <marcov@stack.nl>

	* rtl/linux/syscall.inc:
	
	 * renamed to (1) syscallo.inc (temporarily for old rtl)
	rtl/target/syscall.inc (for new rtl)

2002-11-12 15:51  marco <marcov@stack.nl>

	* rtl/linux/signal.inc:
	
	 * signal.

2002-11-12 15:46  marco <marcov@stack.nl>

	* rtl/linux/sysnr.inc:
	
	 * 2.4.18 version.

2002-11-12 15:40  marco <marcov@stack.nl>

	* rtl/linux/linsysc.inc:
	
	 * The syscall core of the new system unit.

2002-11-12 15:37  marco <marcov@stack.nl>

	* rtl/linux/: osposix.inc, osposixh.inc, ostypes.inc, posmacro.inc:
	
	 * Parts of new unix rtl

2002-11-12 15:28  marco <marcov@stack.nl>

	* rtl/linux/ptypes.inc:
	
	 * some updates

2002-11-12 15:19  marco <marcov@stack.nl>

	* rtl/bsd/bsdmacro.inc:
	
	 * fixes to macro

2002-11-12 14:31  marco <marcov@stack.nl>

	* rtl/linux/i386/syscall.inc:
	
	 * New syscall.inc

2002-11-11 22:41  marco <marcov@stack.nl>

	* rtl/unix/systhrds.pp:
	
	 * syscall.inc -> syscallo.inc

2002-11-11 22:40  marco <marcov@stack.nl>

	* rtl/linux/: syscallo.inc, syscalls.inc:
	
	 * rename syscall.inc -> syscallo.inc

2002-11-11 21:55  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmwin.pas:
	
	  * WinCreateWindow correction + overloaded variant added

2002-11-09 23:39  marco <marcov@stack.nl>

	* rtl/linux/ctypes.inc:
	
	 * first version

2002-11-09 21:32  marco <marcov@stack.nl>

	* rtl/linux/powerpc/syscall.inc:
	
	 * powerpc version. Threadsafe errno access not yet done.

2002-11-07 16:23  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * always use code that was between 'ifdef mt', since that define
	is
	    deprecated now

2002-11-04 22:22  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/doscalls.pas:
	
	  + DosProtect* functions added, first part of longint->cardinal
	fixes

2002-11-04 13:19  marco <marcov@stack.nl>

	* rtl/win32/: windows.pp, wininc/struct.inc:
	
	 * Move tmsg and family to messages.inc. windows.pp needed include
	sequence patch

2002-11-04 13:17  marco <marcov@stack.nl>

	* rtl/win32/wininc/messages.inc:
	
	 * Added some of the tmsg/tmessage records.

2002-11-02 14:26  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmgpi.pas:
	
	  * Gpi*Palette* parameters corrected

2002-11-02 12:38  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: code2.as, code3.as:
	
	  - not needed any more

2002-11-02 12:25  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: Makefile, Makefile.fpc:
	
	  + PM spooler interface added

2002-11-02 12:19  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmspl.pas:
	
	  - DosCalls removed from uses clause (not needed)

2002-11-02 12:16  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmbitmap.pas:
	
	  + PMPIC.DLL functions added

2002-11-02 12:15  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/os2def.pas:
	
	  + comments and MSG lookup strings added

2002-11-02 11:58  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/todo-os2.txt:
	
	  - objinc.inc not needed any more

2002-11-01 18:38  peter <peter@freepascal.org>

	* rtl/inc/heap.inc:
	
	  * fix setmemorymutexmanager to call mutexdone on the already
	    installed manager instead of the passed manager

2002-11-01 14:27  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * changed "dcbtst r0,x" to "dcbtst 0,x"

2002-10-31 16:17  carl <carl@freepascal.org>

	* rtl/win32/system.pp:
	
	  * always allocate argument even if its empty (bugfix web bug
	2202)

2002-10-31 14:45  carl <carl@freepascal.org>

	* rtl/: unix/systhrds.pp, win32/systhrds.pp, inc/threadvr.inc,
	inc/threadvar.inc:
	
	  * threadvar.inc -> threadvr.inc

2002-10-31 14:08  carl <carl@freepascal.org>

	* rtl/inc/objects.pp:
	
	  * forgot to init P buffer variable = crash

2002-10-31 13:47  carl <carl@freepascal.org>

	* rtl/inc/objects.pp:
	
	  * more compatibility fixes for objects unit

2002-10-30 23:44  carl <carl@freepascal.org>

	* rtl/inc/objects.pp:
	
	  * Bugfix for error checking
	  - DosStreamError is no longer global (bugfix 2043)

2002-10-30 21:39  peter <peter@freepascal.org>

	* rtl/inc/: heap.inc, heaph.inc, heaptrc.pp:
	
	  * MemoryManager record has a field NeedLock if the wrapper
	functions
	    need to provide locking for multithreaded programs

2002-10-30 20:54  peter <peter@freepascal.org>

	* rtl/inc/heap.inc:
	
	  * remove wrong lock from SysMemSize, MemSize() does the locking
	    already.

2002-10-29 17:47  marco <marcov@stack.nl>

	* rtl/linux/ptypes.inc:
	
	 * Linux versions

2002-10-28 17:05  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmspl.pas:
	
	  + PM spooler interface added

2002-10-27 18:21  marco <marcov@stack.nl>

	* rtl/: bsd/bsdfuncs.inc, bsd/bsdsysc.inc, bsd/bsdtypes.inc,
	bsd/osposix.inc, bsd/osposixh.inc, freebsd/ptypes.inc,
	freebsd/sysnr.inc, posix/sysposix.inc, unix/posixunx.inc:
	
	 * Only "difficult" functions + execvp + termios + rewinddir left
	to do

2002-10-27 15:29  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  * heap management (hopefully) fixed

2002-10-27 14:16  marco <marcov@stack.nl>

	* rtl/unix/posixunx.inc:
	
	 * Routines that certainly will be shared between Linux and *BSD

2002-10-27 12:58  marco <marcov@stack.nl>

	* rtl/bsd/: bsdfuncs.inc, bsdsysc.inc, bsdsysch.inc, bsdtypes.inc,
	osposix.inc, osposixh.inc, readme.txt, sysbsd.pp, system.pp:
	
	 * Modifications from Saturday.

2002-10-26 20:27  marco <marcov@stack.nl>

	* rtl/: bsd/bsdfuncs.inc, bsd/bsdmacro.inc, bsd/bsdsysc.inc,
	bsd/bsdsysch.inc, bsd/osposix.inc, bsd/system.pp, freebsd/Makefile,
	freebsd/Makefile.fpc, freebsd/signal.inc, freebsd/sysnr.inc,
	posix/sysposix.inc, unix/systhrds.pp:
	
	 * First series POSIX calls commits. Including getcwd.

2002-10-26 16:33  jonas <jonas.maebe@rug.ac.be>

	* rtl/bsd/powerpc/syscall.inc:
	
	  + initial version

2002-10-25 17:46  marco <marcov@stack.nl>

	* rtl/bsd/bsdfuncs.inc:
	
	 * Should be alias.

2002-10-23 19:34  peter <peter@freepascal.org>

	* rtl/linux/errno.inc:
	
	  * duplicate with errno.inc in unix

2002-10-23 17:29  olle

	* rtl/macos/system.pp:
	
	  + added switch MAC_SYS_RUNABLE
	  + added include of system.h etc
	  + added standard globals
	  + added dummy hook procedures

2002-10-23 17:26  olle

	* rtl/powerpc/powerpc.inc:
	
	  * excluded saverestorereg for target macos

2002-10-22 23:57  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/: fina.inc, finah.inc:
	
	+ Added some missing path functions

2002-10-21 21:52  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/: astrings.inc, sstrings.inc:
	
	  * fixed some buffer overflow errors in SetString (both short and
	    ansistring versions) (merged)

2002-10-21 20:08  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/math.inc:
	
	  * round has int64 instead of longint result

2002-10-20 15:40  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * move/fill*/index*/comp* routines immediately exit if length is
	negative

2002-10-20 14:59  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/astrings.inc:
	
	  * fixed ansistring append helpers so they preserve the
	terminating #0
	  * optimized SetLength() so that it uses reallocmem in case the
	refcount
	    of the target string is 1

2002-10-20 14:00  carl <carl@freepascal.org>

	* rtl/: amiga/Makefile, amiga/Makefile.fpc, amiga/objinc.inc,
	amiga/system.pas, atari/objinc.inc, atari/system.pas,
	beos/Makefile, beos/Makefile.fpc, freebsd/Makefile,
	freebsd/Makefile.fpc, go32v2/Makefile, go32v2/Makefile.fpc,
	go32v2/objinc.inc, linux/Makefile, linux/Makefile.fpc,
	netware/Makefile, netware/Makefile.fpc, netware/objinc.inc,
	os2/Makefile, os2/Makefile.fpc, os2/objinc.inc, posix/objinc.inc,
	unix/objinc.inc, win32/Makefile, win32/Makefile.fpc:
	
	  - remove objinc.inc (unused file)
	  * update makefiles accordingly

2002-10-20 13:53  carl <carl@freepascal.org>

	* rtl/m68k/setjumph.inc:
	
	  * make the jmp_buf record packed, just in case

2002-10-20 13:51  carl <carl@freepascal.org>

	* rtl/inc/generic.inc:
	
	 * avoid crashes with negative len counts on fills/moves
	 * movechar0 was wrong and did not do the behavior as
	   described in docs

2002-10-20 13:50  carl <carl@freepascal.org>

	* rtl/i386/i386.inc:
	
	 * avoid crashes with negative len counts on fills/moves

2002-10-19 19:06  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/: astrings.inc, sstrings.inc:
	
	+ Added check for nil buffer to setstring

2002-10-19 17:53  peter <peter@freepascal.org>

	* rtl/inc/objpas.inc:
	
	  * 'inlined' some more calls

2002-10-19 00:01  carl <carl@freepascal.org>

	* rtl/atari/dos.pp:
	
	file dos.pp was initially added on branch FIXES_1_0_0.

2002-10-18 22:11  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: Makefile, Makefile.fpc:
	
	  + pmdev added

2002-10-18 20:08  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmdev.pas:
	
	  + first version

2002-10-18 20:05  marco <marcov@stack.nl>

	* rtl/unix/systhrds.pp:
	
	 * $I pthread.inc instead of pthreads.inc

2002-10-18 20:03  marco <marcov@stack.nl>

	* rtl/linux/pthread.inc:
	
	 * From the original systhrds code.
	   Turned out to be not entirely the same as *BSD's (constants with
	   different names, existing and non existing constants), so I
	decided to
	   make it platform dependant.

2002-10-18 19:37  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmstddlg.pas:
	
	  * headers corrected

2002-10-18 14:19  marco <marcov@stack.nl>

	* rtl/: bsd/bsdsysc.inc, bsd/bsdsysch.inc, bsd/system.pp,
	freebsd/Makefile, freebsd/Makefile.fpc, freebsd/signal.inc,
	freebsd/unixsysc.inc, unix/systhrds.pp:
	
	 * Fixes to get the generic *BSD RTL compiling again + fixes for
	thread
	   support. Still problems left in fexpand. (inoutres?) Therefore
	fixed
	   sysposix not yet commited

2002-10-17 20:54  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmhelp.pas:
	
	  + added missing CVS log

2002-10-17 20:51  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/Makefile.fpc:
	
	  + pmhelp added

2002-10-17 20:41  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: Makefile, Makefile.fpc:
	
	  + pmhelp added

2002-10-17 20:39  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmhelp.pas:
	
	  * pmwin removed from uses clause

2002-10-17 20:38  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmhelp.pas:
	
	  * pmbitmap removed from uses clause

2002-10-17 20:34  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmhelp.pas:
	
	  + initial version of GUI help support

2002-10-17 14:43  florian <florian@freepascal.org>

	* rtl/inc/: astrings.inc, compproc.inc:
	
	  + ansistring_append* implemented

2002-10-17 12:14  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/: set.inc, strpas.inc:
	
	  * fixed srwi's after cntlzw instructions (should be 5 instead of
	31)

2002-10-17 12:12  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed return value of declocked()

2002-10-16 21:04  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/: thread.inc, threadh.inc, threadvar.inc:
	
	+ More system-independent thread routines

2002-10-16 20:50  marco <marcov@stack.nl>

	* rtl/freebsd/signal.inc:
	
	 * sigset back at 16 bytes

2002-10-16 20:44  marco <marcov@stack.nl>

	* rtl/bsd/bsdsysc.inc:
	
	 * Lseek and ftruncate 64-bit fix

2002-10-16 20:44  marco <marcov@stack.nl>

	* rtl/bsd/i386/: syscall.inc, syscallh.inc:
	
	 * and again for ftruncate (sigh)

2002-10-16 20:41  marco <marcov@stack.nl>

	* rtl/bsd/i386/: syscall.inc, syscallh.inc:
	
	 * the 7 param syscall (for lseek and truncate) now returns a
	int64.

2002-10-16 08:27  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/: systhrds.pp, threads.pp, Makefile, Makefile.fpc:
	
	+ Renamed thread unit to systhrds

2002-10-16 08:22  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/: systhrds.pp, threads.pp:
	
	Threads renamed from threads to systhrds

2002-10-16 08:21  michael <michael.vancanneyt@wisa.be>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	+ Renamed threads unit

2002-10-15 21:30  peter <peter@freepascal.org>

	* rtl/unix/sysunixh.inc:
	
	  * remove threadh.inc include

2002-10-15 21:29  peter <peter@freepascal.org>

	* rtl/inc/objpas.inc:
	
	  * manual inline classparent calls in the loops

2002-10-15 21:24  carl <carl@freepascal.org>

	* rtl/i386/i386.inc:
	
	  * Replace 220 -> 219

2002-10-14 22:40  florian <florian@freepascal.org>

	* rtl/win32/system.pp:
	
	  * InitFPU renamed to SysResetFPU

2002-10-14 21:39  peter <peter@freepascal.org>

	* rtl/linux/syscall.inc:
	
	  * syscall moved into seperate include

2002-10-14 21:39  peter <peter@freepascal.org>

	* rtl/: go32v2/dpmiexcp.pp, go32v2/system.pp, i386/i386.inc,
	inc/except.inc, inc/generic.inc, inc/heap.inc, inc/heaph.inc,
	inc/system.inc, inc/systemh.inc, inc/thread.inc, inc/threadh.inc,
	inc/threadvar.inc, linux/Makefile, linux/Makefile.fpc,
	linux/syscalls.inc, os2/system.pas, unix/sysunix.inc,
	unix/thread.inc, unix/threads.pp, win32/Makefile,
	win32/Makefile.fpc, win32/system.pp, win32/thread.inc,
	win32/threads.pp:
	
	  * threads unit added for thread support

2002-10-14 20:37  peter <peter@freepascal.org>

	* rtl/unix/mouse.pp:
	
	  * use Unix unit

2002-10-14 19:18  florian <florian@freepascal.org>

	* rtl/win32/wininc/redef.inc:
	
	  + some critical section related stuff added

2002-10-13 17:47  carl <carl@freepascal.org>

	* rtl/inc/softfpu.pp:
	
	   * bugfix for int64 to float conversion

2002-10-13 17:35  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/todo-os2.txt:
	
	  * todo updates

2002-10-13 17:25  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/doscalls.pas:
	
	  * More DosOpen fixes

2002-10-13 16:01  florian <florian@freepascal.org>

	* rtl/win32/: Makefile, Makefile.fpc:
	
	  * win32 rtl is multi threaded by default now

2002-10-13 11:28  florian <florian@freepascal.org>

	* rtl/: go32v2/system.pp, netware/system.pp, os2/system.pas,
	win32/system.pp:
	
	  + call to initvariantmanager inserted

2002-10-13 11:25  florian <florian@freepascal.org>

	* rtl/: amiga/system.pas, atari/system.pas, beos/system.pp,
	bsd/system.pp:
	
	  + call to initvariantmanager inserted

2002-10-13 11:20  peter <peter@freepascal.org>

	* rtl/unix/sysunix.inc:
	
	  * added initvariantmanager

2002-10-12 22:32  carl <carl@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * RunError 220 -> RunError 219 to be more consistent with as
	operator

2002-10-12 22:28  carl <carl@freepascal.org>

	* rtl/inc/genmath.inc:
	
	  * round returns int64

2002-10-12 22:24  carl <carl@freepascal.org>

	* rtl/inc/softfpu.pp:
	
	  + int64_tof_loat conversion routines

2002-10-12 21:36  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/doscalls.pas:
	
	  * compatibility updates and corrections

2002-10-12 19:08  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: Makefile, Makefile.fpc:
	
	  - code2 and code3 not needed any more

2002-10-12 17:34  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/fina.inc:
	
	+ Fixed changefileexit for long (>255) filenames

2002-10-11 16:05  florian <florian@freepascal.org>

	* rtl/inc/objpas.inc:
	
	  * initinterfacepointers improved

2002-10-11 14:21  florian <florian@freepascal.org>

	* rtl/objpas/varutils.inc:
	
	  * fixes for new widestring handling

2002-10-11 11:40  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/wininc/func.inc:
	
	+ Fixed globalmemorystatus (bug 2076)

2002-10-11 11:37  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/wininc/func.inc:
	
	+ Fixed getlocaltime incompatibility (bug 2075)

2002-10-11 11:20  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/wininc/defines.inc:
	
	+ Added missing version strings

2002-10-10 21:44  florian <florian@freepascal.org>

	* rtl/macos/system.pp:
	
	  * changes from Olle to compile/link a simple program

2002-10-10 21:24  florian <florian@freepascal.org>

	* rtl/inc/: compproc.inc, variant.inc, varianth.inc:
	
	  + write(ln) support for variants added

2002-10-10 21:20  florian <florian@freepascal.org>

	* rtl/win32/varutils.pp:
	
	  * unit is now smartlinked by default to avoid problems with an
	old oleauth.dll

2002-10-10 18:11  florian <florian@freepascal.org>

	* rtl/win32/: Makefile, Makefile.fpc:
	
	  + comobj unit added

2002-10-10 18:10  florian <florian@freepascal.org>

	* rtl/win32/: wininc/objbase.inc, activex.pp:
	
	  + declarations of objbase.h added

2002-10-10 18:09  florian <florian@freepascal.org>

	* rtl/: objpas/comobj.inc, objpas/comobjh.inc, win32/comobj.pp:
	
	  + initial revision

2002-10-10 18:08  florian <florian@freepascal.org>

	* rtl/inc/: compproc.inc, generic.inc, wstrings.inc:
	
	  + several widestring/pwidechar related helpers added

2002-10-10 16:58  florian <florian@freepascal.org>

	* rtl/win32/windows.pp:
	
	  - removed conditionals for 0.99.14

2002-10-09 22:45  florian <florian@freepascal.org>

	* rtl/win32/wininc/base.inc:
	
	  - NULL definition removed, the system unit contains now a NULL
	variant

2002-10-09 22:24  florian <florian@freepascal.org>

	* rtl/inc/dynarr.inc:
	
	  + range checking for dyn. arrays

2002-10-09 22:13  florian <florian@freepascal.org>

	* rtl/inc/variant.inc:
	
	  * hopefully last fix to get things working :/

2002-10-09 21:56  florian <florian@freepascal.org>

	* rtl/inc/variant.inc:
	
	  * variant assignments don't work yet, commented out

2002-10-09 21:08  florian <florian@freepascal.org>

	* rtl/inc/: variant.inc, varianth.inc:
	
	  + Variant constants Unassigned and Null added

2002-10-09 18:10  carl <carl@freepascal.org>

	* rtl/inc/objects.pp:
	
	  - removed OS depedencies

2002-10-08 22:07  carl <carl@freepascal.org>

	* rtl/inc/softfpu.pp:
	
	  * fix range check errors
	  - overflow checking must be off always
	  * debugged and works as expected

2002-10-08 19:13  jonas <jonas.maebe@rug.ac.be>

	* rtl/win32/wininc/defines.inc:
	
	  * changed value of FILE_FLAG_WRITE_THROUGH to hex notation
	because it
	    was equal to MAX_LONGINT + 1 -> parsed as a float

2002-10-07 21:43  florian <florian@freepascal.org>

	* rtl/objpas/: sysansi.inc, sysansih.inc, sysutilh.inc,
	sysutils.inc:
	
	  + empty prototypes for the AnsiStr* multi byte functions added

2002-10-07 17:15  florian <florian@freepascal.org>

	* rtl/inc/genmath.inc:
	
	  * fixed wrong commit

2002-10-07 17:10  florian <florian@freepascal.org>

	* rtl/inc/: genmath.inc, variant.inc, varianth.inc:
	
	  + variant wrappers for cmp operators added

2002-10-07 12:27  florian <florian@freepascal.org>

	* rtl/inc/: variant.inc, varianth.inc:
	
	  + more variant wrappers added

2002-10-07 00:13  florian <florian@freepascal.org>

	* rtl/inc/: variant.inc, varianth.inc:
	
	  * wrappers for xor, or and and operator with variants added

2002-10-06 23:26  peter <peter@freepascal.org>

	* rtl/: i386/math.inc, inc/mathh.inc:
	
	  * round returns int64

2002-10-06 22:00  peter <peter@freepascal.org>

	* rtl/win32/: crt.pp, video.pp, wininc/base.inc,
	wininc/defines.inc:
	
	  * Use Widechar in the Windows unit

2002-10-06 21:11  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: Makefile, Makefile.fpc:
	
	  * pmstddlg compilation added

2002-10-06 21:06  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/Makefile.fpc:
	
	  * pmstddlg compilation added

2002-10-06 15:56  carl <carl@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  - remove stack checking for every target in system unit

2002-10-06 14:50  carl <carl@freepascal.org>

	* rtl/template/math.inc:
	
	  * replaced by genmath.inc

2002-10-06 00:41  carl <carl@freepascal.org>

	* rtl/amiga/sysutils.pp:
	
	file sysutils.pp was initially added on branch FIXES_1_0_0.

2002-10-05 21:12  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmwin.pas:
	
	  * PMERR constants made available from outside

2002-10-05 21:09  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/doscalls.pas:
	
	  * code2.as + code3.as not needed any more

2002-10-05 20:35  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmstddlg.pas:
	
	  * mistyping corrected

2002-10-05 20:33  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmstddlg.pas:
	
	  + Finally made usable by Yuri Prokushev

2002-10-05 17:19  carl <carl@freepascal.org>

	* rtl/inc/heaptrc.pp:
	
	   * bugfix of assigning to external filename output

2002-10-05 16:20  peter <peter@freepascal.org>

	* rtl/: i386/i386.inc, inc/compproc.inc, inc/generic.inc,
	powerpc/powerpc.inc:
	
	  * fpc_pchar_length compilerproc and strlen alias

2002-10-04 18:41  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/real2str.inc:
	
	  * fixed web bug 2131

2002-10-02 23:34  florian <florian@freepascal.org>

	* rtl/macos/system.pp:
	
	  * first dummy implementation

2002-10-02 23:17  florian <florian@freepascal.org>

	* rtl/win32/sysutils.pp:
	
	  * we've to reimport TSystemTime time from the windows unit

2002-10-02 23:04  peter <peter@freepascal.org>

	* rtl/objpas/datih.inc:
	
	  * For win32 use the tsystemtime from the windows unit, that is
	changed
	    to a variant record with compatibile field names

2002-10-02 23:03  peter <peter@freepascal.org>

	* rtl/win32/wininc/struct.inc:
	
	  * TSystemTime fpc compatibility parameters added as variant
	record

2002-10-02 21:30  florian <florian@freepascal.org>

	* rtl/win32/wininc/func.inc:
	
	  + GetSystemTime with var parameter added

2002-10-02 20:21  peter <peter@freepascal.org>

	* rtl/: i386/i386.inc, inc/astrings.inc, inc/compproc.inc,
	inc/dynarr.inc, inc/generic.inc, inc/sstrings.inc, inc/systemh.inc,
	inc/wstrings.inc, powerpc/powerpc.inc:
	
	  * Copy() changed to internal function calling compilerprocs
	  * FPC_SHORTSTR_COPY renamed to FPC_SHORTSTR_ASSIGN because of the
	    new copy functions

2002-09-28 23:18  florian <florian@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * map comp to int64 for the powerpc

2002-09-27 23:10  carl <carl@freepascal.org>

	* rtl/inc/: compproc.inc, generic.inc:
	
	  * fix 2GB limit problem

2002-09-26 23:50  florian <florian@freepascal.org>

	* rtl/inc/: systemh.inc, wstrings.inc:
	
	  + some WideString<->AnsiString conversion functions added

2002-09-26 20:54  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/objinc.inc:
	
	  * FileOpen fixed

2002-09-26 16:43  florian <florian@freepascal.org>

	* rtl/inc/objpash.inc:
	
	  + tvarrec field vcurrency for compilers with hascurrency released

2002-09-26 12:38  florian <florian@freepascal.org>

	* rtl/win32/wininc/func.inc:
	
	  + added RedrawWindow with LPRECT as second parameter

2002-09-23 20:55  hajny <xhajt03@mbox.vol.cz>

	* rtl/i386/mmx.pp:
	
	  * Opcode syntax corrected

2002-09-23 20:25  hajny <xhajt03@mbox.vol.cz>

	* rtl/i386/mmx.pp:
	
	  * femms replaced with opcode to allow older as

2002-09-23 19:42  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/sysutils.pp:
	
	  * AnsiString to PChar typecast

2002-09-22 20:44  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/doscalls.pas:
	
	  * Compatibilty mode for DateTime fields

2002-09-22 18:04  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/objinc.inc:
	
	  * correction for THandle length change

2002-09-18 20:32  carl <carl@freepascal.org>

	* rtl/inc/system.inc:
	
	  * assert now halts with exitcode 227 (as Delphi does)

2002-09-16 21:10  carl <carl@freepascal.org>

	* rtl/inc/softfpu.pp:
	
	  * first revision of FPU emulation

2002-09-16 17:42  peter <peter@freepascal.org>

	* rtl/: freebsd/Makefile, freebsd/Makefile.fpc, go32v2/Makefile,
	go32v2/Makefile.fpc, linux/Makefile, linux/Makefile.fpc,
	os2/Makefile, os2/Makefile.fpc, win32/Makefile, win32/Makefile.fpc:
	
	  * Add ucomplex and charset units

2002-09-15 19:53  peter <peter@freepascal.org>

	* rtl/win32/: opengl32.pp, wininc/ascdef.inc, wininc/ascfun.inc,
	wininc/base.inc, wininc/func.inc, wininc/struct.inc,
	wininc/unidef.inc, wininc/unifun.inc:
	
	  * Remove Float type, use Single instead

2002-09-15 19:52  peter <peter@freepascal.org>

	* rtl/unix/mouse.pp:
	
	  * Updates from the fixes branch

2002-09-15 19:50  peter <peter@freepascal.org>

	* rtl/objpas/sysstr.inc:
	
	  * Fixed AnsiStrComp crashes

2002-09-15 12:03  carl <carl@freepascal.org>

	* rtl/: powerpc/setjumph.inc, i386/setjumph.inc:
	
	  * make the record packed (just in case)

2002-09-14 13:20  carl <carl@freepascal.org>

	* rtl/inc/: astrings.inc, sstrings.inc, wstrings.inc:
	
	  * Delphi compatibility fix (with string routines)

2002-09-13 21:13  carl <carl@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * FPC_HELP_FAIL : reset _self to nil

2002-09-13 15:03  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/linux.pp:
	
	  * fixed buffer overflow error in StringToPPChar(), detected using
	    DIOTA (http://www.elis/rug.ac.be/~ronsse/diota) (which I also
	work on :)
	    (merged)

2002-09-11 09:49  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/: strings.inc, stringss.inc, strlen.inc, strpas.inc:
	
	  * fixed assembler errors

2002-09-10 23:32  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/syscalls.inc:
	
	  + added "nop" after sc instruction, since normally in case of
	success,
	    sc returns to the second instruction after itself

2002-09-10 23:30  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * disabled powerpc-specific fpc_shortstr_concat for now, it was
	    completely wrong

2002-09-10 23:29  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/generic.inc:
	
	  * added some missing compilerproc directives

2002-09-10 19:47  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed bug with concatting 0-length shortstrings

2002-09-10 12:38  pierre <muller@cerbere.u-strasbg.fr>

	* rtl/go32v2/crt.pp:
	
	 * merged from fixes: fix bug report 1974

2002-09-09 17:45  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/heaptrc.pp:
	
	  * made result type of calculate_release_sig() a longword instead
	of a
	    longint

2002-09-08 18:20  marco <marcov@stack.nl>

	* rtl/bsd/bsdfuncs.inc:
	
	 * Forgot external name's

2002-09-08 18:11  marco <marcov@stack.nl>

	* rtl/bsd/bsdfuncs.inc:
	
	 * Added GetDomainName and that other one ..

2002-09-08 17:29  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/syscalls.inc:
	
	  + added sys_readdir code from OpenBSD in fixes branch

2002-09-08 17:15  marco <marcov@stack.nl>

	* rtl/bsd/bsduname.inc:
	
	 * Renamed to bsdfunc, since more funcs will follow

2002-09-08 15:00  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/math.inc:
	
	  * made pi an internproc instead of internconst

2002-09-08 11:16  jonas <jonas.maebe@rug.ac.be>

	* rtl/go32v2/: exceptn.as, fpu.as, v2prt0.as:
	
	  * added closing of comment for logs to avoid warning

2002-09-08 11:06  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/signal.inc:
	
	  + initial revision, h2pas of sys/signal.h

2002-09-08 11:00  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/ptypes.inc:
	
	  + initial revision, simply copied from FreeBSD

2002-09-08 11:00  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/: errno.inc, powerpc/signal.inc:
	
	  + initial revision

2002-09-07 23:32  carl <carl@freepascal.org>

	* rtl/: go32v2/system.pp, i386/mmx.pp, i386/i386.inc:
	
	  - removed unused defines

2002-09-07 23:30  carl <carl@freepascal.org>

	* rtl/go32v2/msmouse.pp:
	
	  - removed mousecheck define

2002-09-07 23:28  carl <carl@freepascal.org>

	* rtl/win32/: Makefile, Makefile.fpc, objinc.inc, signals.pp,
	system.pp, winsock.pp:
	
	  - removed os_types
	  * fix range check errors

2002-09-07 23:22  carl <carl@freepascal.org>

	* rtl/inc/makefile.inc:
	
	  - removed os_types

2002-09-07 23:21  carl <carl@freepascal.org>

	* rtl/inc/int64.inc:
	
	  - remove FPUInt64 variable

2002-09-07 23:20  carl <carl@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * cardinal -> longword
	  - remove FPUInt64 variable

2002-09-07 23:16  carl <carl@freepascal.org>

	* rtl/inc/: wstrings.inc, sstrings.inc:
	
	  * cardinal -> longword

2002-09-07 23:15  carl <carl@freepascal.org>

	* rtl/inc/objects.pp:
	
	  - some cleanup (less ifdef)

2002-09-07 23:10  carl <carl@freepascal.org>

	* rtl/inc/: astrings.inc, compproc.inc:
	
	  * cardinal -> longword
	  - remove some unused routines

2002-09-07 23:08  carl <carl@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * cardinal -> longword
	  - remove generic boundcheck (does not exist in v1.1)

2002-09-07 23:06  carl <carl@freepascal.org>

	* rtl/objpas/dati.inc:
	
	  * bugfix 1867 (merged)

2002-09-07 23:06  carl <carl@freepascal.org>

	* rtl/objpas/math.pp:
	
	  * cleanup of parameters
	  - remove assembler code

2002-09-07 21:55  carl <carl@freepascal.org>

	* rtl/inc/os_types.pp:
	
	  - remove unused file

2002-09-07 18:01  peter <peter@freepascal.org>

	* rtl/: amiga/crt.pp, amiga/dos.pp, amiga/exec.inc, amiga/exec.pp,
	amiga/graph.pp, amiga/objinc.inc, amiga/os.inc, amiga/printer.pp,
	amiga/system.pas, atari/objinc.inc, atari/os.inc, atari/system.pas,
	beos/Makefile.fpc, beos/dos.pp, beos/sysfiles.inc, beos/system.pp,
	beos/sysutils.pp, bsd/bsdfuncs.inc, bsd/bsdmacro.inc,
	bsd/bsdsysc.inc, bsd/bsdtypes.inc, bsd/bsduname.inc,
	bsd/osposix.inc, bsd/osposixh.inc, bsd/sysctl.pp, bsd/system.pp,
	bsd/i386/syscall.inc, bsd/i386/syscallh.inc, darwin/syscalls.inc,
	darwin/sysnr.inc, darwin/systypes.inc, darwin/powerpc/crt0.o,
	fakertl/objpas.pp, fakertl/system.pp, freebsd/Makefile.fpc,
	freebsd/bsdport.txt, freebsd/console.pp, freebsd/errno.inc,
	freebsd/ptypes.inc, freebsd/signal.inc, freebsd/syscalls.inc,
	freebsd/sysconst.inc, freebsd/sysctlh.inc, freebsd/sysnr.inc,
	freebsd/systypes.inc, freebsd/termios.inc, freebsd/unixsock.inc,
	freebsd/unixsysc.inc, go32v2/Makefile.fpc, go32v2/crt.pp,
	go32v2/dos.pp, go32v2/dpmi.inc, go32v2/dpmiexcp.pp,
	go32v2/dxeload.pp, go32v2/emu387.pp, go32v2/exceptn.as,
	go32v2/fpu.as, go32v2/go32.pp, go32v2/graph.pp, go32v2/initc.pp,
	go32v2/keyboard.pp, go32v2/mouse.pp, go32v2/msmouse.pp,
	go32v2/objinc.inc, go32v2/ports.pp, go32v2/printer.pp,
	go32v2/profile.pp, go32v2/sbrk16.asm, go32v2/system.pp,
	go32v2/sysutils.pp, go32v2/thread.inc, go32v2/v2prt0.as,
	go32v2/varutils.pp, go32v2/vesa.inc, go32v2/vesah.inc,
	go32v2/vesamode.pp, go32v2/video.pp, i386/cpu.pp, i386/i386.inc,
	i386/math.inc, i386/mmx.pp, i386/readme, i386/set.inc,
	i386/setjump.inc, i386/setjumph.inc, i386/strings.inc,
	i386/stringss.inc, i386/strlen.inc, i386/strpas.inc,
	i386/sysutilp.inc, i386/typinfo.inc, linux/Makefile.fpc,
	linux/errno.inc, linux/signal.inc, linux/syscalls.inc,
	linux/sysconst.inc, linux/sysnr.inc, linux/system.pp,
	linux/systypes.inc, linux/termios.inc, linux/unixsock.inc,
	linux/unixsysc.inc, linux/i386/cprt0.as, linux/i386/cprt21.as,
	linux/i386/dllprt0.as, linux/i386/gprt0.as, linux/i386/gprt21.as,
	linux/i386/prt0.as, linux/i386/prt0_10.as, linux/i386/signal.inc,
	linux/powerpc/cprt0.as, linux/powerpc/cprt21.as,
	linux/powerpc/dllprt0.as, linux/powerpc/gprt0.as,
	linux/powerpc/prt0.as, m68k/lowmath.inc, m68k/m68k.inc,
	m68k/math.inc, m68k/set.inc, m68k/setjump.inc, m68k/setjumph.inc,
	netbsd/ptypes.inc, netware/Makefile.fpc, netware/aio.pp,
	netware/compile.cmd, netware/dos.pp, netware/errno.inc,
	netware/keyboard.pp, netware/mouse.pp, netware/netware.pp,
	netware/nwpre.pp, netware/nwsys.inc, netware/objinc.inc,
	netware/qos.inc, netware/sockets.pp, netware/system.pp,
	netware/sysutils.pp, netware/thread.inc, netware/varutils.pp,
	netware/video.pp, netware/winsock2.pp, netware/demos/check.pp,
	objpas/cvarutil.inc, objpas/dati.inc, objpas/datih.inc,
	objpas/diskh.inc, objpas/filutilh.inc, objpas/fina.inc,
	objpas/finah.inc, objpas/math.pp, objpas/objpas.pp,
	objpas/osutilsh.inc, objpas/stre.inc, objpas/strg.inc,
	objpas/sysinth.inc, objpas/syspch.inc, objpas/syspchh.inc,
	objpas/sysstr.inc, objpas/sysstrh.inc, objpas/systhrdh.inc,
	objpas/sysutilh.inc, objpas/sysutils.inc, objpas/typinfo.pp,
	objpas/varutilh.inc, objpas/varutils.inc, openbsd/ptypes.inc,
	openbsd/sysctlh.inc, os2/Makefile.fpc, os2/dive.pas, os2/dos.pas,
	os2/doscalls.pas, os2/dynlibs.inc, os2/kbdcalls.pas,
	os2/keyboard.pp, os2/moncalls.pas, os2/moucalls.pas, os2/mouse.pp,
	os2/objinc.inc, os2/os2def.pas, os2/pmbitmap.pas, os2/pmgpi.pas,
	os2/pmwin.pas, os2/ports.pas, os2/printer.pas, os2/system.pas,
	os2/sysutils.pp, os2/thread.inc, os2/varutils.pp, os2/video.pp,
	os2/viocalls.pas, os2/tests/pmdemo1.h, os2/tests/pmdemo1.pp,
	os2/tests/pmdemo1.rc, palmos/Makefile, palmos/os.inc,
	palmos/pilot.pp, palmos/system.pp, palmos/systraps.pp,
	palmos/api/common.inc, palmos/api/common.pp, palmos/api/font.inc,
	palmos/api/fontsel.inc, palmos/api/init.inc, palmos/api/rect.inc,
	palmos/api/sysall.pp, palmos/api/systraps.inc,
	palmos/api/systraps.pp, palmos/api/ui.pp, posix/errno.tem,
	posix/objinc.inc, posix/osposix.tem, posix/osposixh.tem,
	posix/posix.tem, posix/signal.tem, posix/sysposix.inc,
	posix/sysutils.pp, posix/timezone.inc, powerpc/makefile.cpu,
	powerpc/math.inc, powerpc/powerpc.inc, powerpc/set.inc,
	powerpc/setjump.inc, powerpc/strings.inc, powerpc/stringss.inc,
	powerpc/strlen.inc, powerpc/strpas.inc, powerpc/sysutilp.inc,
	powerpc/typinfo.inc, sunos/errno.inc, sunos/unixsysc.inc,
	template/disk.inc, template/dynlibs.inc, template/filutil.inc,
	template/math.inc, template/rttip.inc, template/strings.pp,
	template/system.pp, template/sysutils.pp, unix/crt.pp, unix/dl.pp,
	unix/dos.pp, unix/dynlibs.inc, unix/errno.inc, unix/errors.pp,
	unix/ggigraph.pp, unix/gpm.pp, unix/graph.pp, unix/graph16.inc,
	unix/initc.pp, unix/ipc.pp, unix/keyboard.pp, unix/linux.pp,
	unix/mouse.pp, unix/objinc.inc, unix/ports.pp, unix/printer.pp,
	unix/serial.pp, unix/sockets.pp, unix/sysunix.inc,
	unix/sysunixh.inc, unix/sysutils.pp, unix/terminfo.pp,
	unix/thread.inc, unix/timezone.inc, unix/unix.pp, unix/varutils.pp,
	unix/video.pp, win32/Makefile.fpc, win32/activex.pp, win32/crt.pp,
	win32/dos.pp, win32/dynlibs.inc, win32/graph.pp, win32/initc.pp,
	win32/keyboard.pp, win32/messages.pp, win32/mouse.pp,
	win32/objinc.inc, win32/ole2.pp, win32/opengl32.pp,
	win32/printer.pp, win32/shellapi.pp, win32/sockets.pp,
	win32/system.pp, win32/sysutils.pp, win32/thread.inc,
	win32/varutils.pp, win32/video.pp, win32/win32.inc,
	win32/wincrt.pp, win32/windows.pp, win32/winevent.pp,
	win32/winmouse.pp, win32/winsock.pp, win32/wininc/Makefile,
	win32/wininc/ascdef.inc, win32/wininc/ascfun.inc,
	win32/wininc/base.inc, win32/wininc/defines.inc,
	win32/wininc/errors.inc, win32/wininc/func.inc,
	win32/wininc/messages.inc, win32/wininc/redef.inc,
	win32/wininc/struct.inc, win32/wininc/unidef.inc,
	win32/wininc/unifun.inc:
	
	  * old logs removed and tabs fixed

2002-09-07 17:07  peter <peter@freepascal.org>

	* rtl/inc/: aliases.inc, astrings.inc, charset.pp, compproc.inc,
	dynarr.inc, dynarrh.inc, dynlibs.pp, except.inc, fexpand.inc,
	file.inc, filerec.inc, generic.inc, genmath.inc, genset.inc,
	heap.inc, heaph.inc, heaptrc.pp, innr.inc, int64.inc, keyboard.inc,
	keybrdh.inc, lineinfo.pp, lstrings.pp, mathh.inc, mouse.inc,
	mouseh.inc, objects.pp, objpas.inc, objpash.inc, os_types.pp,
	real2str.inc, rtti.inc, sockets.inc, socketsh.inc, sstrings.inc,
	strings.pp, stringsi.inc, system.inc, systemh.inc, text.inc,
	textrec.inc, threadh.inc, typefile.inc, ucomplex.pp, variant.inc,
	varianth.inc, video.inc, videoh.inc, wstrings.inc, graph/clip.inc,
	graph/fills.inc, graph/fontdata.inc, graph/graph.inc,
	graph/graphh.inc, graph/gtext.inc, graph/modes.inc,
	graph/palette.inc:
	
	  * old logs removed and tabs fixed

2002-09-07 15:14  florian <florian@freepascal.org>

	* rtl/linux/syscalls.inc:
	
	  * hopefully final fix for ppc syscall BTW: The regX numbering is
	somehow messy

2002-09-07 14:43  carl <carl@freepascal.org>

	* rtl/inc/graph/: graph.inc, graphh.inc:
	
	  - unit cleanup (removed unused defines)

2002-09-07 14:37  carl <carl@freepascal.org>

	* rtl/inc/graph/modes.inc:
	
	  - unit cleanup (removed unused defines)

2002-09-07 14:36  carl <carl@freepascal.org>

	* rtl/inc/graph/gtext.inc:
	
	  - unit cleanup (removed unused defines)
	  * compilation options are restored

2002-09-07 14:31  carl <carl@freepascal.org>

	* rtl/go32v2/go32.pp:
	
	  - removed support_ports option (cleanup)

2002-09-07 13:09  carl <carl@freepascal.org>

	* rtl/inc/lineinfo.pp:
	
	  * stack checking supported for all systems

2002-09-07 13:08  carl <carl@freepascal.org>

	* rtl/inc/objpas.inc:
	
	  - remove logs

2002-09-06 20:35  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/: syscalls.inc, sysnr.inc, systypes.inc:
	
	  * implemented most syscalls, except readdir because the getdents
	    syscall is declared obsolete in Darwin...

2002-09-06 19:12  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/sysnr.inc:
	
	  + initial implementation, h2pas of /usr/include/sys/syscall.h on
	a
	    Mac OS X 10.1.5 machine

2002-09-06 18:58  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/: strings.inc, stringss.inc:
	
	  * fixed wrong references (used r0 as base register)

2002-09-06 18:43  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/powerpc/crt0.o:
	
	  + crt0.o file, compiled from the Darwin Csu module sources of
	2002/09/06.
	    Can't just put an assembler file here, because it's composed of
	2
	    assembler files and a C file. No idea whether it will actually
	    work on OS X 10.1.x (may require 10.2.x, since it's from the
	main
	    branch)

2002-09-03 23:37  florian <florian@freepascal.org>

	* rtl/linux/syscalls.inc:
	
	  * hopefully final fix for ppc syscall

2002-09-03 17:43  peter <peter@freepascal.org>

	* rtl/i386/i386.inc:
	
	  * add alias for fpc_dispose_class so it can be called from
	    fpc_help_fail_class

2002-09-03 12:26  pierre <muller@cerbere.u-strasbg.fr>

	* rtl/win32/wininc/func.inc:
	
	 * fix for bug 1779 merged

2002-09-02 22:42  florian <florian@freepascal.org>

	* rtl/linux/syscalls.inc:
	
	  * another ppc syscall fix

2002-09-02 22:03  florian <florian@freepascal.org>

	* rtl/linux/syscalls.inc:
	
	  * ppc syscall code fixed

2002-09-02 21:46  florian <florian@freepascal.org>

	* rtl/unix/sysunix.inc:
	
	  * fixed line breaks

2002-09-02 21:24  peter <peter@freepascal.org>

	* rtl/inc/: compproc.inc, sstrings.inc:
	
	  * array of char support for Str()

2002-09-02 20:42  peter <peter@freepascal.org>

	* rtl/: i386/makefile.cpu, i386/rttip.inc, inc/genrtti.inc,
	inc/makefile.inc, inc/rtti.inc, m68k/rttip.inc, powerpc/rttip.inc:
	
	  * moved genrtti.inc code to rtti
	  * removed rttip.inc, the generic code is almost as fast and
	    much easier to maintain and has less risks on bugs

2002-09-02 08:07  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysstr.inc:
	
	+ Fix for formatbuf not applied correct

2002-09-01 21:03  florian <florian@freepascal.org>

	* rtl/inc/objects.pp:
	
	  + powerpc support added

2002-09-01 16:44  peter <peter@freepascal.org>

	* rtl/inc/int64.inc:
	
	  * renamed conditional to insert optimized mod_qword for i386. The
	    code is broken

2002-08-31 23:29  florian <florian@freepascal.org>

	* rtl/: linux/powerpc/prt0.as, powerpc/powerpc.inc,
	unix/sysunix.inc:
	
	  * several PC related fixes

2002-08-31 18:13  florian <florian@freepascal.org>

	* rtl/linux/powerpc/prt0.as:
	
	  * made _start global

2002-08-31 18:08  florian <florian@freepascal.org>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed undefined labels

2002-08-31 16:27  florian <florian@freepascal.org>

	* rtl/powerpc/setjump.inc:
	
	  + public and alias directive added to *jmp

2002-08-31 16:02  florian <florian@freepascal.org>

	* rtl/linux/powerpc/prt0.as:
	
	  * r3 renamed to 3

2002-08-31 16:01  florian <florian@freepascal.org>

	* rtl/linux/powerpc/prt0.as:
	
	  * _haltproc to prt0.as added (Linux/PPC)

2002-08-31 15:11  florian <florian@freepascal.org>

	* rtl/: inc/objpas.inc, linux/powerpc/prt0.as, powerpc/powerpc.inc:
	
	  * several fixes for Linux/PPC compilation

2002-08-29 12:04  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/: sysstr.inc, sysstr.inc:
	
	+ Fix for bug report 2097 in formatbuf

2002-08-28 08:35  pierre <muller@cerbere.u-strasbg.fr>

	* rtl/go32v2/keyboard.pp:
	
	 * merge kbPhys patch from fixes branch

2002-08-26 15:49  pierre <muller@cerbere.u-strasbg.fr>

	* rtl/win32/system.pp:
	
	 * fix bug report 2086

2002-08-21 09:03  marco <marcov@stack.nl>

	* rtl/bsd/: bsdfuncs.inc, bsdsysc.inc, bsdsysch.inc, osposix.inc,
	osposixh.inc:
	
	 * Fixes from Tuesday.

2002-08-21 09:02  marco <marcov@stack.nl>

	* rtl/bsd/i386/syscall.inc:
	
	 * More errno changes

2002-08-20 20:24  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/: compproc.inc, objpas.inc:
	
	  * interface "as" helpers converted from procedures to functions

2002-08-20 14:50  marco <marcov@stack.nl>

	* rtl/posix/sysposix.inc:
	
	 * New errno handling. Should be libc compatible.

2002-08-20 10:28  marco <marcov@stack.nl>

	* rtl/bsd/i386/: syscall.inc, syscallh.inc:
	
	 * Updates for new errno scheme.

2002-08-19 23:19  florian <florian@freepascal.org>

	* rtl/linux/powerpc/prt0.as:
	
	  * small fixes

2002-08-19 21:34  peter <peter@freepascal.org>

	* rtl/: i386/i386.inc, inc/generic.inc, inc/system.inc,
	inc/systemh.inc:
	
	  * SYSTEMINLINE define that will add inline directives for small
	    functions and wrappers. This will be defined automaticly when
	    the compiler defines the HASINLINE directive

2002-08-19 20:24  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/syscalls.inc:
	
	  + ppc support for do_syscall

2002-08-19 14:33  marco <marcov@stack.nl>

	* rtl/freebsd/: system.pp, sysbsd.pp:
	
	 * Moved to rtl/bsd

2002-08-19 14:32  marco <marcov@stack.nl>

	* rtl/freebsd/sysnr.inc:
	
	 * again fixes.

2002-08-19 14:29  marco <marcov@stack.nl>

	* rtl/bsd/: bsdmacro.inc, bsdsysc.inc, bsdtypes.inc, osposix.inc,
	osposixh.inc, readme.txt, sysbsd.pp, sysctl.pp, system.pp,
	i386/syscall.inc:
	
	 * First working POSIX *BSD system unit.

2002-08-19 00:11  florian <florian@freepascal.org>

	* rtl/powerpc/: math.inc, powerpc.inc, set.inc, strpas.inc:
	
	  * fixed remaining assembler errors

2002-08-18 23:37  florian <florian@freepascal.org>

	* rtl/powerpc/: math.inc, powerpc.inc, set.inc, strlen.inc,
	strpas.inc:
	
	  * several errors in inline assembler fixed

2002-08-13 20:11  florian <florian@freepascal.org>

	* rtl/unix/sysunix.inc:
	
	  * heap stuff for powerpc fixed

2002-08-12 16:18  florian <florian@freepascal.org>

	* rtl/win32/winsock.pp:
	
	  * ioctlselect overloaded to take a longint is second parameter

2002-08-10 19:14  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/: math.inc, powerpc.inc, set.inc, setjump.inc,
	setjumph.inc, strings.inc, stringss.inc, strlen.inc, strpas.inc:
	
	  * various fixes, mostly changing the names of the modifies
	registers to
	    upper case since that seems to be required by the compiler

2002-08-10 15:42  marco <marcov@stack.nl>

	* rtl/posix/: errno.tem, objinc.inc, osposix.tem, osposixh.tem,
	posix.tem, readme.txt, signal.tem, sysposix.inc, sysutils.pp,
	timezone.inc:
	
	 * Fixes Posix dir copied to devel branch

2002-08-08 22:39  marco <marcov@stack.nl>

	* rtl/freebsd/bsdport.txt:
	
	 * Practically rewritten in first update in 2 years or so.

2002-08-08 13:40  marco <marcov@stack.nl>

	* rtl/: freebsd/sysctlh.inc, openbsd/sysctlh.inc:
	
	 * Initial versions.

2002-08-08 13:39  marco <marcov@stack.nl>

	* rtl/bsd/: bsduname.inc, sysctl.pp:
	
	 * Initial versions, to allow support for uname in posix.pp

2002-08-06 22:53  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/: sstrings.inc, systemh.inc:
	
	  + Added support for octal strings (using &)

2002-08-06 15:31  sg <sg@freepascal.org>

	* rtl/unix/serial.pp:
	
	* serial ports are now set to raw mode

2002-08-06 15:30  sg <sg@freepascal.org>

	* rtl/: linux/termios.inc, unix/linux.pp, unix/unix.pp:
	
	* replaced some Longints with Cardinals, to mach the C headers *
	updated the termios record

2002-08-04 21:37  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/crt.pas:
	
	  * fix for bug 1998 (write in window) + removed warnings

2002-08-04 07:31  marco <marcov@stack.nl>

	* rtl/bsd/i386/syscall.inc:
	
	 * Initial version. Needs check for OpenBSD.

2002-08-04 06:29  marco <marcov@stack.nl>

	* rtl/: bsd/osposix.inc, freebsd/ptypes.inc, netbsd/ptypes.inc,
	openbsd/ptypes.inc:
	
	 * More POSIX updates. Small changes to lseek and ftruncate in
	osposix.inc
	   Initial versions of the type includefiles

2002-08-03 22:05  florian <florian@freepascal.org>

	* rtl/unix/sysunix.inc:
	
	  + ppc implementation of heap functions added

2002-08-03 21:34  marco <marcov@stack.nl>

	* rtl/bsd/: osposix.inc, osposixh.inc:
	
	 * Initial *BSD versions. Seems that OpenBSD doesn't need much
	change,
	    NetBSD may need some fixes to stat record and ftruncate and
	lseek.
	    It is all close together, and it should be doable to have just
	one copy
	    of these for *BSD.

2002-08-01 18:53  jonas <jonas.maebe@rug.ac.be>

	* rtl/objpas/syspch.inc:
	
	  * fix for StrPas() by Sergey Korshunoff <seyko@comail.ru>
	(merged)

2002-08-01 14:28  marco <marcov@stack.nl>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, freebsd/Makefile,
	go32v2/Makefile, linux/Makefile, netware/Makefile, os2/Makefile,
	win32/Makefile:
	
	 * Some more OpenBSD fixes.

2002-07-31 18:58  jonas <jonas.maebe@rug.ac.be>

	* rtl/: inc/compproc.inc, powerpc/math.inc:
	
	  * fixed conversion from int64/qword to double errors

2002-07-31 13:52  jonas <jonas.maebe@rug.ac.be>

	* rtl/i386/rttip.inc:
	
	  * fixed compilation errors with 1.0

2002-07-30 19:29  florian <florian@freepascal.org>

	* rtl/powerpc/: powerpc.inc, setjump.inc:
	
	  + dummy setjmp and longjmp added
	  + dummy implemtation of the destructor helper

2002-07-30 19:29  florian <florian@freepascal.org>

	* rtl/inc/objpas.inc:
	
	  * interface helpers for 1.1 compilers without interface support
	fixed

2002-07-30 15:39  marco <marcov@stack.nl>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, freebsd/Makefile,
	go32v2/Makefile, linux/Makefile, netware/Makefile, os2/Makefile,
	win32/Makefile:
	
	 * OpenBSD makefile update again

2002-07-29 23:28  florian <florian@freepascal.org>

	* rtl/: inc/generic.inc, inc/genrtti.inc, inc/wstrings.inc,
	linux/syscalls.inc, powerpc/math.inc, unix/sysunix.inc:
	
	  * several fixes to get further with linux/ppc system unit
	compilation

2002-07-29 19:50  florian <florian@freepascal.org>

	* rtl/linux/systypes.inc:
	
	  + added register location description for ppc

2002-07-29 19:15  marco <marcov@stack.nl>

	* rtl/openbsd/unixsock.inc:
	
	file unixsock.inc was initially added on branch FIXES_1_0_0.

2002-07-29 19:15  marco <marcov@stack.nl>

	* rtl/openbsd/systypes.inc:
	
	file systypes.inc was initially added on branch FIXES_1_0_0.

2002-07-29 19:15  marco <marcov@stack.nl>

	* rtl/openbsd/sysconst.inc:
	
	file sysconst.inc was initially added on branch FIXES_1_0_0.

2002-07-29 19:15  marco <marcov@stack.nl>

	* rtl/openbsd/termios.inc:
	
	file termios.inc was initially added on branch FIXES_1_0_0.

2002-07-29 19:15  marco <marcov@stack.nl>

	* rtl/openbsd/unixsysc.inc:
	
	file unixsysc.inc was initially added on branch FIXES_1_0_0.

2002-07-29 19:15  marco <marcov@stack.nl>

	* rtl/openbsd/sysnr.inc:
	
	file sysnr.inc was initially added on branch FIXES_1_0_0.

2002-07-29 19:15  marco <marcov@stack.nl>

	* rtl/openbsd/sysbsd.pp:
	
	file sysbsd.pp was initially added on branch FIXES_1_0_0.

2002-07-29 19:15  marco <marcov@stack.nl>

	* rtl/openbsd/Makefile:
	
	file Makefile was initially added on branch FIXES_1_0_0.

2002-07-29 19:15  marco <marcov@stack.nl>

	* rtl/openbsd/readdir.inc:
	
	file readdir.inc was initially added on branch FIXES_1_0_0.

2002-07-29 19:15  marco <marcov@stack.nl>

	* rtl/openbsd/Makefile.fpc:
	
	file Makefile.fpc was initially added on branch FIXES_1_0_0.

2002-07-29 19:15  marco <marcov@stack.nl>

	* rtl/openbsd/signal.inc:
	
	file signal.inc was initially added on branch FIXES_1_0_0.

2002-07-29 19:15  marco <marcov@stack.nl>

	* rtl/openbsd/syscalls.inc:
	
	file syscalls.inc was initially added on branch FIXES_1_0_0.

2002-07-29 11:23  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/generic.inc:
	
	  * fixed some datastructures > 2GB

2002-07-28 23:39  florian <florian@freepascal.org>

	* rtl/: inc/generic.inc, inc/genmath.inc, powerpc/math.inc,
	powerpc/powerpc.inc:
	
	  * made abs a compiler proc if it is generic

2002-07-28 22:43  florian <florian@freepascal.org>

	* rtl/: fakertl/system.pp, inc/compproc.inc, inc/generic.inc,
	inc/genmath.inc, inc/system.inc, inc/threadh.inc, linux/signal.inc,
	linux/syscalls.inc, powerpc/math.inc, powerpc/powerpc.inc,
	powerpc/rttip.inc, powerpc/set.inc, powerpc/setjump.inc,
	unix/sysunix.inc, win32/activex.pp, win32/system.pp,
	win32/thread.inc, win32/wdllprt0.as, win32/wprt0.as:
	
	  * several fixes for linux/powerpc
	  * several fixes to MT

2002-07-27 09:28  florian <florian@freepascal.org>

	* rtl/objpas/types.pp:
	
	  * fixed errror on non win32 targets with 1.0.x when doing a make
	cycle

2002-07-27 00:46  florian <florian@freepascal.org>

	* rtl/: inc/mathh.inc, inc/system.inc, inc/systemh.inc,
	powerpc/setjumph.inc:
	
	  * interface of system unit for Linux/PowerPC compiles

2002-07-27 00:08  florian <florian@freepascal.org>

	* rtl/powerpc/setjumph.inc:
	
	  * comments fixed

2002-07-27 00:08  florian <florian@freepascal.org>

	* rtl/powerpc/setjumph.inc:
	
	  + initial dummy implementation

2002-07-26 23:29  florian <florian@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  + powerpc type support

2002-07-26 19:09  florian <florian@freepascal.org>

	* rtl/linux/powerpc/: cprt0.as, cprt21.as, dllprt0.as, gprt0.as,
	prt0.as:
	
	  * log fixed

2002-07-26 19:07  florian <florian@freepascal.org>

	* rtl/linux/powerpc/: cprt0.as, cprt21.as, dllprt0.as, gprt0.as:
	
	  + dummy implementation to test the makefile

2002-07-26 18:57  florian <florian@freepascal.org>

	* rtl/linux/powerpc/prt0.as:
	
	  + initial version, plain copy from
	glibc/sysdeps/powerpc/elf/start.S

2002-07-26 18:54  florian <florian@freepascal.org>

	* rtl/powerpc/makefile.cpu:
	
	  + initial version

2002-07-26 18:42  florian <florian@freepascal.org>

	* rtl/inc/system.inc:
	
	  * endian directive for PowerPC fixed

2002-07-26 17:45  florian <florian@freepascal.org>

	* rtl/: i386/i386.inc, powerpc/powerpc.inc:
	
	  * changed multi threading define: it's MT instead of MTRTL

2002-07-26 11:50  florian <florian@freepascal.org>

	* rtl/win32/: Makefile, Makefile.fpc:
	
	  * fixed dependencies of types-Unit

2002-07-26 11:49  florian <florian@freepascal.org>

	* rtl/netware/: Makefile, Makefile.fpc:
	
	  * fixed dependencies of types-Unit
	  + gettext and variants unit added to makefile

2002-07-26 11:46  florian <florian@freepascal.org>

	* rtl/: go32v2/Makefile, go32v2/Makefile.fpc, os2/Makefile,
	os2/Makefile.fpc:
	
	  * fixed dependencies of types-Unit

2002-07-26 11:43  florian <florian@freepascal.org>

	* rtl/: linux/Makefile, linux/Makefile.fpc, beos/Makefile,
	beos/Makefile.fpc, freebsd/Makefile, freebsd/Makefile.fpc:
	
	  * fixed dependencies of types-Unit

2002-07-23 22:39  florian <florian@freepascal.org>

	* rtl/: win32/Makefile, win32/Makefile.fpc, beos/Makefile,
	beos/Makefile.fpc, objpas/types.pp, freebsd/Makefile,
	freebsd/Makefile.fpc, go32v2/Makefile, go32v2/Makefile.fpc,
	linux/Makefile, linux/Makefile.fpc, netware/Makefile,
	netware/Makefile.fpc, os2/Makefile, os2/Makefile.fpc:
	
	  + types unit added

2002-07-18 09:11  pierre <muller@cerbere.u-strasbg.fr>

	* rtl/inc/graph/: graphh.inc, gtext.inc:
	
	 merged from FIXES branch: DrawTextBackground support

2002-07-17 09:28  pierre <muller@cerbere.u-strasbg.fr>

	* rtl/win32/: keyboard.pp, sockets.pp:
	
	 * avoid constant evaluation problems if cycling with -Cr

2002-07-16 15:57  florian <florian@freepascal.org>

	* rtl/objpas/sysutils.inc:
	
	  * raise takes now a void pointer as at and frame address
	    instead of a longint, fixed

2002-07-16 15:52  florian <florian@freepascal.org>

	* rtl/win32/wininc/: base.inc, struct.inc:
	
	  * LARGE_INT and ULARGE_INT types fixed
	  * LONGLONG defined properly

2002-07-11 18:00  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: dos.pas, sysutils.pp:
	
	  * FindFirst fix (invalid attribute bits masked out)

2002-07-07 20:04  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/thread.inc:
	
	  * correction by Yuri Prokushev

2002-07-07 20:03  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/doscalls.pas:
	
	  * 1st part of corrections/additions by Yuri Prokushev

2002-07-07 20:00  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dos.pas:
	
	  * DosGetInfoBlock modification to allow overloaded version (in
	DosCalls)

2002-07-06 22:31  carl <carl@freepascal.org>

	* rtl/i386/i386.inc:
	
	+ added TEST_GENERIC to test generic version

2002-07-06 18:50  marco <marcov@stack.nl>

	* rtl/unix/video.pp:
	
	 * Fix for corrupt color-attr after some ACS-mode changes. (Pierre,
	Strassbourg
	    meeting)

2002-07-06 14:14  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/objpas/sysstr.inc:
	
	- Changes from Strasbourg

2002-07-06 13:48  carl <carl@freepascal.org>

	* rtl/win32/dos.pp:
	
	+ fsearch bugfix for Win9X systems

2002-07-04 22:40  florian <florian@freepascal.org>

	* rtl/inc/: system.inc, systemh.inc:
	
	  + some x86-64 support added

2002-07-01 18:29  peter <peter@freepascal.org>

	* rtl/: go32v2/system.pp, inc/int64.inc, inc/objpas.inc,
	inc/systemh.inc, inc/text.inc, netware/system.pp, os2/system.pas,
	unix/sysunixh.inc, win32/system.pp:
	
	  * sLineBreak changed to normal constant like Kylix

2002-07-01 18:25  peter <peter@freepascal.org>

	* rtl/objpas/cvarutil.inc:
	
	  * currency updates

2002-06-17 10:33  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/heap.inc:
	
	  * heap manager now fragments the heap much less

2002-06-16 10:21  carl <carl@freepascal.org>

	* rtl/i386/i386.inc:
	
	+ TEST_GENERIC to test generic versions of code

2002-06-16 10:19  carl <carl@freepascal.org>

	* rtl/inc/generic.inc:
	
	* bugfix of FPC_NEW_CLASS (was not creating correct instance) +
	FPC_HELP_FAIL_CLASS now tested (no longer required)

2002-06-12 17:45  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/varianth.inc:
	
	  * fixed bug in tvariantmanager declaration (string -> ansistring,
	this
	    file is compiled in non-objpas mode!)

2002-06-09 14:54  jonas <jonas.maebe@rug.ac.be>

	* rtl/i386/i386.inc:
	
	  * fixed memory corruption bug in fpc_help_constructor

2002-06-04 11:25  pierre <muller@cerbere.u-strasbg.fr>

	* rtl/win32/system.pp:
	
	 * Rename HeapSize to WinAPIHeapSize to avoid conflict with general
	function

2002-06-02 12:49  marco <marcov@stack.nl>

	* rtl/inc/systemh.inc:
	
	 * Renamefest supports_double for FreeBSD too

2002-06-01 21:42  marco <marcov@stack.nl>

	* rtl/inc/graph/graph.inc:
	
	 * Renamefest

2002-05-31 15:37  marco <marcov@stack.nl>

	* rtl/: inc/lineinfo.pp, unix/crt.pp, unix/sysunix.inc:
	
	 * more Renamefest

2002-05-22 20:48  carl <carl@freepascal.org>

	* rtl/inc/generic.inc:
	
	+ generic FPC_HELP_FAIL + generic FPC_HELP_DESTRUCTOR instated
	(original from Pierre) + generic FPC_DISPOSE_CLASS

2002-05-16 21:58  carl <carl@freepascal.org>

	* rtl/inc/generic.inc:
	
	* generic constructor implemented

2002-05-16 21:32  carl <carl@freepascal.org>

	* rtl/win32/dos.pp:
	
	* fix range check error

2002-05-14 21:25  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/fexpand.inc:
	
	  * fix for bug 1964 merged

2002-05-09 10:42  carl <carl@freepascal.org>

	* rtl/go32v2/: mouse.pp, objinc.inc, sysutils.pp:
	
	* Merges from Fixes branch

2002-05-09 10:31  carl <carl@freepascal.org>

	* rtl/win32/wininc/: ascdef.inc, ascfun.inc, defines.inc, func.inc:
	
	* Merges from Fixes branch

2002-05-09 10:28  carl <carl@freepascal.org>

	* rtl/win32/: keyboard.pp, signals.pp, sysutils.pp, win32.inc:
	
	* Merges from Fixes branch

2002-05-06 12:49  marco <marcov@stack.nl>

	* rtl/freebsd/systypes.inc:
	
	 * setitimer for 1.1

2002-05-06 11:35  marco <marcov@stack.nl>

	* rtl/freebsd/: sysconst.inc, sysnr.inc, unixsysc.inc:
	
	 * Some stuff from 1.0.x ported

2002-05-06 09:27  marco <marcov@stack.nl>

	* rtl/freebsd/syscalls.inc:
	
	 * Fixed a readdir bug, already fixed in januari in 1.0.x

2002-05-05 12:23  peter <peter@freepascal.org>

	* rtl/go32v2/system.pp:
	
	  * fixed memw and meml array sizes

2002-04-27 09:58  peter <peter@freepascal.org>

	* rtl/go32v2/dxeload.pp:
	
	  * fixed 2gb limit

2002-04-26 17:19  peter <peter@freepascal.org>

	* rtl/inc/: astrings.inc, dynarr.inc, objpas.inc, wstrings.inc:
	
	  * use saveregisters for incr routines, saves also problems with
	    the optimizer

2002-04-26 15:19  peter <peter@freepascal.org>

	* rtl/go32v2/initc.pp:
	
	  * fixed too large arrays

2002-04-25 22:14  peter <peter@freepascal.org>

	* rtl/inc/: astrings.inc, compproc.inc, dynarr.inc, genrtti.inc,
	objpas.inc, wstrings.inc:
	
	  * updated compilerprocs
	  * incr ref count has now a value argument instead of var

2002-04-24 18:15  peter <peter@freepascal.org>

	* rtl/inc/: compproc.inc, genrtti.inc:
	
	  * fpc_finalize_array renamed

2002-04-21 20:56  peter <peter@freepascal.org>

	* rtl/: i386/i386.inc, inc/compproc.inc, inc/heap.inc:
	
	  * fpc_freemem and fpc_getmem compilerproc

2002-04-21 17:52  carl <carl@freepascal.org>

	* rtl/: go32v2/system.pp, os2/system.pas, unix/sysunix.inc,
	template/system.pp:
	
	+ initialize some global variables

2002-04-21 17:51  carl <carl@freepascal.org>

	* rtl/inc/: system.inc, systemh.inc:
	
	* StackError is now a typed constant + $S can be used under unix

2002-04-17 19:25  carl <carl@freepascal.org>

	* rtl/COPYING.FPC:
	
	+ update license term to reflect reality

2002-04-15 21:38  peter <peter@freepascal.org>

	* rtl/inc/system.inc:
	
	  * stackcheck protected against infinite recursive after stack
	error
	  * stackcheck requires saveregisters, because it can be called
	from
	    iocheck and then will destroy the result of the original
	function

2002-04-15 20:51  carl <carl@freepascal.org>

	* rtl/inc/system.inc:
	
	+ generic stack checking can be overriden

2002-04-15 20:47  carl <carl@freepascal.org>

	* rtl/netware/system.pp:
	
	+ reinstate novell stack checking

2002-04-12 19:42  carl <carl@freepascal.org>

	* rtl/: os2/system.pas, unix/sysunix.inc, win32/system.pp:
	
	+ generic stack checking

2002-04-12 19:37  carl <carl@freepascal.org>

	* rtl/: inc/system.inc, netware/system.pp:
	
	+ generic stack checking

2002-04-12 19:35  carl <carl@freepascal.org>

	* rtl/inc/systemh.inc:
	
	- removed unused variable

2002-04-12 19:34  carl <carl@freepascal.org>

	* rtl/go32v2/system.pp:
	
	+ generic stack checking

2002-04-04 20:32  peter <peter@freepascal.org>

	* rtl/objpas/typinfo.pp:
	
	  * merged getpropinfo fix

2002-04-01 17:20  armin

	* rtl/netware/: Makefile, Makefile.fpc, nwpre.as, nwsys.inc,
	system.pp, thread.inc:
	
	+ unload module no longer shows: Module did not release...  +
	check-function will no longer be removed when smartlink is on

2002-04-01 16:23  carl <carl@freepascal.org>

	* rtl/i386/i386.inc:
	
	- no need for runerror 203, already fixed!

2002-04-01 12:47  armin

	* rtl/netware/: Makefile, Makefile.fpc, system.pp, sysutils.pp,
	thread.inc:
	
	makefile.fpc for netware stderr to netware console free all memory
	(threadvars and heap) to avoid error message while unloading nlm

2002-03-31 12:03  armin

	* rtl/win32/thread.inc:
	
	+ call to DoneThread was missing

2002-03-30 15:52  carl <carl@freepascal.org>

	* rtl/inc/objpas.inc:
	
	* don't crash everything if the class allocation failed

2002-03-30 15:52  carl <carl@freepascal.org>

	* rtl/i386/i386.inc:
	
	* cause runtime error 203 on failed class creation

2002-03-30 14:08  carl <carl@freepascal.org>

	* rtl/inc/generic.inc:
	
	* memory corruption bugfix in FPC_HELP_CONSTRUCTOR if object cannot
	be allocated

2002-03-30 10:12  armin

	* rtl/netware/demos/: Makefile, check.pp:
	
	+ demo for netware check-funcktion

2002-03-30 10:09  armin

	* rtl/netware/: Makefile, nwsys.inc, system.pp:
	
	+ support check-function for netware

2002-03-29 21:15  peter <peter@freepascal.org>

	* rtl/i386/set.inc:
	
	  * fixed load_smallset

2002-03-28 21:56  carl <carl@freepascal.org>

	* rtl/inc/: objects.pp, os_types.pp:
	
	- remove go32v1 support

2002-03-28 21:54  carl <carl@freepascal.org>

	* rtl/inc/getopts.pp:
	
	* merged fixes from version 1.0.x branch

2002-03-28 17:31  armin

	* rtl/: win32/thread.inc, os2/thread.inc:
	
	+ initialize threadvars defined local in units

2002-03-28 17:11  armin

	* rtl/netware/thread.inc:
	
	+ initialize threadvars defined local in units

2002-03-24 20:26  marco <marcov@stack.nl>

	* rtl/win32/sysutils.pp:
	
	 * Added win32platform

2002-03-23 21:13  marco <marcov@stack.nl>

	* rtl/win32/wininc/redef.inc:
	
	 * Some macro functions fixed. Didn't commit win32platform first
	because
	    of mandatory init.

2002-03-20 23:17  marco <marcov@stack.nl>

	* rtl/win32/shellapi.pp:
	
	 * Initial version.

2002-03-19 20:37  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, freebsd/Makefile,
	go32v2/Makefile, linux/Makefile, os2/Makefile, win32/Makefile:
	
	  * fix source location in zips for packages and demos

2002-03-19 20:33  armin

	* rtl/netware/: Makefile, aio.pp, compile.cmd:
	
	+ fist version of aio added

2002-03-19 20:16  armin

	* rtl/netware/: Makefile, compile.cmd, nwpre.as, prelude.as:
	
	+ Implemented nwpre and prelude in assembler, now working like the
	original nwpre

2002-03-17 18:57  armin

	* rtl/netware/: Makefile, README, nwpre.pp, qos.inc, system.pp,
	thread.inc, winsock2.pp:
	
	+ threads and winsock2 implemented

2002-03-16 15:51  armin

	* rtl/netware/nwimp/ws2_32.imp:
	
	+ new file

2002-03-16 13:46  armin

	* rtl/inc/os_types.pp:
	
	+ Netware added

2002-03-16 13:01  peter <peter@freepascal.org>

	* rtl/i386/mmx.pp:
	
	  * femms added

2002-03-16 12:51  peter <peter@freepascal.org>

	* rtl/i386/mmx.pp:
	
	  * sse and 3dnow extensions from Michail added

2002-03-11 20:10  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, freebsd/Makefile,
	go32v2/Makefile, go32v2/system.pp, linux/Makefile, os2/Makefile,
	os2/system.pas, unix/errno.inc, unix/sysunix.inc, win32/Makefile,
	win32/system.pp:
	
	  * Regenerated with updated fpcmake

2002-03-08 20:13  armin

	* rtl/netware/system.pp:
	
	* changes for current rtl, basic MT support

2002-03-08 20:12  armin

	* rtl/netware/video.pp:
	
	* make it compilable with fpc 1.1

2002-03-08 20:11  armin

	* rtl/netware/nwsock.inc:
	
	* added some missing functions

2002-03-08 20:10  armin

	* rtl/netware/sysutils.pp:
	
	* added 64 bit fileseek (currently only 32 bit supported)

2002-03-08 20:06  armin

	* rtl/netware/nwsys.inc:
	
		* Additional routines needed for MT

2002-03-08 20:04  armin

	* rtl/netware/mouse.pp:
	
	make it compilable with fpc 1.1

2002-03-08 20:02  armin

	* rtl/netware/keyboard.pp:
	
	Changes for new style (TKeyboardDriver record)

2002-03-08 19:59  armin

	* rtl/netware/keyboard.pp:
	
	Changes for new style (TKeyboardDriver record)

2002-03-06 12:34  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/linux.pp:
	
	+ Forgot to patch linux.pp

2002-03-05 21:04  michael <michael.vancanneyt@wisa.be>

	* rtl/: linux/unixsysc.inc, unix/unix.pp:
	
	+ Patch from Sebastian for FCNTL call

2002-03-03 22:08  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/keyboard.pp:
	
	  * SysPollKeyEvent fixed

2002-03-03 16:19  carl <carl@freepascal.org>

	* rtl/inc/fexpand.inc:
	
	* fixes unix conversion of slashes

2002-03-03 14:23  peter <peter@freepascal.org>

	* rtl/unix/keyboard.pp:
	
	  * adjust backspace sequence so it works according to the latest
	    XFree xterms and linux consoles

2002-03-03 12:19  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dos.pas:
	
	  * GetEnv rewritten to assembly - 3x faster now

2002-03-02 10:43  peter <peter@freepascal.org>

	* rtl/win32/keyboard.pp:
	
	  * fixed compile bug in debug mode

2002-03-01 13:42  peter <peter@freepascal.org>

	* rtl/win32/activex.pp:
	
	  * fixed HASINTF

2002-03-01 11:45  peter <peter@freepascal.org>

	* rtl/: Makefile, Makefile.fpc:
	
	  * updated version number

2002-02-28 22:30  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, freebsd/Makefile,
	go32v2/Makefile, linux/Makefile, os2/Makefile, win32/Makefile:
	
	  * regenated

2002-02-28 14:52  marco <marcov@stack.nl>

	* rtl/win32/activex.pp:
	
	 * has_intf and oaidl

2002-02-26 11:30  marco <marcov@stack.nl>

	* rtl/win32/activex.pp:
	
	 * Merged objidl.idl translation. Most of wtypes.idl also included.
	Size slightly	    increased.

2002-02-13 13:54  marco <marcov@stack.nl>

	* rtl/win32/Makefile:
	
	 * Fixed

2002-02-13 13:54  marco <marcov@stack.nl>

	* rtl/win32/Makefile.fpc:
	
	 * fixed

2002-02-13 13:24  marco <marcov@stack.nl>

	* rtl/win32/Makefile:
	
	 * added messages.pp

2002-02-13 13:24  marco <marcov@stack.nl>

	* rtl/win32/Makefile.fpc:
	
	 * messages.pp added

2002-02-13 13:24  marco <marcov@stack.nl>

	* rtl/win32/messages.pp:
	
	 * Added messages.pp as dummy unit that reads messages.inc

2002-02-10 16:33  carl <carl@freepascal.org>

	* rtl/inc/heap.inc:
	
	* fixed some missing IsMultiThreaded variables

2002-02-10 14:46  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  * heap management corrected (heap_brk)

2002-02-07 14:04  florian <florian@freepascal.org>

	* rtl/win32/wininc/struct.inc:
	
	  * some property sheet related structs fixed

2002-02-05 08:54  marco <marcov@stack.nl>

	* rtl/freebsd/unixsock.inc:
	
	 * Fixed typo

2002-02-04 22:41  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/sockets.pp:
	
	+ merged ixed syntax

2002-02-04 22:29  michael <michael.vancanneyt@wisa.be>

	* rtl/: freebsd/unixsock.inc, inc/socketsh.inc, linux/unixsock.inc,
	win32/sockets.pp:
	
	+ merged missing sendto/rcvfrom functions

2002-02-03 10:51  peter <peter@freepascal.org>

	* rtl/go32v2/: dpmiexcp.pp, v2prt0.as:
	
	  * merged winxp fixes

2002-01-30 15:57  pierre <muller@cerbere.u-strasbg.fr>

	* rtl/win32/system.pp:
	
	 * fix compilation failure

2002-01-29 19:05  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, freebsd/Makefile,
	go32v2/Makefile, linux/Makefile, os2/Makefile, win32/Makefile:
	
	  * regenerated

2002-01-27 22:48  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, freebsd/Makefile,
	go32v2/Makefile, linux/Makefile, os2/Makefile, win32/Makefile:
	
	  * regenerated

2002-01-25 18:42  peter <peter@freepascal.org>

	* rtl/objpas/: intf.inc, intfh.inc, stre.inc, sysutilh.inc,
	sysutils.inc:
	
	  * interface helpers

2002-01-25 18:41  peter <peter@freepascal.org>

	* rtl/objpas/objpas.pp:
	
	  * delphi compatible array types

2002-01-25 18:41  peter <peter@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * moved array types to objpas unit

2002-01-25 18:39  peter <peter@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * array types added

2002-01-25 18:38  peter <peter@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * add internconst for all overloaded types of Odd/Abs/Sqr

2002-01-25 17:23  peter <peter@freepascal.org>

	* rtl/: go32v2/dpmiexcp.pp, go32v2/sysutils.pp,
	objpas/sysutils.inc, os2/sysutils.pp, unix/sysutils.pp,
	win32/signals.pp, win32/system.pp, win32/sysutils.pp:
	
	  * merged filesearch() fix

2002-01-24 19:33  peter <peter@freepascal.org>

	* rtl/objpas/sysstrh.inc:
	
	  * overload for lowercase()

2002-01-24 19:27  peter <peter@freepascal.org>

	* rtl/inc/: sstrings.inc, systemh.inc:
	
	  * lowercase() overloaded

2002-01-24 19:24  peter <peter@freepascal.org>

	* rtl/inc/variants.pp:
	
	  * fix range check error with $R+

2002-01-24 13:33  jonas <jonas.maebe@rug.ac.be>

	* rtl/: inc/generic.inc, inc/systemh.inc, objpas/sysstr.inc,
	objpas/sysstrh.inc:
	
	  * adapted ranges of native types to int64 (e.g. high cardinal is
	no
	    longer longint($ffffffff), but just $fffffff in psystem)
	  * small additional fix in 64bit rangecheck code generation for 32
	bit
	    processors
	  * adaption of ranges required the matching talgorithm used for
	selecting
	    which overloaded procedure to call to be adapted. It should now
	always
	    select the closest match for ordinal parameters.
	  + inttostr(qword) in sysstr.inc/sysstrh.inc
	  + abs(int64), sqr(int64), sqr(qword) in systemh.inc/generic.inc
	(previous
	    fixes were required to be able to add them)
	  * is_in_limit() moved from ncal to types unit, should always be
	used
	    instead of direct comparisons of low/high values of orddefs
	because
	    qword is a special case

2002-01-21 21:16  peter <peter@freepascal.org>

	* rtl/inc/: compproc.inc, dynarr.inc:
	
	  * updated for dynarr:=nil

2002-01-19 12:58  peter <peter@freepascal.org>

	* rtl/win32/: winsock.pp, wininc/ascdef.inc, wininc/ascfun.inc,
	wininc/func.inc, wininc/struct.inc, wininc/unidef.inc,
	wininc/unifun.inc:
	
	  * more functions from webbugs

2002-01-19 12:57  peter <peter@freepascal.org>

	* rtl/go32v2/: mouse.pp, sysutils.pp:
	
	  * merged fixes

2002-01-19 12:56  peter <peter@freepascal.org>

	* rtl/win32/crt.pp:
	
	  * fixed clrscr for small windows
	  * no turnoffmouse

2002-01-07 14:23  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/astrings.inc:
	
	  * fixed bug in fpc_char_to_ansistr when converting #0 (found by
	Peter)

2002-01-06 22:59  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, freebsd/Makefile,
	go32v2/Makefile, linux/Makefile, objpas/objpas.pp, os2/Makefile,
	win32/Makefile:
	
	  * regenerated

2002-01-06 16:37  florian <florian@freepascal.org>

	* rtl/win32/graph.pp:
	
	  * log fixed

2002-01-06 16:23  florian <florian@freepascal.org>

	* rtl/win32/graph.pp:
	
	  * SetRGBColor with cached pens fixed

2002-01-02 14:43  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/heap.inc:
	
	  * fix for web bug 1727 from Peter (corrected)

2002-01-02 13:22  marco <marcov@stack.nl>

	* rtl/unix/: linux.pp, unix.pp:
	
	 * Removed ifdef arround getepoch.

2001-12-31 12:41  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/heap.inc:
	
	  * fix for web bug 1727 from Peter

2001-12-29 16:51  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/dynarr.inc:
	
	  * correctly check for 0-size dynarray in previous patch

2001-12-28 15:19  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/dynarr.inc:
	
	  * don't allocate memory when doing a setlength(dynarr,0) when
	dynarr is
	    already nil

2001-12-26 22:20  peter <peter@freepascal.org>

	* rtl/go32v2/mouse.pp:
	
	  * more xp fixes

2001-12-26 22:03  peter <peter@freepascal.org>

	* rtl/: go32v2/mouse.pp, i386/math.inc, i386/rttip.inc,
	inc/genmath.inc, inc/mathh.inc, inc/objpas.inc, linux/Makefile,
	linux/Makefile.fpc, objpas/dati.inc, unix/crt.pp, unix/dos.pp,
	unix/linux.pp, unix/unix.pp:
	
	  * merged fixes from 1.0.x

2001-12-20 04:51  carl <carl@freepascal.org>

	* rtl/objpas/math.pp:
	
	* Corrected prototype of frexp() and added routine (taken fron
	genmath.inc)   tested against Delphi 3

2001-12-16 20:08  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/sysutils.pp:
	
	  * uses DosCalls replaced with direct declarations

2001-12-15 06:14  carl <carl@freepascal.org>

	* rtl/sunos/Makefile.fpc:
	
	file Makefile.fpc was initially added on branch FIXES_1_0_0.

2001-12-15 06:12  carl <carl@freepascal.org>

	* rtl/sunos/Makefile:
	
	file Makefile was initially added on branch FIXES_1_0_0.

2001-12-13 21:23  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/: mathh.inc, system.inc:
	
	+ Added double2real function from main branch

2001-12-13 04:50  carl <carl@freepascal.org>

	* rtl/inc/lineinfo.pp:
	
	+ SunOS target

2001-12-12 00:10  carl <carl@freepascal.org>

	* rtl/win32/sysutils.pp:
	
	* Range check error fix

2001-12-11 11:40  marco <marcov@stack.nl>

	* rtl/: amiga/Makefile, beos/Makefile, freebsd/Makefile,
	go32v2/Makefile, linux/Makefile, os2/Makefile, win32/Makefile:
	
	 * BSDhier fix to fpcmake.ini + makefile update.

2001-12-10 13:31  jonas <jonas.maebe@rug.ac.be>

	* rtl/win32/wininc/redef.inc:
	
	  * fixed GetDiskFreeSpaceEx* declarations (merged)

2001-12-09 04:25  carl <carl@freepascal.org>

	* rtl/sunos/dos.inc:
	
	file dos.inc was initially added on branch FIXES_1_0_0.

2001-12-09 04:25  carl <carl@freepascal.org>

	* rtl/sunos/solaris.inc:
	
	file solaris.inc was initially added on branch FIXES_1_0_0.

2001-12-09 04:25  carl <carl@freepascal.org>

	* rtl/sunos/posix.pp:
	
	file posix.pp was initially added on branch FIXES_1_0_0.

2001-12-05 03:49  carl <carl@freepascal.org>

	* rtl/beos/posix.pp:
	
	file posix.pp was initially added on branch FIXES_1_0_0.

2001-12-04 03:29  carl <carl@freepascal.org>

	* rtl/posix/posix.tem:
	
	file posix.tem was initially added on branch FIXES_1_0_0.

2001-12-03 22:39  peter <peter@freepascal.org>

	* rtl/: i386/i386.inc, inc/compproc.inc, inc/heap.inc,
	inc/heaph.inc, inc/heaptrc.pp:
	
	  * freemem(var) -> freemem(value)

2001-12-02 18:21  peter <peter@freepascal.org>

	* rtl/: unix/mouse.pp, win32/signals.pp, win32/system.pp,
	win32/win32.inc:
	
	  * merged fixes from 1.0

2001-12-02 17:19  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/math.inc:
	
	  * fpu results are returned in fr1, not fr0

2001-12-01 20:46  carl <carl@freepascal.org>

	* rtl/sunos/system.pp:
	
	file system.pp was initially added on branch FIXES_1_0_0.

2001-11-30 17:25  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/genrtti.inc:
	
	  * fixed web bug 1707:
	     * tvarsym.getvaluesize doesn't return 0 anymore for dynarrays
	(found
	       by Florian)
	     * in genrtti, some more ppointer(data)^ tricks were necessary

2001-11-30 08:16  marco <marcov@stack.nl>

	* rtl/unix/: linux.pp, unix.pp:
	
	 * TTYname fix from Maarten Beekers. Apparantly accidentally not
	commited the first time.

2001-11-28 04:11  carl <carl@freepascal.org>

	* rtl/sunos/signal.inc:
	
	file signal.inc was initially added on branch FIXES_1_0_0.

2001-11-28 04:10  carl <carl@freepascal.org>

	* rtl/posix/signal.tem:
	
	file signal.tem was initially added on branch FIXES_1_0_0.

2001-11-27 04:32  carl <carl@freepascal.org>

	* rtl/sunos/osposixh.inc:
	
	file osposixh.inc was initially added on branch FIXES_1_0_0.

2001-11-27 04:32  carl <carl@freepascal.org>

	* rtl/sunos/readme.txt:
	
	file readme.txt was initially added on branch FIXES_1_0_0.

2001-11-26 04:00  carl <carl@freepascal.org>

	* rtl/sunos/osposix.inc:
	
	file osposix.inc was initially added on branch FIXES_1_0_0.

2001-11-24 15:42  carl <carl@freepascal.org>

	* rtl/go32v2/dpmiexcp.pp:
	
	* completely moerged (except for smartlink option) from fixes
	branch

2001-11-24 03:05  carl <carl@freepascal.org>

	* rtl/netware/README:
	
	* Renamed ppc.cfg -> fpc.cfg

2001-11-23 02:35  carl <carl@freepascal.org>

	* rtl/win32/dos.pp:
	
	* Range check error fix

2001-11-23 01:36  carl <carl@freepascal.org>

	* rtl/win32/dos.pp:
	
	* updated behavior of some routines to conform to docs

2001-11-23 01:35  carl <carl@freepascal.org>

	* rtl/os2/dos.pas:
	
	* updated behavior of some routines to conform to docs (completely
	taken from fixes branch)

2001-11-23 01:25  carl <carl@freepascal.org>

	* rtl/amiga/dos.pp:
	
	* updated behavior of some routines to conform to docs

2001-11-23 01:18  carl <carl@freepascal.org>

	* rtl/go32v2/dos.pp:
	
	* completely merged from fixes branch

2001-11-22 08:33  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/genrtti.inc:
	
	 * Fixed memory corruption with finalize() of ansistring in a class

2001-11-21 15:51  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/text.inc:
	
	  * fixed writing of empty ansistring with specified width (merged)

2001-11-20 19:57  peter <peter@freepascal.org>

	* rtl/Makefile:
	
	  * regenerated

2001-11-19 15:00  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/ggigraph.pp:
	
	  * fixed libvga_ClrViewProc (it didn't reset the coords to (0,0))
	    (merged)

2001-11-19 14:56  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/graph.pp:
	
	    * fixed libvga_ClrViewProc (it didn't reset the coords to
	(0,0))
	      (merged)

2001-11-19 03:45  carl <carl@freepascal.org>

	* rtl/inc/lineinfo.pp:
	
	+ same version as fixed branches :     + BeOS line information	  
	* correct prototype with shortstring result type     + relocation
	of frame according to processaddress

2001-11-19 03:40  carl <carl@freepascal.org>

	* rtl/inc/system.inc:
	
	+ don't print stack information if previous frame = 0

2001-11-19 01:31  carl <carl@freepascal.org>

	* rtl/inc/strings.pp:
	
	- no stack checking possible because used by lineinfo which   might
	get infinite recursion if stack limit reached

2001-11-18 00:58  florian <florian@freepascal.org>

	* rtl/inc/astrings.inc:
	
	  * code of ansitr_concat improved

2001-11-17 17:56  florian <florian@freepascal.org>

	* rtl/: Makefile, i386/rttip.inc, inc/dynarr.inc, inc/genrtti.inc,
	inc/makefile.inc, inc/rtti.inc:
	
	  * init and final code in genrtti.inc updated

2001-11-17 11:29  florian <florian@freepascal.org>

	* rtl/: inc/genrtti.inc, inc/variants.pp, objpas/cvarutil.inc,
	objpas/varutilh.inc, objpas/varutils.inc:
	
	  * make cycle for win32 fixed

2001-11-16 16:09  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/sstrings.inc:
	
	  * optimized fpc_val_sint_shortstr

2001-11-15 23:33  michael <michael.vancanneyt@wisa.be>

	* rtl/: inc/variants.pp, objpas/cvarutil.inc, objpas/varutilh.inc,
	objpas/varutils.inc:
	
	+ Real/Boolean support added, Start of string support

2001-11-15 19:49  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  * DefaultTextLineBreakStyle misplacing corrected

2001-11-15 01:07  florian <florian@freepascal.org>

	* rtl/inc/int64.inc:
	
	  * qword div qword for i386 improved

2001-11-15 00:06  michael <michael.vancanneyt@wisa.be>

	* rtl/: freebsd/Makefile, freebsd/Makefile.fpc, beos/Makefile,
	beos/Makefile.fpc:
	
	+ Added variants unit

2001-11-15 00:03  michael <michael.vancanneyt@wisa.be>

	* rtl/: linux/Makefile, linux/Makefile.fpc, win32/Makefile,
	win32/Makefile.fpc, go32v2/Makefile, go32v2/Makefile.fpc,
	os2/Makefile, os2/Makefile.fpc:
	
	+ Added variants unit

2001-11-15 00:00  michael <michael.vancanneyt@wisa.be>

	* rtl/: inc/variant.inc, inc/varianth.inc, inc/variants.pp,
	objpas/cvarutil.inc, objpas/datih.inc, objpas/varutilh.inc,
	objpas/varutils.inc:
	
	+ First working variant support

2001-11-14 23:59  michael <michael.vancanneyt@wisa.be>

	* rtl/: i386/rttip.inc, inc/genrtti.inc, inc/systemh.inc:
	
	+ Initial variant support

2001-11-13 22:41  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/variants.pp:
	
	+ Added initialization code

2001-11-10 17:36  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/variants.pp:
	
	+ Initial implementation of many functions

2001-11-08 21:59  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/: variant.inc, varianth.inc, variants.pp:
	
	+ System unit implementation of variants

2001-11-08 17:16  florian <florian@freepascal.org>

	* rtl/: win32/system.pp, inc/variant.inc, inc/varianth.inc:
	
	  + beginning of variant dispatching

2001-11-08 14:56  marco <marcov@stack.nl>

	* rtl/unix/sysunixh.inc:
	
	 * Fixed a ifdef linux to ifdef unix (related to TRTL change)

2001-11-08 13:56  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/: fina.inc, finah.inc:
	
	+ Replaced OSDirSeparator with PathDelim

2001-11-07 15:59  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/systemh.inc:
	
	+ Moved PathDelim,DriveDelim,PathSep to sysutilh

2001-11-07 15:58  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/: finah.inc, sysutilh.inc:
	
	+ Added PathDelim,DriveDelim,PathSep; Removed PathSeparator

2001-11-07 14:57  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/finah.inc:
	
	+ Added PathSeparator and OSDirSeparator

2001-11-07 14:52  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/systemh.inc:
	
	+ Added PathDelim,DriveDelim,PathSep

2001-11-07 14:05  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/system.pp:
	
	+ Fixed Append() bug. Appending non-existing file now gives an
	error

2001-11-05 22:46  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/unix.pp:
	
	+ Added exit status examining functions

2001-11-05 10:06  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/sockets.pp:
	
	    * fixed TUnixSockAddr (array from 0..108 -> 0..107) (merged)

2001-10-30 18:18  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/math.inc:
	
	  * fixed fpc_int64_to_double and fpc_int64_to_double
	(fpc_int64_to_double
	    is now mostly tested and should work fine, fpc_qword_to_double
	should
	    work too since it's almost the same)

2001-10-28 18:43  peter <peter@freepascal.org>

	* rtl/go32v2/system.pp:
	
	  * add trtlcriticalsection type

2001-10-28 15:09  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/math.inc:
	
	  + initial implementation, lots of things still missing

2001-10-28 15:08  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/sysutilp.inc:
	
	  + initial implementation, complete, not tested

2001-10-28 15:08  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/typinfo.inc:
	
	  + initial implementation, still needs changes for self pointer
	register

2001-10-25 23:23  peter <peter@freepascal.org>

	* rtl/: go32v2/sysutils.pp, objpas/filutilh.inc, os2/sysutils.pp,
	unix/sysutils.pp, win32/sysutils.pp:
	
	  * added 64bit fileseek

2001-10-25 23:22  peter <peter@freepascal.org>

	* rtl/inc/heap.inc:
	
	  * moved locking of heap

2001-10-23 23:51  peter <peter@freepascal.org>

	* rtl/: inc/heap.inc, inc/threadh.inc, objpas/sysutilh.inc,
	os2/system.pas, os2/thread.inc, unix/sysunixh.inc, unix/thread.inc,
	win32/system.pp, win32/thread.inc:
	
	  * criticalsection renamed to rtlcriticalsection for kylix
	compatibility

2001-10-22 23:40  peter <peter@freepascal.org>

	* rtl/: i386/sysutilp.inc, objpas/systhrdh.inc,
	objpas/sysutils.inc:
	
	  * InterLocked routines added

2001-10-22 23:19  peter <peter@freepascal.org>

	* rtl/objpas/objpas.pp:
	
	  * LoadResString, PResStringRec, TResStringRec compatibility added

2001-10-20 19:25  peter <peter@freepascal.org>

	* rtl/i386/typinfo.inc:
	
	  * reset %edx in getordprop so functions returning only %eax don't
	    generate rangecheck errors

2001-10-18 23:49  peter <peter@freepascal.org>

	* rtl/win32/Makefile.fpc:
	
	  * removed asw

2001-10-18 22:55  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, freebsd/Makefile,
	go32v2/Makefile, linux/Makefile, os2/Makefile, win32/Makefile:
	
	  * asw support

2001-10-17 12:28  marco <marcov@stack.nl>

	* rtl/linux/thread.inc:
	
	 * Moved to unix/

2001-10-17 12:27  marco <marcov@stack.nl>

	* rtl/unix/thread.inc:
	
	 * Moved to unix/ since there is nothing linux specific about it.

2001-10-16 22:52  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, freebsd/Makefile,
	go32v2/Makefile, linux/Makefile, os2/Makefile, win32/Makefile:
	
	  * fpc -PB instead of -P?
	  * check if fpc exists if not found fallback to ppc386

2001-10-15 17:09  jonas <jonas.maebe@rug.ac.be>

	* rtl/win32/winsock.pp:
	
	  * error constants must be longints, not cardinals

2001-10-14 23:43  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, freebsd/Makefile,
	go32v2/Makefile, linux/Makefile, os2/Makefile, win32/Makefile:
	
	  * regenerated

2001-10-14 15:33  peter <peter@freepascal.org>

	* rtl/: freebsd/sysconst.inc, linux/syscalls.inc,
	linux/sysconst.inc, linux/thread.inc, linux/unixsysc.inc,
	unix/linux.pp, unix/sysunix.inc, unix/sysunixh.inc, unix/unix.pp:
	
	  * start of thread support for linux

2001-10-13 14:59  michael <michael.vancanneyt@wisa.be>

	* rtl/: inc/videoh.inc, unix/video.pp:
	
	+ Removed defaultmode field from driver

2001-10-12 18:04  peter <peter@freepascal.org>

	* rtl/go32v2/: vesamode.pp, video.pp:
	
	  * video fixes (merged)

2001-10-12 18:04  peter <peter@freepascal.org>

	* rtl/go32v2/dos.pp:
	
	  * fix error return in disksize (merged)

2001-10-12 18:03  peter <peter@freepascal.org>

	* rtl/: inc/keyboard.inc, inc/video.inc, unix/keyboard.pp:
	
	  * pollkey fixes (merged)

2001-10-10 23:03  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/video.inc:
	
	+ Clearscreen now also clears oldvideobuf after screenupdate

2001-10-10 22:19  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/keyboard.inc:
	
	+ Merge of Fixed PollKeyEvent - Pierres fix was not complete

2001-10-09 04:42  carl <carl@freepascal.org>

	* rtl/: os2/thread.inc, i386/i386.inc:
	
	* bugfix #1639 (IsMultiThread varialbe setting)

2001-10-09 04:37  carl <carl@freepascal.org>

	* rtl/win32/: system.pp, thread.inc:
	
	* bugfix #1639 (IsMultiThread varialbe setting)

2001-10-09 04:32  carl <carl@freepascal.org>

	* rtl/inc/systemh.inc:
	
	* bugfix #1639 (IsMultiThread varialbe setting)

2001-10-07 13:47  jonas <jonas.maebe@rug.ac.be>

	* rtl/go32v2/vesa.inc:
	
	  * fixed multiple page support (bug1536?) (merged)

2001-10-07 00:28  michael <michael.vancanneyt@wisa.be>

	* rtl/: go32v2/video.pp, inc/video.inc, inc/videoh.inc,
